2005-08-04 Braden McDaniel  <braden@endoframe.com>

	Updated package version to 0.15.10.

	* NEWS
	* README
	* configure.ac
	* doc/Doxyfile
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj
	* mozilla-plugin/configure.ac

2005-08-03 Braden McDaniel  <braden@endoframe.com>

	* doc/Doxyfile:  Updated for Doxygen 1.4.4.

2005-08-02 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp:  Bug report from
	<tthierry@users.sourceforge.net>--include <signal.h> and
	<sys/types.h> in order to use kill.  This is probably simply
	correct from a POSIX standpoint; and apparently it is required
	for FreeBSD.

2005-08-02 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/scope.h:  Forward declare
	openvrml::node.

2005-07-06 Braden McDaniel  <braden@endoframe.com>

	Updated package version to 0.15.9.

	* NEWS
	* README
	* configure.ac
	* doc/Doxyfile
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj
	* mozilla-plugin/configure.ac

2005-07-03 Braden McDaniel  <braden@endoframe.com>

	Disable Script node Java support by default.  This code is not
	64-bit clean and needs to be substantially redesigned in order
	to be so.

	* README
	* configure.ac

2005-07-03 Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  Check for sdl-config directly rather than using
	AM_PATH_SDL.  AM_PATH_SDL is broken upstream and not fixed for
	all distributions.  This can make life difficult for users
	building from the repository.

2005-07-03 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp:  In order to be 64-bit clean,
	first construct a ptrdiff_t from a void* before converting it to
	a potentially smaller integral type.

2005-06-05 Braden McDaniel  <braden@endoframe.com>

	Updated package version to 0.15.8.

	* NEWS
	* README
	* configure.ac
	* doc/Doxyfile
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj
	* mozilla-plugin/configure.ac

2005-06-05 Braden McDaniel  <braden@endoframe.com>

	* tests/Makefile.am:  distclean fixes.

2005-06-05 Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  Use pax tar format. ustar won't cut it for the
	file names doxygen generates.

2005-06-04 Braden McDaniel  <braden@endoframe.com>

	* doc/Doxyfile:  Updated for Doxygen 1.4.3.

2005-06-04 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp:  Abort the forked process if
	openvrml-player cannot be started.

2005-06-04 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml-player/Makefile.am:  Conditionally
	build openvrml-player.

2005-06-04 Braden McDaniel  <braden@endoframe.com>

	* tests/testsuite.at:  Properly quote VRML source.

2005-06-04 Braden McDaniel  <braden@endoframe.com>

	* tests/node_interface_set.cpp:  Removed DejaGnu cruft.

2005-06-03 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp:  Do per-node_class
	rendering before calling openvrml::viewer::set_viewpoint.

2005-06-02 Braden McDaniel  <braden@endoframe.com>

	Don't tell doxygen to generate short file names.

	* configure.ac:  Use ustar format for distributions to
	accommodate longer file names.
	* Doxyfile

2005-04-20 Braden McDaniel  <braden@endoframe.com>

	Updated package version to 0.15.7.

	* NEWS
	* README
	* configure.ac
	* doc/Doxyfile
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj
	* mozilla-plugin/configure.ac

2005-04-19 Braden McDaniel  <braden@endoframe.com>

	Use Autotest instead of DejaGnu as a test harness.

	* Makefile.am:  Use "tests" directory instead of "test".
	* README:  Removed reference to DejaGnu as a dependency.
	* configure.ac:  Removed --disable-tests option; removed DejaGnu
	initialization; added autotest initialization.
	* openvrml.spec.in:  Removed dejagnu build prerequisite.
	* test/Makefile.am:  Removed file.
	* test/browser-create_vrml_from_stream.cpp:  Removed file.
	* test/browser_basic.cpp:  Removed file.
	* test/node_interface_set.cpp:  Removed file.
	* test/parse-anchor.cpp:  Removed file.
	* test/parse/Makefile.am:  Removed file.
	* test/parse/parse.cpp:  Removed file.
	* test/parse/testsuite/Makefile.am:  Removed file.
	* test/parse/testsuite/config/unix.exp:  Removed file.
	* test/parse/testsuite/parse.bad/parse.exp:  Removed file.
	* test/parse/testsuite/parse.bad/proto-eventin-conflict.wrl:
	Removed file.
	* test/parse/testsuite/parse.bad/proto-eventout-conflict.wrl:
	Removed file.
	* test/parse/testsuite/parse.good/parse.exp:  Removed file.
	* test/parse/testsuite/parse.good/proto-containment-2-deep.wrl:
	Removed file.
	* test/parse/testsuite/parse.good/proto-containment-trivial.wrl:
	Removed file.
	* test/parse/testsuite/parse.good/proto-containment.wrl:
	Removed file.
	* test/parse/testsuite/parse.good/proto-field-is-proto.wrl:
	Removed file.
	* test/parse/testsuite/parse.good/proto-impl-exposedfield-event-is.wrl:
	Removed file.
	* test/parse/testsuite/parse.good/self-referential-script-in-proto.wrl:
	Removed file.
	* test/parse/testsuite/parse.good/self-referential-script.wrl:
	Removed file.
	* tests/atlocal.in:  Added file.
	* tests/browser_basic.cpp:  Added file.
	* tests/browser_create_vrml_from_stream.cpp:  Added file.
	* tests/node_interface_set.cpp:  Added file.
	* tests/parse.cpp:  Added file.
	* tests/parse_anchor.cpp:  Added file.
	* tests/testsuite.at:  Added file.

2005-04-14 Braden McDaniel  <braden@endoframe.com>

	* src/lookat/lookat.cpp:  sdl_error should publicly inherit
	std::runtime_error.

2005-04-11 Braden McDaniel  <braden@endoframe.com>

	Fixes to make --disable-mozilla-plugin work.

	* mozilla-plugin/configure.ac:  configure fails if the PATH
	argument to AC_PATH_PROG is not quoted and the program (xpidl,
	in this case) is not found.
	* mozilla-plugin/lib/gtkglext/configure.in:  Removed occurrences
	of AC_MSG_ERROR. In general, check failures here should not
	cause GtkGLExt's configure to fail so that the main configure
	can succeed even if some of GtkGLExt's dependencies are missing.

2005-04-11 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp:  Construct a GdkNativeWindow
	rather than reinterpret_casting to it in order to be 64-bit
	clean.

2005-03-15 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/basetypes.h:  Do not include
	<iostream>.
	* src/libopenvrml/openvrml/basetypes.cpp:  Include <ostream>.

2005-01-26 Braden McDaniel  <braden@endoframe.com>

	Updated package version to 0.15.6.

	* NEWS
	* README
	* configure.ac
	* doc/Doxyfile
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj
	* mozilla-plugin/configure.ac

2005-01-26 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/Makefile.am:  Incremented library version to
	5:3:0.

2005-01-26 Braden McDaniel  <braden@endoframe.com>

	* openvrml.spec.in:  configure with --disable-script-node-java.
	The Script node Java binding is not currently usable.

2005-01-24 Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  SpiderMonkey doesn't need the top-level Mozilla
	include directory.

2005-01-24 Braden McDaniel  <braden@endoframe.com>

	Mozilla pkg-config metadata files do not reliably add the top-
	level Mozilla include directory to the _CFLAGS variable.

	* configure.ac
	* mozilla-plugin/configure.ac

2005-01-23 Braden McDaniel  <braden@endoframe.com>

	* README:  Added note about memory requirements for building
	OpenVRML.

2005-01-22 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/node.cpp (find_interface):  Fixed
	find_interface to find a field "zzz" even if there is also an
	eventIn "set_zzz" or an eventOut "zzz_changed".

2005-01-22 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/vrml97node.cpp
	(text_node::update_ucs4):  Check whether the UTF-8 string is
	well-formed before calling FcUtf8ToUcs4.

2005-01-16 Braden McDaniel  <braden@endoframe.com>

	Don't set rotation axis component-wise in the parser.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g

2005-01-10 Braden McDaniel  <braden@endoframe.com>

	Updated package version to 0.15.5.

	* NEWS
	* README
	* configure.ac
	* doc/Doxyfile
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj
	* mozilla-plugin/configure.ac

2005-01-10 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/Makefile.am:  Incremented library version to
	5:2:0.

2005-01-10 Braden McDaniel  <braden@endoframe.com>

	Updates for Doxygen 1.4.

	* doc/Doxyfile
	* doc/doxygen-header

2005-01-10 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp:  Use getenv instead of
	g_getenv.

2005-01-10 Braden McDaniel  <braden@endoframe.com>

	Replaced doc-comments for friend declarations. (Bug fixed in
	Doxygen 1.4.)

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/event.cpp
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node_ptr.cpp
	* src/libopenvrml/openvrml/scope.cpp
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp

2005-01-09 Braden McDaniel  <braden@endoframe.com>

	Fixed problem with an empty -rpath argument when configured with
	--disable-script-node-javascript.

	* configure.ac
	* src/lookat/Makefile.am
	* test/Makefile.am
	* test/parse/Makefile.am

2005-01-09 Braden McDaniel  <braden@endoframe.com>

	Use fork/exec directly instead of using g_spawn_async.  For some
	reason, g_spawn_async did not play well with reloading the plug-
	in shortly after unloading it.

	* mozilla-plugin/src/openvrml.cpp
	* mozilla-plugin/src/openvrml-player/Makefile.am:  No longer
	link with GTK/Glib.

2005-01-07 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp:  Removed some erroneously
	checked in debugging output.

2005-01-07 Braden McDaniel  <braden@endoframe.com>

	Made the Mozilla plug-in out-of-process.

	* openvrml.spec.in
	* mozilla-plugin/configure.ac
	* mozilla-plugin/src/Makefile.am
	* mozilla-plugin/src/openvrml.cpp
	* mozilla-plugin/src/openvrml-player/Makefile.am:  Added file.
	* mozilla-plugin/src/openvrml-player/player.cpp:  Added file.

2005-01-07 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/viewer.cpp:  Explicitly qualify
	openvrml::browser to make doxygen happy.

2005-01-05 Braden McDaniel  <braden@endoframe.com>

	Fixed a problem with browser::find_node along with a more
	general problem with node_traverser.

	* src/libopenvrml/openvrml/browser.cpp (browser::find_node):
	Don't pop nodes off of the node path if the traversal has been
	halted.
	* src/libopenvrml/openvrml/node.cpp
	(node_traverser::do_traversal):  Check whether the traversal has
	been halted when iterating over an MFNode field.

2004-12-29 Braden McDaniel  <braden@endoframe.com>

	Updated package version to 0.15.4.

	* NEWS
	* README
	* configure.ac
	* doc/Doxyfile
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj
	* mozilla-plugin/configure.ac

2004-12-29 Braden McDaniel  <braden@endoframe.com>

	* openvrml.spec.in:  Fixed name of xorg-x11-devel prerequisite
	for the openvrml-gl-devel package.

2004-12-29 Braden McDaniel  <braden@endoframe.com>

	Refactored GtkGLExt usage to eliminate GtkVrmlBrowser widget.
	Since OpenVRML is a C++ library, this widget would probably
	never support a useful (C) API.  So it needlessly complicated
	the code.

	* mozilla-plugin/src/Makefile.am:  Removed references to
	GtkVrmlBrowser widget sources.
	* mozilla-plugin/src/openvrml.cpp:  Add GL capabilities and
	event callbacks to a GtkDrawingArea widget rather than use the
	GtkVrmlBrowser widget.
	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc:  Removed file.
	* mozilla-plugin/src/gtkvrml/vrmlbrowser.h:  Removed file.

2004-12-25 Braden McDaniel  <braden@endoframe.com>

	Updated package version to 0.15.3.

	* NEWS
	* README
	* configure.ac
	* doc/Doxyfile
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj
	* mozilla-plugin/configure.ac

2004-12-24 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp:  Removed some erroneously
	committed debugging output.

2004-12-24 Braden McDaniel  <braden@endoframe.com>

	Updated libtool library versions.

	* src/libopenvrml/Makefile.am:  Updated library version to
	5:1:0.
	* src/libopenvrml-gl/Makefile.am:  Updated library version to
	6:1:0.

2004-12-24 Braden McDaniel  <braden@endoframe.com>

	Link plug-in shared object with requisite libraries.

	* mozilla-plugin/Makefile.am
	* mozilla-plugin/configure.ac
	* mozilla-plugin/src/Makefile.am

2004-12-24 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/lib/gtkglext/gdk/gdkglconfig.c:  Use
	g_type_from_name to first check if the type has already been
	registered.  This would be the case if the shared object had
	previously been loaded and then unloaded.

2004-12-24 Braden McDaniel  <braden@endoframe.com>

	Added GtkGLExt to the distribution.  We need to patch it to get
	it to work with the Mozilla plug-in and the project does not
	appear to be actively maintained.

	* README:  Removed references to GtkGLExt dependency.
	* openvrml.spec.in
	* mozilla-plugin/Makefile.am
	* mozilla-plugin/configure.ac
	* mozilla-plugin/lib/Makefile.am
	* mozilla-plugin/lib/gtkglext/Makefile.am:  Removed
	gtkglext.spec from the distribution (it confuses rpm); don't
	install pkgconfig metadata.
	* mozilla-plugin/lib/gtkglext/configure.in:  Disable building
	shared libraries; don't use AM_MAINTAINER_MODE.
	* mozilla-plugin/lib/gtkglext/docs/reference/gtkglext/Makefile.am:
	Don't add documentation to the distribution.
	* mozilla-plugin/lib/gtkglext/gdk/Makefile.am:  Don't install
	libgdkglext;  create gdkglenumtypes.h, gdkglenumtypes.c in the
	build directory rather than the source directory; moved
	$(gdk_built_sources) from MAINTAINERCLEANFILES to
	DISTCLEANFILES.
	* mozilla-plugin/lib/gtkglext/gdk/glext/Makefile.am:  Don't
	install gdkglext headers.
	* mozilla-plugin/lib/gtkglext/gdk/win32/Makefile.am:  Don't
	install gdkglext headers.
	* mozilla-plugin/lib/gtkglext/gdk/x11/Makefile.am:  Don't
	install gdkglext headers.
	* mozilla-plugin/lib/gtkglext/gtk/Makefile.am:  Don't install
	libgtkglext.
	* mozilla-plugin/lib/gtkglext/m4macros/Makefile.am:  Don't
	install GtkGLExt macro.
	* mozilla-plugin/src/Makefile.am:  Use GtkGLExt in the
	distribution.

2004-12-17 Braden McDaniel  <braden@endoframe.com>

	* README:  Fixed mailing list addresses.

2004-12-17 Braden McDaniel  <braden@endoframe.com>

	* INSTALL:  Updated to the one included with Automake 1.9.2.

2004-12-17 Braden McDaniel  <braden@endoframe.com>

	* README:  Eliminate ambiguity regarding required vs. optional
	dependencies (i.e., make it clear that Boost is required).

2004-12-17 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp (NPP_New):  Removed
	erroneously committed debugging output.

2004-12-17 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	(viewer::transform_points):  Removed erroneously committed
	debugging output.

2004-12-17 Braden McDaniel  <braden@endoframe.com>

	Short term hack allow the Mozilla plug-in to handle relative
	URIs.  This will not be necessary once the plug-in does proper
	streaming.

	* mozilla-plugin/configure.ac:  Substitute mozlibdir.
	* mozilla-plugin/src/Makefile.am:  Added MOZILLA_PLUGIN_LIBS to
	LDFLAGS.
	* mozilla-plugin/src/openvrml.cpp:  Copied the URI parser from
	openvrml::browser.  Get the URI for the Web page hosting the
	plug-in, and then resolve the relative URI for the plug-in
	against it.

2004-12-17 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp:  Improved relative URI
	handling.

2004-12-14 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/configure.ac:  Don't fail when xpidl isn't
	found when configured with --disable-mozilla-plugin.

2004-12-13 Braden McDaniel  <braden@endoframe.com>

	Define NDEBUG for Release configuration in the Visual C++ 7.1
	project.

	* ide-projects/Windows/VisualC7_1/OpenVRML/antlr/antlr.vcproj
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj
	* src/libopenvrml/openvrml/system.cpp:  Added missing <iostream>
	inclusion.

2004-12-04 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	(viewer::transform_points):  Fixed math to correctly transform
	by the modelview matrix.  This fixes a problem with the
	VisibilitySensor node.

2004-12-03 Braden McDaniel  <braden@endoframe.com>

	Updated package version to 0.15.2.

	* NEWS
	* README
	* configure.ac
	* doc/Doxyfile
	* mozilla-plugin/configure.ac

2004-12-03 Braden McDaniel  <braden@endoframe.com>

	* openvrml.spec.in:  Use %makeinstall macro; install COPYING
	(GPL) with lookat documentation rather than COPYING.LESSER
	(LGPL).

2004-12-03 Braden McDaniel  <braden@endoframe.com>

	* doc/Makefile.am:  Remove generated documentation as part of
	maintainer-clean.

2004-12-02 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc
	(gtk_vrml_browser_get_type):  First try to look up the type from
	glib's type registry.

2004-11-30 Braden McDaniel  <braden@endoframe.com>

	Made building the tests optional (via configure).

	* README:  Note dependency on DejaGnu.
	* configure.ac:  Added --disable-test option for configure.
	Check for dejagnu.h, and fail configuration if it is not found
	and the tests are supposed to be built.
	* openvrml.spec.in:  Added dejagnu as a build prerequisite.
	* test/Makefile.am:  Made building the tests optional.
	* test/parse/Makefile.am:  Made building the tests optional.

2004-11-29 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp
	(path_getter::get_path_from(const node_ptr &)):  Removed
	spurious assert.

2004-11-28 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc
	(GtkGLViewer::set_timer):  Don't invoke gtk_main_iteration.

2004-11-27 Braden McDaniel  <braden@endoframe.com>

	Updated version number for 0.15.1 release.

	* NEWS:  Updated for 0.15.1.
	* configure.ac:  Updated package version.
	* doc/Doxyfile:  Updated package version.
	* mozilla-plugin/configure.ac:  Updated package version.

2004-11-27 Braden McDaniel  <braden@endoframe.com>

	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj:
	Project file updates.

2004-11-27 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/event.h:  event_emitter::last_time
	accessor should be public.

2004-11-26 Braden McDaniel  <braden@endoframe.com>

	Updated version number for 0.15.0 release.

	* NEWS:  Updated for 0.15.0.
	* configure.ac:  Updated package version.
	* doc/Doxyfile:  Updated package version.
	* mozilla-plugin/configure.ac:  Updated package version.

2004-11-26 Braden McDaniel  <braden@endoframe.com>

	* doc/Makefile.am:  Update DISTCLEANFILES to point to $(srcdir)
	for doxygen-generated files.

2004-11-26 Braden McDaniel  <braden@endoframe.com>

	* doc/Doxyfile:  Turned off collaboration diagram generation;
	turned off call graph generation.

2004-11-26 Braden McDaniel  <braden@endoframe.com>

	* doc/conformance.doc:  Note that conformance results table is
	out of date.

2004-11-26 Braden McDaniel  <braden@endoframe.com>

	Don't generate Doxyfile. Since the documentation is included in
	the distribution, users shouldn't be prompted to regenerate it.

	* configure.ac:  Removed reference to doc/Doxyfile.
	* doc/Doxyfile:  Added file.
	* doc/Doxyfile.in:  Removed file.
	* doc/Makefile.am:  Distribute Doxyfile instead of Doxyfile.in.

2004-11-26 Braden McDaniel  <braden@endoframe.com>

	Backed out incomplete change to remove conformance test results
	table from the generated documentation (from 2004-07-06).

	* doc/Doxyfile.in
	* doc/Makefile.am
	* doc/doxygen-header

2004-11-26 Braden McDaniel  <braden@endoframe.com>

	Incremented library version numbers for imminent 0.15.0 release.

	* src/libopenvrml/Makefile.am
	* src/libopenvrml-gl/Makefile.am

2004-11-26 Braden McDaniel  <braden@endoframe.com>

	* openvrml.spec.in:  Changed Mozilla plug-in RPM name to
	openvrml-mozilla-plugin; refer to the plug-in in comments as
	"for Mozilla-based browsers" rather than "for Mozilla".

2004-11-26 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/Makefile.am:  Install the plug-in in
	$(libdir)/mozilla/plugins, not $(prefix)/mozilla/plugins.

2004-11-26 Braden McDaniel  <braden@endoframe.com>

	* doc/Makefile.am:  Added dependencies for documentation
	generation.

2004-11-25 Braden McDaniel  <braden@endoframe.com>

	Fixes for distcheck.

	* configure.ac:  Pass subdir-objects argument to
	AM_INIT_AUTOMAKE; exposed XPIDL and XPIDLFLAGS to the user with
	AC_ARG_VAR.
	* doc/Doxyfile.in:  Updated for Doxygen 1.3.9.1;
	changed SORT_MEMBER_DOCS to NO; changed SHORT_NAMES to YES.
	* doc/Makefile.am:  Make distcheck happy.
	* ide-projects/Makefile.am:  Remove lingering reference to regex
	library.
	* mozilla-plugin/configure.ac:  Convey flags required for xpidl
	as MOZILLA_XPIDLFLAGS; exposed XPIDL and XPIDLFLAGS to the user
	with AC_ARG_VAR.
	* mozilla-plugin/src/Makefile.am:  Use $(libdir)/mozilla/plugins
	as the Mozilla plug-in directory, rather than hard coding the
	value based on mozilla-plugin.pc; invoke xpidl with XPIDLFLAGS.

2004-11-25 Braden McDaniel  <braden@endoframe.com>

	* doc/conformance.doc:  Miscellaneous updates.

2004-11-24 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc
	(gtk_vrml_browser_destroy):  Removed calls to
	gtk_main_iteration.

2004-11-24 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc
	(GtkGLViewer::set_timer):  Fixed crash on plug-in shutdown.

2004-11-23 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc
	(gtk_vrml_browser_destroy):  The browser must be destroyed
	before the viewer.

2004-11-22 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp:  Fixed declaration of
	PluginInstance constructor to throw std::bad_alloc.

2004-11-21 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp:  Removed attempt at factoring
	out platform-specific code using template specialization.  As
	far as I can tell, it can't work.

2004-11-21 Braden McDaniel  <braden@endoframe.com>

	* openvrml.spec.in:  Changed openvrml-gl-devel dependency on
	XFree86-devel to xorg-X11-devel.  Removed openvrml-mozilla
	dependency on mozilla.  Other browsers (e.g., Firefox) could use
	the plug-in, too.

2004-11-20 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp (NPP_GetValue):  Delegate to
	NP_GetValue.

2004-11-19 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc
	(gtk_vrml_browser_init):  Set the viewer for the browser.

2004-11-19 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp (NP_GetValue):  Handle
	variables NPPVpluginNameString and NPPVpluginDescriptionString.

2004-11-15 Braden McDaniel  <braden@endoframe.com>

	Updated versions of GL detection macros.

	* m4/Makefile.am
	* m4/ax_check_gl.m4
	* m4/ax_check_glu.m4
	* m4/ax_lang_compiler_ms.m4:  Added file.

2004-11-14 Braden McDaniel  <braden@endoframe.com>

	Added member function "halted" to node_traversal; used to check
	whether the traversal has been halted.

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h

2004-11-14 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/node.cpp:  Doc-comment improvements.

2004-11-14 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/node.h:  Formatting changes.

2004-11-12 Braden McDaniel  <braden@endoframe.com>

	Converted node implementations to override
	node_class::do_initialize and node_class::do_render.

	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2004-11-12 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/exposedfield.h:  Call
	event_side_effect from do_process_event (instead of recursively
	calling do_process_event and blowing out the stack).

2004-11-11 Braden McDaniel  <braden@endoframe.com>

	* doc/Makefile.am:  Make documentation directory in
	installdirs-local.

2004-11-11 Braden McDaniel  <braden@endoframe.com>

	Refactored code into different files. Moved field_value
	hierarchy into field_value.h; moved event_listener and
	event_emitter hierarchies into event.h; moved exposedfield
	class template into exposedfield.h.

	* src/libopenvrml/Makefile.am
	* src/libopenvrml/openvrml/ScriptJDK.h
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/Vrml97Parser.hpp
	* src/libopenvrml/openvrml/bounding_volume.cpp
	* src/libopenvrml/openvrml/event.cpp:  Added file.
	* src/libopenvrml/openvrml/event.h:  Added file.
	* src/libopenvrml/openvrml/exposedfield.cpp:  Added file.
	* src/libopenvrml/openvrml/exposedfield.h:  Added file.
	* src/libopenvrml/openvrml/field.cpp:  Removed file.
	* src/libopenvrml/openvrml/field.h:  Removed file.
	* src/libopenvrml/openvrml/field_value.cpp:  Added file.
	* src/libopenvrml/openvrml/field_value.h:  Added file.
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/vrml97node.h

2004-11-11 Braden McDaniel  <braden@endoframe.com>

	Favor private virtual functions that are delegated to by public
	non-virtual functions.

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/field.h
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/node_ptr.cpp
	* src/libopenvrml/openvrml/scope.cpp
	* src/libopenvrml/openvrml/scope.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2004-11-08 Braden McDaniel  <braden@endoframe.com>

	Replaced several public class members with accessor/mutator
	member functions.

	* src/libopenvrml/openvrml/ScriptJDK.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/Vrml97Parser.hpp
	* src/libopenvrml/openvrml/Vrml97ParserTokenTypes.hpp
	* src/libopenvrml/openvrml/Vrml97ParserTokenTypes.txt
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/field.h
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/node_ptr.cpp
	* src/libopenvrml/openvrml/scope.cpp
	* src/libopenvrml/openvrml/scope.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h
	* test/browser-create_vrml_from_stream.cpp
	* test/parse-anchor.cpp

2004-11-08 Braden McDaniel  <braden@endoframe.com>

	Updated to ANTLR 2.7.4.

	* lib/antlr/antlr/config.hpp
	* lib/antlr/src/BaseAST.cpp

2004-11-01 Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  Removed reference to regex library Makefile.in.

2004-10-29 Braden McDaniel  <braden@endoframe.com>

	Use Spirit to parse URIs instead of regular expressions.
	Eliminated need to provide regex library on Windows.

	* ide-projects/Windows/VisualC7_1/OpenVRML/OpenVRML.sln:
	Removed regex library project.
	* ide-projects/Windows/VisualC7_1/OpenVRML/regex/regex.vcproj:
	Removed file.
	* lib/Makefile.am:  Removed reference to regex subdirectory.
	* lib/regex/Makefile.am:  Removed file.
	* lib/regex/cclass.h:  Removed file.
	* lib/regex/cname.h:  Removed file.
	* lib/regex/copyright.txt:  Removed file.
	* lib/regex/engine.c:  Removed file.
	* lib/regex/hs_regex.def:  Removed file.
	* lib/regex/hs_regex.html:  Removed file.
	* lib/regex/install.bat:  Removed file.
	* lib/regex/re_format.doc:  Removed file.
	* lib/regex/regcomp.c:  Removed file.
	* lib/regex/regerror.c:  Removed file.
	* lib/regex/regex.doc:  Removed file.
	* lib/regex/regex.h:  Removed file.
	* lib/regex/regex2.h:  Removed file.
	* lib/regex/regex_test.c:  Removed file.
	* lib/regex/regex_test.txt:  Removed file.
	* lib/regex/regexec.c:  Removed file.
	* lib/regex/regfree.c:  Removed file.
	* lib/regex/release.bat:  Removed file.
	* lib/regex/test_hs_regex.mak:  Removed file.
	* lib/regex/utils.h:  Removed file.
	* src/libopenvrml/Makefile.am:  Removed references to doc.h,
	doc.cpp.
	* src/libopenvrml/openvrml/browser.cpp:  Replaced URI class with
	uri class, which uses Spirit--rather than a regular expression--
	to parse URIs;  moved implementations of doc and doc2 methods to
	this file.
	* src/libopenvrml/openvrml/browser.h:  Moved definitions of doc
	and doc2 classes to this file.
	* src/libopenvrml/openvrml/doc.cpp:  Removed file.
	* src/libopenvrml/openvrml/doc.h:  Removed file.
	* src/libopenvrml/openvrml/img.cpp:  Removed reference to
	"doc.h".
	* src/libopenvrml/openvrml/script.cpp:  Removed reference to
	"doc.h".
	* src/libopenvrml/openvrml/vrml97node.cpp:  Removed reference to
	"doc.h".

2004-10-28 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp:  Removed obsoleted
	function object HasId_.

2004-10-28 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/system.cpp:  Removed some debugging
	output.

2004-10-28 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/system.cpp:  Fixed HTTP request line
	endings to be CRLF; added "Host" line.

2004-09-23 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc:  Updates for parity
	with libopenvrml changes.

2004-09-21 Braden McDaniel  <braden@endoframe.com>

	Doc-comment improvements.

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2004-09-21 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/basetypes.h:  Removed spurious
	"return" in function returning "void".

2004-09-17 Braden McDaniel  <braden@endoframe.com>

	* doc/Doxyfile.in:  Don't generate documentation for "internal"
	doc-comments.

2004-09-17 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp:  Changed
	DefaultViewpoint class to default_viewpoint; moved to unnamed
	namespace.
	* src/libopenvrml/openvrml/browser.h:  Changed
	browser::default_viewpoint to browser::default_viewpoint_.

2004-09-16 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp:  Moved proto_node,
	proto_node_class member definitions to unnamed namespace.

2004-08-30 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp:  Moved proto_node,
	proto_node_class to unnamed namespace (from openvrml).

2004-08-30 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc:  Added nothrow
	exception specification to GtkGLViewer::~GtkGLViewer.

2004-07-24 Braden McDaniel  <braden@endoframe.com>

	* src/lookat/lookat.cpp:  Instantiate the viewer before the
	instantiating the browser so that the viewer is destroyed after
	the browser.

2004-07-19 Braden McDaniel  <braden@endoframe.com>

	Changed unsupported_interface and field_value_type_mismatch to
	inherit std::logic_error instead of std::runtime_error.

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h

2004-07-19 Braden McDaniel  <braden@endoframe.com>

	Removed unsupported_interface constructor that takes only a
	string.

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp

2004-07-18 Braden McDaniel  <braden@endoframe.com>

	delete_route should throw unsupported_interface.

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h

2004-07-18 Braden McDaniel  <braden@endoframe.com>

	Allow viewers to be associated with and detached from browsers.
	This is not optimal, but we need to retain a viewer reference so
	that destroyed nodes can deallocate resources allocated in the
	renderer.  To really handle this properly, we probably need to
	have viewers created from a factory function on browser.  But to
	implement that, we need to be able to register viewer
	implementations; and we're not in a position to do that yet.

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/browser.h
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/viewer.cpp
	* src/libopenvrml/openvrml/viewer.h
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.h
	* src/lookat/lookat.cpp

2004-07-06 Braden McDaniel  <braden@endoframe.com>

	Cull conformance test table from the distribution in the
	interest of making a release.  No time to update it at the
	moment.

	* doc/Doxyfile.in
	* doc/Makefile.am
	* doc/doxygen-header

2004-07-03 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/ScriptJDK.cpp:  Eliminated use of
	<strstream.h>.

2004-06-01 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/Makefile.am:  Define GTK_DISABLE_DEPRECATED.
	* mozilla-plugin/src/openvrml.cpp:  Replace use of deprecated
	GTK+ features.
	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc:  Replace use of
	deprecated GTK+ features; fixed bug with processing redraw
	events generated from within the scene.

2004-06-01 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/node.cpp:  Created "Nodes" module in
	Doxygen documentation.

2004-06-01 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/vrml97node.cpp:  Fixed crash on last
	frame of MovieTexture.

2004-06-01 Braden McDaniel  <braden@endoframe.com>

	* README:  Mention license terms for the Mozilla plug-in.

2004-05-26 Braden McDaniel  <braden@endoframe.com>

	Doc-comment fixes and improvements.

	* src/libopenvrml/openvrml/basetypes.cpp
	* src/libopenvrml/openvrml/node.cpp

2004-05-16 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/Makefile.am:  Fixed package name for
	idldir.

2004-05-16 Braden McDaniel  <braden@endoframe.com>

	* doc/Makefile.am:  Added target for "manual"; added "manual" to
	MAINTAINERCLEANFILES.

2004-05-15 Braden McDaniel  <braden@endoframe.com>

	* openvrml.spec.in:  Use "License" instead of "Copyright";
	require xorg-x11 packages instead of XFree86; removed "Prefix"
	specification; use "%configure" macro; install script.jar; use
	%{_libdir}, etc. macros; install openvrml.idl.

2004-05-15 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/configure.ac:  Escape brackes in regexp for
	processing by m4; remove "componentsdir" substitution.
	* mozilla-plugin/src/Makefile.am:  Install typelib in the
	plugins directory.

2004-05-15 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/field.h:  Quell complaint from
	doxygen.

2004-05-14 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp:  Fixed name
	of combined_vertex_data_ for cl 13.10.3077.

2004-05-09 Braden McDaniel  <braden@endoframe.com>

	* openvrml.spec.in:  Corrected description of lookat RPM to
	reflect the change to using SDL; define NDEBUG when configuring.

2004-05-09 Braden McDaniel  <braden@endoframe.com>

	* Makefile.am:  Build the Mozilla plug-in before building the
	tests.

2004-05-08 Braden McDaniel  <braden@endoframe.com>

	Doxygen 1.3.7 doesn't like out-of-line documentation of friends
	using "@var".

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/node_ptr.cpp
	* src/libopenvrml/openvrml/scope.cpp
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/vrml97node.cpp

2004-05-05 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/src/openvrml.cpp:  Moved implementation of
	nsIClassInfo from a mix-in class to ScriptablePeer.

2004-05-05 Braden McDaniel  <braden@endoframe.com>

	Made the Mozilla plug-in scriptable.  Only a trivial amount of
	functionality is currently exposed: you can get the name and
	version of the plug-in.

	* openvrml.spec.in:  Install the type library.
	* mozilla-plugin/configure.ac:  Locate Mozilla's components
	directory.
	* mozilla-plugin/src/Makefile.am
	* mozilla-plugin/src/openvrml.cpp
	* mozilla-plugin/src/openvrml.idl:  Added file.  An adaptation
	of the VRML97 EAI to XPCOM.

2004-05-03 Braden McDaniel  <braden@endoframe.com>

	* README:  Fixed note regarding building against a Java
	Development Kit.

2004-05-02 Braden McDaniel  <braden@endoframe.com>

	Fixed errors caught by gcc 3.4.

	* src/libopenvrml/openvrml/ScriptJDK.cpp
	* src/libopenvrml/openvrml/field.h
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/script.cpp

2004-04-29 Braden McDaniel  <braden@endoframe.com>

	Made building the Mozilla plug-in optional.

	* README
	* configure.ac
	* mozilla-plugin/configure.ac
	* mozilla-plugin/src/Makefile.am

2004-04-27 Braden McDaniel  <braden@endoframe.com>

	Removed Microsoft Visual C++ 7.0 project files.

	* ide-projects/Makefile.am
	* ide-projects/Windows/VisualC7/OpenVRML/OpenVRML.sln:  Removed
	file.
	* ide-projects/Windows/VisualC7/OpenVRML/antlr/antlr.vcproj:
	Removed file.
	* ide-projects/Windows/VisualC7/OpenVRML/lookat/lookat.vcproj:
	Removed file.
	* ide-projects/Windows/VisualC7/OpenVRML/openvrml/openvrml.vcproj:
	Removed file.
	* ide-projects/Windows/VisualC7/OpenVRML/openvrml-gl/openvrml-gl.vcproj:
	Removed file.
	* ide-projects/Windows/VisualC7/OpenVRML/regex/regex.vcproj:
	Removed file.

2004-04-26 Braden McDaniel  <braden@endoframe.com>

	* mozilla-plugin/configure.ac:  Removed unused Makefile from
	AC_OUTPUT.

2004-04-26 Braden McDaniel  <braden@endoframe.com>

	Added a Mozilla plug-in.

	* Makefile.am
	* configure.ac
	* openvrml.spec.in
	* mozilla-plugin/Makefile.am:  Added file.
	* mozilla-plugin/configure.ac:  Added file.
	* mozilla-plugin/src/Makefile.am:  Added file.
	* mozilla-plugin/src/openvrml.cpp:  Added file (plug-in API
	entry points).
	* mozilla-plugin/src/gtkvrml/vrmlbrowser.cc:  Added file (GTK+
	widget).
	* mozilla-plugin/src/gtkvrml/vrmlbrowser.h:  Added file (GTK+
	widget).

2004-04-23 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/script.cpp:  Removed erroneously
	committed debugging output.

2004-04-23 Braden McDaniel  <braden@endoframe.com>

	Fixed incorrect assertion in Vrml97Parser::protoBodyStatement.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g

2004-04-09 Braden McDaniel  <braden@endoframe.com>

	Fixes for self-referential Script nodes.  This usage was broken
	when initialization was folded into node construction.  Since
	fields are parsed before the node instance exists, there is no
	reference to use when the self-reference is encountered during
	parsing.  To resolve this, a special value is reserved for
	node_ptr.  When the script_node constructor sees this value, it
	is replaced with a self-reference.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/Vrml97Parser.hpp
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/node_ptr.cpp
	* src/libopenvrml/openvrml/node_ptr.h
	* src/libopenvrml/openvrml/script.cpp
	* test/parse/testsuite/parse.good/self-referential-script-in-proto.wrl
	* test/parse/testsuite/parse.good/self-referential-script.wrl

2004-04-08 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp (browser::browser):  Call
	init_node_class_map to initialize the node class map in the
	constructor.  Otherwise browser::create_vrml_from_stream will
	not work until browser::load_url is called.

2004-04-06 Braden McDaniel  <braden@endoframe.com>

	* doc/conformance.doc:  Replaced "Comment" column in the result
	table with columns containing links to related tasks and bugs.

2004-04-04 Braden McDaniel  <braden@endoframe.com>

	* doc/conformance.doc:  Fully incorporated Tom Flynn's list of
	problems with the NIST tests into the endnotes for the result
	table.

2004-04-04 Braden McDaniel  <braden@endoframe.com>

	"Unescape" strings as they are parsed.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g

2004-04-04 Braden McDaniel  <braden@endoframe.com>

	* doc/doxygen-header:  Another fix to counteract idiosyncrasies
	of the default doxygen style sheet.

2004-04-03 Braden McDaniel  <braden@endoframe.com>

	Changed frustrum constructor argument names from "near", "far",
	to "z_near", "z_far".  For some reason, the fact that "near" and
	"far" are keywords that meant something back when cl was a
	16-bit compiler means that modern cl does not generate correct
	code when they are used as identifiers.

	* src/libopenvrml/openvrml/frustum.cpp
	* src/libopenvrml/openvrml/frustum.h

2004-04-02 Braden McDaniel  <braden@endoframe.com>

	Set the default drawing color (i.e., in the absence of a Color
	node) in vrml97_node::shape_node::do_render_child.  Added
	geometry_node::emissive to indicate whether geometry should
	be drawn with the emissive color (rather than the diffuse
	color).  This should resolve problems rendering line and point
	sets with the emissive color.

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp

2004-03-28 Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  Excise -rpath flag from the SDL_LIBS variable.
	sdl-config (which is used by AM_PATH_SDL) emits an -rpath flag
	pointing at its library installation directory.  We don't want
	this, as it prevents users from linking lookat against, for
	example, a locally compiled libGL when a version of the library
	also exists in SDL's library installation directory, typically
	/usr/lib.

2004-03-23 Braden McDaniel  <braden@endoframe.com>

	Removed rendering_context argument from
	texture_node::render_texture and
	texture_transform_node::render_texture_transform.

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2004-03-22 Braden McDaniel  <braden@endoframe.com>

	Formatting improvements to the NIST test suite result table.

	* doc/conformance.doc
	* doc/doxygen-header

2004-03-22 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/vrml97node.cpp
	(point_set_node::modified, shape_node::modified):  Fixed
	recursive call.

2004-03-22 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	(viewer::insert_shell):  Only build vector of vertices when
	drawing shells with non-convex polygons.

2004-03-21 Braden McDaniel  <braden@endoframe.com>

	* test/node_interface_set.cpp:  Added some unit tests for
	node_interface_set.

2004-03-21 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/script.cpp
	({anonymous}::js_::script::activate):  When converting the
	script function arguments to jsvals, only add GC roots to
	garbage-collected things; i.e., jsvals for which
	JSVAL_IS_GCTHING returns true.

2004-03-20 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp:  Rewrote use of GLU
	tesselator.  The previous code assumed that the GLU_TESS_VERTEX
	callback was called synchronously with calls to gluTessVertex.
	There is no such guarantee.

2004-03-14 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp (browser::browser):
	Removed unnecessary call to browser::load_url.

2004-03-14 Braden McDaniel  <braden@endoframe.com>

	Fixed crashes associated with subsequent calls to
	browser::load_url.

	* src/libopenvrml/openvrml/browser.cpp (scene::scene):  Throw
	no_alternative_url if no alternative URI can be resolved.
	* src/libopenvrml/openvrml/browser.h:  Added no_alternative_url
	exception.
	* src/libopenvrml/openvrml/system.cpp (system::http_fetch):
	Don't attempt to construct a std::string from a null pointer.

2004-03-13 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/vrml97node.cpp
	(anchor_node::do_render_child):  Fixed recursive call to
	child_node::render_child.

2004-03-13 Braden McDaniel  <braden@endoframe.com>

	Fixed "free" of stack memory.

	* src/libopenvrml/openvrml/doc.cpp
	* src/libopenvrml/openvrml/system.cpp
	* src/libopenvrml/openvrml/system.h

2004-03-11 Braden McDaniel  <braden@endoframe.com>

	Removed unused node_interface_id_equals function object.

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h

2004-03-11 Braden McDaniel  <braden@endoframe.com>

	Fixed node_initerface_matches_field function object semantics to
	match exposedFields as well as fields.  This is consistent with
	the way node_interface_matches_eventin and
	node_interface_matches_eventout match exposedFields as well as
	eventIns and eventOuts, respectively.

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h

2004-03-11 Braden McDaniel  <braden@endoframe.com>

	Fixed comparator for node_interface_set to properly guard
	against collisions between exposedField names and eventIn and
	eventOut names.

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* test/Makefile.am
	* test/node_interface_set.cpp

2004-03-10 Braden McDaniel  <braden@endoframe.com>

	Minor parse test suite reorg; added some tests to confirm
	failure on incorrect VRML.

	* test/parse/testsuite/Makefile.am
	* test/parse/testsuite/parse.bad/parse.exp:  Added file.
	* test/parse/testsuite/parse.bad/proto-eventin-conflict.wrl:
	Added file.
	* test/parse/testsuite/parse.bad/proto-eventout-conflict.wrl:
	Added file.
	* test/parse/testsuite/parse.good/parse.exp:  Added file.
	* test/parse/testsuite/parse.good/proto-containment-2-deep.wrl:
	Added file.
	* test/parse/testsuite/parse.good/proto-containment-trivial.wrl:
	Added file.
	* test/parse/testsuite/parse.good/proto-containment.wrl:  Added
	file.
	* test/parse/testsuite/parse.good/proto-field-is-proto.wrl:
	Added file.
	* test/parse/testsuite/parse.good/proto-impl-exposedfield-event-is.wrl:
	Added file.
	* test/parse/testsuite/parse.xpass/parse.exp:  Removed file.
	* test/parse/testsuite/parse.xpass/proto-containment-2-deep.wrl:
	Removed file.
	* test/parse/testsuite/parse.xpass/proto-containment-trivial.wrl:
	Removed file.
	* test/parse/testsuite/parse.xpass/proto-containment.wrl:
	Removed file.
	* test/parse/testsuite/parse.xpass/proto-field-is-proto.wrl:
	Removed file.
	* test/parse/testsuite/parse.xpass/proto-impl-exposedfield-event-is.wrl:
	Removed file.

2004-03-10 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/vrml97node.cpp:  Removed cruft
	associated with abstract_geometry_node.

2004-03-10 Braden McDaniel  <braden@endoframe.com>

	Removed cruft associated with the generic field mutator.

	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2004-03-10 Braden McDaniel  <braden@endoframe.com>

	Removed add_interface function.  node_interface_set::insert is
	an appropriate replacement.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/vrml97node.cpp

2004-03-09 Braden McDaniel  <braden@endoframe.com>

	Added the beginnings of a DejaGnu test suite for the parser.

	* configure.ac
	* test/Makefile.am
	* test/parse/.cvsignore
	* test/parse/Makefile.am
	* test/parse/parse.cpp
	* test/parse/testsuite/.cvsignore
	* test/parse/testsuite/Makefile.am
	* test/parse/testsuite/config/unix.exp
	* test/parse/testsuite/parse.xpass/parse.exp
	* test/parse/testsuite/parse.xpass/proto-containment-2-deep.wrl
	* test/parse/testsuite/parse.xpass/proto-containment-trivial.wrl
	* test/parse/testsuite/parse.xpass/proto-containment.wrl
	* test/parse/testsuite/parse.xpass/proto-field-is-proto.wrl
	* test/parse/testsuite/parse.xpass/proto-impl-exposedfield-event-is.wrl

2004-03-09 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp
	(proto_node::proto_exposedfield<FieldValue>::process_event):
	Propagate events to exposedField listeners.

2004-03-08 Braden McDaniel  <braden@endoframe.com>

	Modified add_route and delete_route to return boolean values
	indicating success or failure.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h

2004-03-08 Braden McDaniel  <braden@endoframe.com>

	Removed unnecessary abstract_child_node and
	abstract_geometry_node classes.

	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2004-03-08 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp (proto_node::proto_node):
	Initialize PROTO exposedFields with the initial value from the
	constructor.

2004-03-07 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp (proto_node::proto_node):
	When adding event listeners and emitters for an exposedField,
	the "set_" prefix and "_changed" suffix, respectively, need to
	be added to the identifiers.

2004-03-07 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp (scene::scene):  Fixed
	URI string given to Vrml97Parser constructor. scene::url should
	not be used at this point, since scene::url_ has not been
	initialized.

2004-03-07 Braden McDaniel  <braden@endoframe.com>

	Fixed uses of SemanticException to include URI, line number, and
	column number information.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g

2004-03-07 Braden McDaniel  <braden@endoframe.com>

	Corrected SphereSensor "offset" exposedField type to
	"SFRotation".

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp

2004-03-07 Braden McDaniel  <braden@endoframe.com>

	Fixed a problem with establishing IS mappings from exposedFields
	in the PROTO implementation to eventIns and eventOuts in the
	PROTO interface.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/Vrml97Parser.hpp
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/private.h:  Added implementations of
	the binary_compose function object and the compose2 helper
	function.

2004-03-05 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp:  Properly catch parse
	errors in browser::load_url.

2004-03-04 Braden McDaniel  <braden@endoframe.com>

	* src/lookat/lookat.cpp:  Fixed unnecesary redundant calls to
	openvrml::gl::viewer::input.

2004-03-02 Braden McDaniel  <braden@endoframe.com>

	* m4/acx_pthread.m4:  Updated to most recent version of the
	ACX_PTHREAD macro.

2004-03-02 Braden McDaniel  <braden@endoframe.com>

	* README:  List Boost as a dependency.

2004-03-02 Braden McDaniel  <braden@endoframe.com>

	Changed the lookat license to the GPL.  (The LGPL doesn't make
	very much sense for ordinary executables.)

	* COPYING:  Added file.
	* README:  Updated license summary.
	* src/lookat/lookat.cpp:  Changed license notice to refer to the
	GPL.

2004-03-02 Braden McDaniel  <braden@endoframe.com>

	PROTO field default value declarations should begin a new scope
	rooted at the scope outside the PROTO definition.  In
	particular, this should work:

	PROTO Node0 [] { Group {} }

	PROTO Node1 [
	  field SFNode field0 Node0 {}
	] {
	  Collision {
	    proxy IS field0
	  }
	}

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/Vrml97Parser.hpp

2004-03-02 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/vrml97node.cpp:  Removed obsolete
	doc-comment.

2004-03-01 Braden McDaniel  <braden@endoframe.com>

	Changed parser to fail fast on errors rather than try to
	recover.  Modified the invalid_vrml exception to store the URL
	along with the line and column numbers for the error.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/Vrml97Parser.hpp
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/browser.h

2004-03-01 Braden McDaniel  <braden@endoframe.com>

	* ide-projects/Makefile.am:  Added Visual C++ 7.1 project files.
	* ide-projects/Windows/VisualC7_1/OpenVRML/OpenVRML.sln:  Added
	file.
	* ide-projects/Windows/VisualC7_1/OpenVRML/antlr/antlr.vcproj:
	Added file.
	* ide-projects/Windows/VisualC7_1/OpenVRML/lookat/lookat.vcproj:
	Added file.
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml/openvrml.vcproj:
	Added file.
	* ide-projects/Windows/VisualC7_1/OpenVRML/openvrml-gl/openvrml-gl.vcproj:
	Added file.
	* ide-projects/Windows/VisualC7_1/OpenVRML/regex/regex.vcproj:
	Added file.

2004-03-01 Braden McDaniel  <braden@endoframe.com>

	* Makefile.am:  Removed residual "doc" target cruft.

2004-03-01 Braden McDaniel  <braden@endoframe.com>

	* doc/Makefile.am:  Changed "doc" make target to "html".  This
	is consistent with the target automake generates.  Currently,
	HTML documentation is all we generate.

2004-03-01 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp
	(browser::create_vrml_from_stream):  Treat any ANTLRException as
	invalid_vrml.

2004-02-23 Braden McDaniel  <braden@endoframe.com>

	Removed node::field mutator in favor of initializing the fields
	of a node with initial values at construction time.
	node_type::create_node now takes a map of fields and initial
	values.

	* src/libopenvrml/openvrml/ScriptJDK.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/Vrml97Parser.hpp
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/vrml97node.cpp

2004-02-23 Braden McDaniel  <braden@endoframe.com>

	Improved FieldValueConcept documentation.

	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/field.h

2004-02-22 Braden McDaniel  <braden@endoframe.com>

	Doc-comment improvements.

	* doc/doxygen-header:  Style sheet changes to counteract style
	sheet changes in Doxygen 1.3.6.
	* src/libopenvrml/openvrml/basetypes.cpp
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/field.h
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/node_ptr.cpp
	* src/libopenvrml/openvrml/node_ptr.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2004-02-22 Braden McDaniel  <braden@endoframe.com>

	* doc/doxygen-header:  Style sheet changes to counteract style
	sheet changes in Doxygen 1.3.6.

2004-02-20 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/field.cpp:  Removed obsolete doc-
	comments.

2004-02-20 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/field.h:  Changed event_listener and
	event_emitter to inherit boost::noncopyable.

2004-02-19 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/field.h:  Replaced a variable
	definition in "FieldValueConcept::constraints" with a typedef to
	exercise the "value_type" typedef associated with the concept.
	This quells a gcc warning about an unused variable.

2004-02-09 Braden McDaniel  <braden@endoframe.com>

	Cruft removal.

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/browser.h

2004-02-08 Braden McDaniel  <braden@endoframe.com>

	Changed whitespace convention used in Java source to match Sun
	convention.

	* java/vrml/BaseNode.java
	* java/vrml/Browser.java
	* java/vrml/ConstField.java
	* java/vrml/ConstMField.java
	* java/vrml/Event.java
	* java/vrml/Field.java
	* java/vrml/InvalidEventInException.java
	* java/vrml/InvalidEventOutException.java
	* java/vrml/InvalidExposedFieldException.java
	* java/vrml/InvalidFieldChangeException.java
	* java/vrml/InvalidFieldException.java
	* java/vrml/InvalidRouteException.java
	* java/vrml/InvalidVRMLSyntaxException.java
	* java/vrml/MField.java
	* java/vrml/field/ConstMFColor.java
	* java/vrml/field/ConstMFFloat.java
	* java/vrml/field/ConstMFInt32.java
	* java/vrml/field/ConstMFNode.java
	* java/vrml/field/ConstMFRotation.java
	* java/vrml/field/ConstMFString.java
	* java/vrml/field/ConstMFTime.java
	* java/vrml/field/ConstMFVec3f.java
	* java/vrml/field/ConstSFBool.java
	* java/vrml/field/ConstSFColor.java
	* java/vrml/field/ConstSFFloat.java
	* java/vrml/field/ConstSFImage.java
	* java/vrml/field/ConstSFInt32.java
	* java/vrml/field/ConstSFNode.java
	* java/vrml/field/ConstSFRotation.java
	* java/vrml/field/ConstSFString.java
	* java/vrml/field/ConstSFTime.java
	* java/vrml/field/ConstSFVec2f.java
	* java/vrml/field/ConstSFVec3f.java
	* java/vrml/field/MFColor.java
	* java/vrml/field/MFFloat.java
	* java/vrml/field/MFInt32.java
	* java/vrml/field/MFNode.java
	* java/vrml/field/MFRotation.java
	* java/vrml/field/MFString.java
	* java/vrml/field/MFTime.java
	* java/vrml/field/MFVec2f.java
	* java/vrml/field/MFVec3f.java
	* java/vrml/field/SFBool.java
	* java/vrml/field/SFColor.java
	* java/vrml/field/SFFloat.java
	* java/vrml/field/SFImage.java
	* java/vrml/field/SFInt32.java
	* java/vrml/field/SFNode.java
	* java/vrml/field/SFRotation.java
	* java/vrml/field/SFString.java
	* java/vrml/field/SFTime.java
	* java/vrml/field/SFVec2f.java
	* java/vrml/field/SFVec3f.java
	* java/vrml/node/Node.java
	* java/vrml/node/Script.java

2004-02-04 Braden McDaniel  <braden@endoframe.com>

	Replaced node_interface_set class with a typedef for a std::set.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp

2004-01-31 Braden McDaniel  <braden@endoframe.com>

	More de-inlining.

	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/field.h

2004-01-30 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/basetypes.h:  Workaround for an
	apparent parser bug in cl 13.10.3077.

2004-01-30 Braden McDaniel  <braden@endoframe.com>

	Fixes to make cl 13.10.3077 happy.

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp

2004-01-30 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/node.cpp:  Consistently pass
	comparator parameter to std::set.

2004-01-30 Braden McDaniel  <braden@endoframe.com>

	Don't inline so much.

	* src/libopenvrml/openvrml/basetypes.cpp
	* src/libopenvrml/openvrml/basetypes.h

2004-01-30 Braden McDaniel  <braden@endoframe.com>

	* lib/antlr/GNUmakefile.am:  Added ANTLRUtil.cpp to be built
	and included in libantlr, as well as the distribution.
	Interesting that its absence has not been noticed until now; it
	appears to be nonessential.

2004-01-29 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/private.h:  Added implementation of
	scope_guard_impl1 template.  Added unary_function_wrapper to
	facilitate the use of locally-defined function objects.
	* src/libopenvrml/openvrml/script.cpp:  Modified use of
	ScopeGuard to be properly standard conforming.  The type
	signature of nonvirtual member functions in the C++ standard
	library is undefined.  This also fixes a problem with
	cl 13.10.3077.

2004-01-27 Braden McDaniel  <braden@endoframe.com>

	Rearchitected event propagation.  Instead of resolving the event
	name during each propagation, that resolution now happens only
	when a ROUTE is established.  And rather than queueing every
	event, event propagation now occurs immediately whenever it can.

	* doc/Doxyfile.in:  Added BOOST_CLASS_REQUIRE(a,b,c) to
	PREDEFINED.
	* src/libopenvrml/openvrml/ScriptJDK.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/Vrml97Parser.hpp
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/browser.h
	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/field.h
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/private.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp

2004-01-26 Braden McDaniel  <braden@endoframe.com>

	Turned off Antlr's defaultErrorHandler for "protoFieldValue".

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g

2004-01-26 Braden McDaniel  <braden@endoframe.com>

	Removed vestiges of Visual C++ 6.0 build.

	* java/Makefile.am
	* java/Makefile.vc6:  Removed file.
	* java/vrml/Makefile.am
	* java/vrml/Makefile.vc6:  Removed file.
	* java/vrml/field/Makefile.am
	* java/vrml/field/Makefile.vc6:  Removed file.
	* java/vrml/node/Makefile.am
	* java/vrml/node/Makefile.vc6:  Removed file.
	* lib/antlr/GNUmakefile.am
	* lib/antlr/Makefile.vc6

2004-01-26 Braden McDaniel  <braden@endoframe.com>

	Consolidated "Makefile.am" contents.

	* configure.ac
	* lib/antlr/GNUmakefile.am
	* lib/antlr/antlr/GNUmakefile.am:  Removed file.
	* lib/antlr/src/GNUmakefile.am:  Removed file.
	* src/libopenvrml/Makefile.am
	* src/libopenvrml/openvrml/Makefile.am:  Removed file.
	* src/libopenvrml-gl/Makefile.am
	* src/libopenvrml-gl/openvrml/Makefile.am:  Removed file.
	* src/libopenvrml-gl/openvrml/gl/Makefile.am:  Removed file.
	* src/lookat/Makefile.am
	* test/Makefile.am

2004-01-24 Braden McDaniel  <braden@endoframe.com>

	Fixed argument numbering in NaN error message in SFVec2f and
	SFVec3f constructors.

	* src/libopenvrml/openvrml/script.cpp

2004-01-24 Braden McDaniel  <braden@endoframe.com>

	Guard against NaN values in JavaScript SFVec3f, SFVec2f
	constructors and component mutators.

	* src/libopenvrml/openvrml/script.cpp

2004-01-24 Braden McDaniel  <braden@endoframe.com>

	Quell warnings from gcc.

	* src/libopenvrml/openvrml/system.cpp
	* src/libopenvrml/openvrml/system.h

2004-01-24 Braden McDaniel  <braden@endoframe.com>

	Correctly check for NaN.

	* src/libopenvrml/openvrml/basetypes.h

2004-01-24 Braden McDaniel  <braden@endoframe.com>

	Prevent "nan" as a component of vec2f, vec3f.  A side effect of
	this is that the non-const operator[] for these types must be
	removed.

	* src/libopenvrml/openvrml/basetypes.cpp
	* src/libopenvrml/openvrml/basetypes.h
	* src/libopenvrml/openvrml/frustum.cpp
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp

2004-01-24 Braden McDaniel  <braden@endoframe.com>

	Doc-comment fixes.

	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/node.cpp

2004-01-22 Braden McDaniel  <braden@endoframe.com>

	Express noncopyability by inheriting "boost::noncopyable".

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/browser.h
	* src/libopenvrml/openvrml/doc.cpp
	* src/libopenvrml/openvrml/doc.h
	* src/libopenvrml/openvrml/img.h
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/scope.cpp
	* src/libopenvrml/openvrml/scope.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/system.h
	* src/libopenvrml/openvrml/viewer.cpp
	* src/libopenvrml/openvrml/viewer.h

2004-01-20 Braden McDaniel  <braden@endoframe.com>

	Use boost::lexical_cast.

	* src/libopenvrml/openvrml/node.cpp

2004-01-19 Braden McDaniel  <braden@endoframe.com>

	Replaced uses of "@relates" with "@relatesalso".

	* src/libopenvrml/openvrml/basetypes.cpp
	* src/libopenvrml/openvrml/node.cpp

2004-01-19 Braden McDaniel  <braden@endoframe.com>

	Set DETAILS_AT_TOP to YES.

	* doc/Doxyfile.in

2004-01-19 Braden McDaniel  <braden@endoframe.com>

	Added doc-comment for "scope_ptr".

	* src/libopenvrml/openvrml/scope.cpp

2004-01-19 Braden McDaniel  <braden@endoframe.com>

	Set ALWAYS_DETAILED_SEC and EXTRACT_LOCAL_CLASSES to YES.

	* doc/Doxyfile.in

2004-01-19 Braden McDaniel  <braden@endoframe.com>

	Added "Doxyfile" as a dependency of the "doc" target.

	* doc/Makefile.am

2004-01-19 Braden McDaniel  <braden@endoframe.com>

	Made "script_node::to_script" private.

	* src/libopenvrml/openvrml/script.h

2004-01-14 Braden McDaniel  <braden@endoframe.com>

	Use boost::lexical_cast.

	* src/libopenvrml/openvrml/browser.cpp

2004-01-07 Braden McDaniel  <braden@endoframe.com>

	Removed unused member "openvrml::gl::viewer::rotation".

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.h

2004-01-07 Braden McDaniel  <braden@endoframe.com>

	Removed unused member "openvrml::gl::viewer::rotation_changed".

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.h

2004-01-01 Braden McDaniel  <braden@endoframe.com>

	Added operator* implementations for vec2f and vec3f that take a
	scalar on the left-hand side.

	* src/libopenvrml/openvrml/basetypes.cpp
	* src/libopenvrml/openvrml/basetypes.h

2003-12-31 Braden McDaniel  <braden@endoframe.com>

	Doxygen doc-comment updates.

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h

2003-12-31 Braden McDaniel  <braden@endoframe.com>

	* doc/Doxyfile.in:  Updated for Doxygen 1.3.5.

2003-12-31 Braden McDaniel  <braden@endoframe.com>

	Doxygen doc-comment updates.

	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2003-12-14 Braden McDaniel  <braden@endoframe.com>

	Added value_type typedef to field_value subclasses.  Added
	constructor that takes a value_type to the mf* types.

	* src/libopenvrml/openvrml/field.h
	* src/libopenvrml/openvrml/field.cpp

2003-12-09 Braden McDaniel  <braden@endoframe.com>

	Modifed "viewer::insert_background" to use the "image" class.

	* src/libopenvrml/openvrml/viewer.cpp
	* src/libopenvrml/openvrml/viewer.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.h

2003-11-30 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/basetypes.cpp:  Implemented
	operator== for "openvrml::image".

2003-11-25 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	(viewer::insert_texture):  Check GL_MAX_TEXTURE_SIZE and rescale
	the texture as needed.

2003-11-24 Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	(viewer::insert_texture):  Accept arbitrarily large textures
	rather than topping out at 256*256.  Textures with sides that
	are not powers of 2 are scaled down to the nearest power of 2.

2003-11-22 Braden McDaniel  <braden@endoframe.com>

	Modified "viewer::insert_texture" to accept an "image".

	* src/libopenvrml/openvrml/viewer.cpp
	* src/libopenvrml/openvrml/viewer.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.h

2003-11-21 Braden McDaniel  <braden@endoframe.com>

	Replaced "w", "h", "components", and "pixels" members of
	"texture_node" with an "image" member that returns an
	"openvrml::image".

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2003-11-20 Braden McDaniel  <braden@endoframe.com>

	Modified lookat to use SDL instead of glut.

	* README:  Updated description of dependencies.
	* configure.ac:  Check for SDL instead of glut.
	* openvrml.spec.in:  Require SDL instead of glut.
	* m4/Makefile.am:  Removed "ax_check_glut.m4" from EXTRA_DIST.
	* m4/ax_check_glut.m4:  Removed file.
	* src/lookat/Makefile.am:  Apply SDL flags instead of glut flags.
	* src/lookat/ViewerGlut.cpp:  Removed file.
	* src/lookat/ViewerGlut.h:  Removed file.
	* src/lookat/lookat.cpp:  Use SDL instead of glut.

2003-11-18  Braden McDaniel  <braden@endoframe.com>

	Apply std::hex manipulator when reading hexadecimal integers.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g

2003-11-18  Braden McDaniel  <braden@endoframe.com>

	Removed some debugging output.

	* src/libopenvrml/openvrml/basetypes.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp

2003-11-18  Braden McDaniel  <braden@endoframe.com>

	Added image basic type.

	* src/libopenvrml/openvrml/ScriptJDK.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/Vrml97Parser.hpp
	* src/libopenvrml/openvrml/basetypes.cpp
	* src/libopenvrml/openvrml/basetypes.h
	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/field.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp

2003-11-18  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp:  On second thought,
	use boost::scoped_ptr to manage gl_capabilities singleton.

2003-11-17  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml-gl/openvrml/gl/viewer.cpp:  Use
	boost::shared_ptr with gl_capabilities singleton to eliminate
	memory leak.

2003-11-17  Braden McDaniel  <braden@endoframe.com>

	Merged changes from 0.14.3.

	* NEWS:  Updates for 0.14.3 release.
	* README
	* configure.ac:  Added checks for Mac OS X Rez tool.
	* openvrml.spec.in:  Removed unused ARCH_FLAGS variable from
	"configure" invocation.  Added _smp_mflags macro to invocation
	of make.
	* m4/ax_check_glut.m4:  Added "-lobjc" to GLUT_LIBS when using
	Apple's OpenGL framework.
	* src/libopenvrml/openvrml/Makefile.am:  Incremented library
	version.
	* src/libopenvrml-gl/openvrml/gl/Makefile.am:  Incremented
	library version.
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp:  Made
	gl_capabilities a singleton.  This circumvents the problem of the
	class instance being initialized during static initialization.
	Calls to glGetIntegerv are not valid without a valid GL context.
	* src/lookat/Makefile.am:  Apply Rez tool on Mac OS X.
	* src/lookat/ViewerGlut.cpp:  Corrected include for GLUT
	header.
	* src/lookat/lookat.cpp:  Corrected include for GLUT header.

2003-11-11  Braden McDaniel  <braden@endoframe.com>

	Cruft removal.

	* src/libopenvrml/openvrml/img.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2003-11-08  Braden McDaniel  <braden@endoframe.com>

	Removed node::render in favor of render_* member functions on the
	derived abstract node types.

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2003-11-08  Braden McDaniel  <braden@endoframe.com>

	* src/lookat/Makefile.am:  Removed lingering obsolete reference
	to JNI_CFLAGS.

2003-11-07  Braden McDaniel  <braden@endoframe.com>

	Enabled build of Script node Java binding by default.

	* configure.ac:  Changed OV_WITH_JDK to OV_CHECK_JNI.
	* openvrml.spec.in:  Now requires libgcj >= 3.3.
	* m4/jdk.m4:  Replaced OV_WITH_JDK with OV_CHECK_JNI.
	* src/libopenvrml/openvrml/Makefile.am:  JNI_CFLAGS autoconf
	substitution no longer used.

2003-11-04  Braden McDaniel  <braden@endoframe.com>

	Added some more tests.

	* test/Makefile.am
	* test/browser-create_vrml_from_stream.cpp
	* test/parse-anchor.cpp

2003-11-03  Braden McDaniel  <braden@endoframe.com>

	* openvrml.spec.in:  Removed lookat-bin from lookat package.
	Added mozilla requirement for lookat.  lookat is now built with
	-rpath for the Mozilla library directory; so the binary package
	requires the same Mozilla version it was built against.

2003-11-03  Braden McDaniel  <braden@endoframe.com>

	Build executables with -rpath instead of setting
	LD_LIBRARY_PATH.

	* configure.ac
	* src/lookat/Makefile.am
	* src/lookat/lookat.in:  Removed file.
	* test/Makefile.am

2003-11-02  Braden McDaniel  <braden@endoframe.com>

	Removed viewer::scale_texture.  Instead, do any texture
	rescaling in the implementation of viewer::insert_texture.

	* src/libopenvrml/openvrml/img.cpp
	* src/libopenvrml/openvrml/img.h
	* src/libopenvrml/openvrml/viewer.cpp
	* src/libopenvrml/openvrml/viewer.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.h

2003-11-02  Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  Don't optionally generate Makefiles--that
	screws up make.

2003-10-31  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/img.cpp (img::img):  Initialize
	img::nframes_ to 0. (Fixes crash on exit.)

2003-10-31  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/browser.cpp:  Don't render root nodes
	that aren't child nodes.

2003-10-27  Braden McDaniel  <braden@endoframe.com>

	Launch lookat with a shell script to set LD_LIBRARY_PATH
	appropriately.

	* configure.ac:  Generate lookat shell script.
	* openvrml.spec.in:  Added lookat-bin to lookat package.
	* src/lookat/Makefile.am:  Changed binary executable from
	"lookat" to "lookat-bin".  "lookat" is now a shell script.
	* src/lookat/lookat.in:  Added file.

2003-10-26  Braden McDaniel  <braden@endoframe.com>

	Added the beginning of a test suite.

	* Makefile.am:  Added "test" subdirectory.
	* configure.ac:  Substitute GRE_PATH variable.
	* m4/jdk.m4:  Modified OV_WITH_JDK to substitute JDK_LIBRARY_PATH
	variable.
	* test/Makefile.am:  Added file.
	* test/browser_basic.cpp:  Added file.

2003-10-23  Braden McDaniel  <braden@endoframe.com>

	Move check for libGLU to AX_CHECK_GLU.

	* openvrml-gl.pc.in
	* m4/Makefile.am
	* m4/ax_check_gl.m4
	* m4/ax_check_glu.m4
	* m4/ax_check_glut.m4
	* src/libopenvrml-gl/openvrml/gl/Makefile.am

2003-10-21  Braden McDaniel  <braden@endoframe.com>

	Replace usage of node::to_<node> with node_cast.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/vrml97node.cpp

2003-10-20  Braden McDaniel  <braden@endoframe.com>

	Merged changes from 0.14.2.

	* doc/doxygen-header:  Removed unsightly filename extensions
	from URIs.
	* src/libopenvrml/openvrml/vrml97node.cpp
	(elevation_grid_node::insert_geometry):  Added null checks for
	SFNode fields.
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp:  Fixed crashes
	resulting from size_t carelessness.

2003-10-14  Braden McDaniel  <braden@endoframe.com>

	Generate Doxyfile from configure in order to take advantage of
	PACKAGE_NAME and PACKAGE_VERSION substitutions.

	* configure.ac:  Added doc/Doxyfile to AC_CONFIG_FILES.
	* doc/Doxyfile:  Removed file.
	* doc/Doxyfile.in:  Added file.
	* doc/Makefile.am:  Use Doxfile in the builddir.

2003-10-08  Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  Removed useless checks for zlib, libpng, and
	libjpeg.

2003-10-08  Braden McDaniel  <braden@endoframe.com>

	Moved relocate member function from node to child_node.

	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/vrml97node.cpp

2003-10-07  Braden McDaniel  <braden@endoframe.com>

	Quelled some warnings from gcc.

	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp

2003-09-30  Braden McDaniel  <braden@endoframe.com>

	Replace field_value_ptr, node_class_ptr, node_type_ptr, and
	scope_ptr with instances of boost::shared_ptr.

	* openvrml.spec.in
	* src/libopenvrml/openvrml/Makefile.am
	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/Vrml97Parser.hpp
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/browser.h
	* src/libopenvrml/openvrml/field.h
	* src/libopenvrml/openvrml/field_value_ptr.cpp
	* src/libopenvrml/openvrml/field_value_ptr.h
	* src/libopenvrml/openvrml/node.h
	* src/libopenvrml/openvrml/node_class_ptr.cpp
	* src/libopenvrml/openvrml/node_class_ptr.h
	* src/libopenvrml/openvrml/node_type_ptr.cpp
	* src/libopenvrml/openvrml/node_type_ptr.h
	* src/libopenvrml/openvrml/private.h
	* src/libopenvrml/openvrml/scope.h
	* src/libopenvrml/openvrml/scope_ptr.cpp
	* src/libopenvrml/openvrml/scope_ptr.h
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/script.h
	* src/libopenvrml/openvrml/vrml97node.cpp

2003-09-30  Braden McDaniel  <braden@endoframe.com>

	Merge from 0.14.1.

	* src/libopenvrml/openvrml/private.h:  Allow for 10 rounding
	errors in computation of floating point error tolerance.

2003-09-28  Braden McDaniel  <braden@endoframe.com>

	Updated version to 0.14.99.

	* README
	* configure.ac

2003-09-28  Braden McDaniel  <braden@endoframe.com>

	Updated version to 0.14.0.

	* README
	* configure.ac

2003-09-28  Braden McDaniel  <braden@endoframe.com>

	* NEWS:  Updates for 0.14.0 release.

2003-09-28  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/Makefile.am:  Incremented library
	version number to 4:0:0.
	* src/libopenvrml-gl/openvrml/gl/Makefile.am:  Incremented
	library version number to 5:0:0.

2003-09-28  Braden McDaniel  <braden@endoframe.com>

	Renamed COPYING.LIB to COPYING.LESSER.

	* COPYING.LESSER:  Added file.
	* COPYING.LIB:  Removed file.
	* openvrml.spec.in:  Changes for parity with build, install
	changes.

2003-09-28  Braden McDaniel  <braden@endoframe.com>

	Added GNUmakefile to DISTCLEANFILES to quell an error message
	from distcleancheck. (This has got to be a bug in Automake
	(1.7.7).)

	* lib/antlr/GNUmakefile.am
	* lib/antlr/antlr/GNUmakefile.am
	* lib/antlr/src/GNUmakefile.am

2003-09-28  Braden McDaniel  <braden@endoframe.com>

	* doc/Makefile.am:  Made install-data-local DESTDIR-aware;
	removed doc from dist-hook.

2003-09-28  Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  Added AC_COPYRIGHT.

2003-09-25  Braden McDaniel  <braden@endoframe.com>

	Removed Microsoft Visual C++ 6.0 project files and makefiles.

	* INSTALL-MSVC6.txt:  Removed file.
	* Makefile.am:  No longer distribute INSTALL-MSVC6.txt,
	Makefile.vc6.
	* Makefile.vc6:  Removed file.
	* ide-projects/Makefile.am:  Removed Microsoft Visual C++ 6.0
	project files from the distribution; added Microsoft
	Visual C++ 7.0 project files to the distribution.
	* ide-projects/Windows/VisualC6/config.h:  Removed file.
	* ide-projects/Windows/VisualC6/openvrml.dsp:  Removed file.
	* ide-projects/Windows/VisualC6/openvrml.dsw:  Removed file.
	* ide-projects/Windows/VisualC6/lookat/lookat.dsp:  Removed
	file.
	* ide-projects/Windows/VisualC6/lookat/lookat.dsw:  Removed
	file.
	* ide-projects/Windows/VisualC6/openvrml-core/openvrmlcore.dsp:
	Removed file.
	* ide-projects/Windows/VisualC6/openvrml-core/openvrmlcore.dsw:
	Removed file.
	* ide-projects/Windows/VisualC6/openvrml-gl/openvrmlgl.dsp:
	Removed file.
	* ide-projects/Windows/VisualC6/openvrml-gl/openvrmlgl.dsw:
	Removed file.
	* ide-projects/Windows/VisualC6/tplib/antlr/libantlr.dsp:
	Removed file.
	* ide-projects/Windows/VisualC6/tplib/antlr/libantlr.dsw:
	Removed file.
	* src/libopenvrml/openvrml/Makefile.am:  Removed Makefile.vc6
	from the distribution.
	* src/libopenvrml/openvrml/Makefile.vc6:  Removed file.
	* src/libopenvrml-gl/openvrml/gl/Makefile.am:  Removed
	Makefile.vc6 from the distribution.
	* src/libopenvrml-gl/openvrml/gl/Makefile.vc6:  Removed file.
	* src/lookat/Makefile.am:  Removed Makefile.vc6 from the
	distribution.
	* src/lookat/Makefile.vc6:  Removed file.

2003-09-25  Braden McDaniel  <braden@endoframe.com>

	Doc-comment improvements.

	* src/libopenvrml/openvrml/bounding_volume.cpp
	* src/libopenvrml/openvrml/bounding_volume.h
	* src/libopenvrml/openvrml/field_value_ptr.cpp
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node_type_ptr.cpp
	* src/libopenvrml/openvrml/scope_ptr.cpp
	* src/libopenvrml/openvrml/scope_ptr.h
	* src/libopenvrml/openvrml/system.cpp
	* src/libopenvrml/openvrml/system.h

2003-09-23  Braden McDaniel  <braden@endoframe.com>

	Doc-comment improvements.

	* src/libopenvrml/openvrml/bounding_volume.cpp
	* src/libopenvrml/openvrml/bounding_volume.h
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/scope.cpp

2003-09-23  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/img.cpp:  Fixed memory leak when
	cleaning up frame data.

2003-09-22  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/vrml97node.cpp:  Doc-comment and
	cosmetic improvements.

2003-09-18  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/Vrml97Parser.cpp:  Track changes to
	Vrml97Parser.g.
	* src/libopenvrml/openvrml/Vrml97Parser.g:  Throw an
	antlr::SemanticException when scope::add_type fails.
	* src/libopenvrml/openvrml/scope.cpp:  Changed scope::find_type
	and scope::first_type to return "const node_type_ptr &" instead
	of "const node_type_ptr".  Changed scope::add_type to return
	a boolean value to indicate success or failure.

2003-09-18  Braden McDaniel  <braden@endoframe.com>

	Changed node::id to return "const std::string &" instead of
	"const std::string".

	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node.h

2003-09-18  Braden McDaniel  <braden@endoframe.com>

	Doc-comment improvements.

	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp

2003-09-18  Braden McDaniel  <braden@endoframe.com>

	* doc/doxygen-header:  Style sheet enhancements.

2003-09-17  Braden McDaniel  <braden@endoframe.com>

	* README:  Added section "Significant preprocessor symbols".

2003-09-13  Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  Apparently we really do need Automake 1.7.

2003-09-12  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/node.cpp (node::node):  Reordered
	member initializer list to match declaration order.
	* src/libopenvrml/openvrml/rendering_context.cpp
	(rendering_context::rendering_context):  Reordered member
	initializer list to match declaration order.

2003-09-09  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/script.cpp (script_node::update):
	Moved check for modified eventOuts outside of conditional
	testing whether an event had been received; per patch from
	Steffen Mader <s_mader@users.sourceforge.net>.

2003-09-08  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/vrml97node.cpp:  Fixed recursive
	calls to {Node}::modify.

2003-09-08  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/script.cpp:  Corrected use of
	auto_ptr<>::release.

2003-09-08  Braden McDaniel  <braden@endoframe.com>

	Require Automake 1.6.3.

	* configure.ac
	* Makefile.am

2003-09-08  Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  Modernize usage of AC_OUTPUT; use
	AC_CONFIG_FILES.
	* Makefile.am:  Require Automake 1.7.

2003-09-02  Braden McDaniel  <braden@endoframe.com>

	* configure.ac:  Provide help text for DOXYGEN variable.

2003-09-02  Braden McDaniel  <braden@endoframe.com>

	Fixes for gcc 3.2.2.

	* src/libopenvrml/openvrml/basetypes.cpp
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h

2003-09-01  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/doc.cpp (doc2::filename):  Fixed
	problem resolving file URLs on Windows.

2003-09-01  Braden McDaniel  <braden@endoframe.com>

	Quelled some stupid warnings in Release builds.

	* ide-projects/Windows/VisualC7/OpenVRML/lookat/lookat.vcproj
	* ide-projects/Windows/VisualC7/OpenVRML/openvrml/openvrml.vcproj
	* ide-projects/Windows/VisualC7/OpenVRML/openvrml-gl/openvrml-gl.vcproj

2003-09-01  Braden McDaniel  <braden@endoframe.com>

	Fixed a bunch of warnings from cl 13.00.9466.

	* src/libopenvrml/openvrml/Vrml97Parser.cpp
	* src/libopenvrml/openvrml/Vrml97Parser.g
	* src/libopenvrml/openvrml/basetypes.cpp
	* src/libopenvrml/openvrml/basetypes.h
	* src/libopenvrml/openvrml/bounding_volume.cpp
	* src/libopenvrml/openvrml/browser.cpp
	* src/libopenvrml/openvrml/field.cpp
	* src/libopenvrml/openvrml/field_value_ptr.cpp
	* src/libopenvrml/openvrml/frustum.cpp
	* src/libopenvrml/openvrml/img.cpp
	* src/libopenvrml/openvrml/node_class_ptr.cpp
	* src/libopenvrml/openvrml/node_type_ptr.cpp
	* src/libopenvrml/openvrml/scope_ptr.cpp
	* src/libopenvrml/openvrml/system.cpp
	* src/libopenvrml/openvrml/viewer.cpp
	* src/libopenvrml/openvrml/viewer.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml/openvrml/vrml97node.h
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.h
	* src/lookat/lookat.cpp

2003-09-01  Braden McDaniel  <braden@endoframe.com>

	* ide-projects/Windows/VisualC7/OpenVRML/openvrml-gl/openvrml-gl.vcproj:
	Removed obsolete file "common.h" from project.

2003-09-01  Braden McDaniel  <braden@endoframe.com>

	Calculate floating point error tolerance from
	std::numeric_limits<T>::epsilon().

	* src/libopenvrml/openvrml/Vrml97Parser.cpp:  Tracks changes to
	Vrml97Parser.g.
	* src/libopenvrml/openvrml/Vrml97Parser.g:  Use fequal functor
	instead of fpequal, fpzero functions.
	* src/libopenvrml/openvrml/basetypes.cpp:  Use fequal functor
	instead of fpequal, fpzero functions.
	* src/libopenvrml/openvrml/bounding_volume.cpp:  Use fequal
	functor instead of fpequal, fpzero functions.
	* src/libopenvrml/openvrml/private.h:  Replaced fpequal, fpzero
	functions with fequal functor.
	* src/libopenvrml/openvrml/vrml97node.cpp:  Use fequal functor
	instead of fpequal, fpzero functions.
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp:  Replaced fpequal,
	fpzero functions with fequal functor.

2003-09-01  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml-gl/openvrml/gl/Makefile.am:  Removed reference
	to obsolete file common.h.

2003-09-01  Braden McDaniel  <braden@endoframe.com>

	Added doc target to generate Doxygen documentation.

	* Makefile.am:  Added doc target.
	* configure.ac:  Check for doxygen.
	* doc/Makefile.am:  Added doc target.

2003-08-30  Braden McDaniel  <braden@endoframe.com>

	Removed OPENVRML_SCOPE and OPENVRML_GL_SCOPE macros that were
	used to apply __declspec(dllimport) and __declspec(dllexport)
	on Windows.  Because OpenVRML includes classes that inherit
	classes in the C++ standard library, and the standard library
	classes are not exported from the C++ runtime DLL on Windows,
	building a DLL with OpenVRML's classes in the interface is not
	currently feasible.

	* doc/Doxyfile:  Removed reference to OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/basetypes.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/bounding_volume.h:  Removed
	occurrences of OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/browser.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/common.h:  Removed OPENVRML_SCOPE
	macro.
	* src/libopenvrml/openvrml/doc.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/field.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/field_value_ptr.h:  Removed
	occurrences of OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/frustum.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/img.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/node.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/node_class_ptr.h:  Removed
	occurrences of OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/node_ptr.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/node_type_ptr.h:  Removed occurrences
	of OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/rendering_context.h:  Removed
	occurrences of OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/scope.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/scope_ptr.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/script.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/system.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/viewer.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml/openvrml/vrml97node.h:  Removed occurrences of
	OPENVRML_SCOPE macro.
	* src/libopenvrml-gl/openvrml/gl/Makefile.am:  Removed reference
	to common.h.
	* src/libopenvrml-gl/openvrml/gl/common.h:  Removed file.
	* src/libopenvrml-gl/openvrml/gl/viewer.h:  Removed reference to
	common.h; removed occurrence of OPENVRML_GL_SCOPE macro.

2003-08-28  Braden McDaniel  <braden@endoframe.com>

	Style sheet modifications to accommodate changes to Doxygen.

	* doc/Doxyfile:  Generate default style sheet.
	* doc/doxygen-header:  Moved style sheet to <style> element
	included in the generated documentation.
	* doc/openvrml.css:  Removed file.

2003-08-25  Braden McDaniel  <braden@endoframe.com>

	Doc-comment improvements.

	* src/libopenvrml/openvrml/basetypes.cpp
	* src/libopenvrml/openvrml/doc.cpp
	* src/libopenvrml/openvrml/img.cpp
	* src/libopenvrml/openvrml/img.h
	* src/libopenvrml/openvrml/node.cpp
	* src/libopenvrml/openvrml/node_class_ptr.cpp
	* src/libopenvrml/openvrml/node_ptr.cpp
	* src/libopenvrml/openvrml/node_type_ptr.cpp
	* src/libopenvrml/openvrml/scope.cpp
	* src/libopenvrml/openvrml/scope_ptr.cpp
	* src/libopenvrml/openvrml/script.cpp
	* src/libopenvrml/openvrml/viewer.cpp
	* src/libopenvrml/openvrml/viewer.h
	* src/libopenvrml/openvrml/vrml97node.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp
	* src/libopenvrml-gl/openvrml/gl/viewer.h

2003-08-22  Braden McDaniel  <braden@endoframe.com>

	Added Microsoft Visual Studio 7.0 solution and project files.

	* ide-projects/Windows/VisualC7/OpenVRML/OpenVRML.sln
	* ide-projects/Windows/VisualC7/OpenVRML/antlr/antlr.vcproj
	* ide-projects/Windows/VisualC7/OpenVRML/lookat/lookat.vcproj
	* ide-projects/Windows/VisualC7/OpenVRML/openvrml/openvrml.vcproj
	* ide-projects/Windows/VisualC7/OpenVRML/openvrml-gl/openvrml-gl.vcproj
	* ide-projects/Windows/VisualC7/OpenVRML/regex/regex.vcproj

2003-08-21  Braden McDaniel  <braden@endoframe.com>

	Changes to build with cl 13.00.9466.

	* src/libopenvrml/openvrml/script.cpp:  Fixed #ifdef's for
	conditionally building with JavaScript support.
	* src/libopenvrml/openvrml/system.cpp:  #include fixes.
	* src/libopenvrml-gl/openvrml/gl/viewer.cpp:  Fixed improper
	use of aggregate initialization.

2003-08-20  Braden McDaniel  <braden@endoframe.com>

	* lib/antlr/antlr/config.hpp:  Fixed dllimport/dllexport macro
	for building a static library.

2003-08-20  Braden McDaniel  <braden@endoframe.com>

	Gave regex API functions C linkage.

	* lib/regex/regcomp.c
	* lib/regex/regerror.c
	* lib/regex/regex.h
	* lib/regex/regexec.c
	* lib/regex/regfree.c

2003-08-20  Braden McDaniel  <braden@endoframe.com>

	Added George J. Carrette's Windows port of Henry Spencer's regex
	to the distribution.  This is needed for the Windows cl build.

	* configure.ac:  Added lib/regex/Makefile to AC_OUTPUT.
	* lib/Makefile.am:  Added regex to SUBDIRS.
	* lib/regex/Makefile.am:  Added regex sources to the
	distribution.

2003-08-19  Braden McDaniel  <braden@endoframe.com>

	* doc/Doxyfile:  Updates for Doxygen 1.3.3-20030808.

2003-08-18  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/script.cpp:  Minor JavaScript
	improvements.

2003-08-17  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/script.cpp:  JavaScript fixes and
	error handling improvements.

2003-08-16  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/vrml97node.cpp:  Replaced
	specialization of std::char_traits with a class supporting the
	Character Traits concept. (Strictly, the specialization was not
	legal, since standard library templates can only be specialized
	for user-defined data types.)

2003-08-16  Braden McDaniel  <braden@endoframe.com>

	* src/libopenvrml/openvrml/script.cpp:  JavaScript fixes and
	error handling improvements.

2003-08-03  Braden McDaniel  <braden@endoframe.com>

	* dox/Doxyfile:  Changed INPUT to point to new source
	directories; use dot for inheritance and collaboration diagrams.

2003-08-03  Braden McDaniel  <braden@endoframe.com>

	* openvrml.pc.in:  Adjusted include directory.
	* openvrml-gl.pc.in: Adjusted include directory.

2003-07-29  Braden McDaniel  <braden@endoframe.com>

	Naming convention changes. Change "OpenVRML" namespace to
	"openvrml"; changed "OpenVRML::GL" namespace to "openvrml::gl".

2003-07-28  Braden McDaniel  <braden@endoframe.com>

	Doxygen documentation improvements.

	* src/openvrml/OpenVRML/browser.cpp:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/browser.h:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/doc.cpp:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/field.cpp:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/field_value_ptr.cpp:  Doxygen
	documentation improvements.
	* src/openvrml/OpenVRML/frustum.cpp:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/node.cpp:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/node.h:  Doxygen documentation
	improvements.

2003-07-27  Braden McDaniel  <braden@endoframe.com>

	Removed unused functions node::update_modified and
	node::mark_path_modified.

	* src/openvrml/OpenVRML/node.h:  Removed unused functions
	node::update_modified and node::mark_path_modified.
	* src/openvrml/OpenVRML/node.cpp:  Removed unused functions
	node::update_modified and node::mark_path_modified.
	* src/openvrml/OpenVRML/vrml97node.h:  Removed unused functions
	node::update_modified and node::mark_path_modified.
	* src/openvrml/OpenVRML/vrml97node.cpp:  Removed unused
	functions node::update_modified and node::mark_path_modified.

2003-07-27  Braden McDaniel  <braden@endoframe.com>

	Doxygen documentation improvements.

	* src/openvrml/OpenVRML/basetypes.cpp:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/browser.cpp:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/node.cpp:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/node.h:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/node_class_ptr.cpp:  Doxygen
	documentation improvements.
	* src/openvrml/OpenVRML/node_ptr.h:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/node_type_ptr.cpp:  Doxygen
	documentation improvements.
	* src/openvrml/OpenVRML/scope_ptr.h:  Doxygen documentation
	improvements.
	* src/openvrml/OpenVRML/vrml97node.h:  Doxygen documentation
	improvements.
	* src/openvrml-gl/OpenVRML/GL/viewer.cpp:  Doxygen documentation
	improvements.
	* src/openvrml-gl/OpenVRML/GL/viewer.h:  Doxygen documentation
	improvements.

2003-07-26  Braden McDaniel  <braden@endoframe.com>

	* m4/ax_check_gl.m4:  Updated macro description.
	* m4/ax_check_glut.m4:  Updated macro description.

2003-07-25  Braden McDaniel  <braden@endoframe.com>

	Modified OpenGL and GLUT detection macros to work with cl.

	* m4/ax_check_gl.m4:  Find the right libraries when using cl.
	* m4/ax_check_glut.m4:  Find the right library when using cl.
	* src/openvrml-gl/OpenVRML/GL/viewer.cpp:  Reflects changes
	to AX_CHECK_GL macro.

2003-07-25  Braden McDaniel  <braden@endoframe.com>

	Fixes to compile libantlr with cl.

	* lib/antlr/antlr/config.hpp: Define ANTLR_REALLY_NO_STRCASECMP
	for cl.
	* lib/antlr/src/BaseAST.cpp:  nullASTptr must be extern.
	* lib/antlr/src/GNUmakefile.am:  Define ANTLR_EXPORTS.

2003-07-24  Braden McDaniel  <braden@endoframe.com>

	Don't use deprecated C headers.

	* src/openvrml/OpenVRML/ScriptJDK.cpp:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/Vrml97Parser.cpp:  Reflects changes to
	Vrml97Parser.g.
	* src/openvrml/OpenVRML/Vrml97Parser.g:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/Vrml97Parser.hpp:  Reflects changes to
	Vrml97Parser.g.
	* src/openvrml/OpenVRML/basetypes.cpp:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/basetypes.h:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/browser.h:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/doc.cpp:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/doc.h:  Don't use deprecated C headers.
	* src/openvrml/OpenVRML/field.cpp:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/field_value_ptr.h:  Don't use deprecated
	C headers.
	* src/openvrml/OpenVRML/img.cpp:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/img.h:  Don't use deprecated C headers.
	* src/openvrml/OpenVRML/node_class_ptr.h:  Don't use deprecated
	C headers.
	* src/openvrml/OpenVRML/node_ptr.cpp:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/node_ptr.h:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/node_type_ptr.cpp:  Don't use deprecated
	C headers.
	* src/openvrml/OpenVRML/private.h:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/scope_ptr.h:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/script.cpp:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/system.cpp:  Don't use deprecated C
	headers.
	* src/openvrml/OpenVRML/viewer.cpp:  Don't use deprecated C
	headers.
	* src/openvrml-gl/OpenVRML/GL/viewer.cpp:  Don't use deprecated
	C headers.

2003-07-24  Braden McDaniel  <braden@endoframe.com>

	Renamed Vrml97Node namespace to vrml97_node.

	* src/openvrml/OpenVRML/browser.cpp:  Renamed Vrml97Node
	namespace to vrml97_node.
	* src/openvrml/OpenVRML/browser.h:  Renamed Vrml97Node namespace
	to vrml97_node.
	* src/openvrml/OpenVRML/node.cpp:  Renamed Vrml97Node namespace
	to vrml97_node.
	* src/openvrml/OpenVRML/node.h:  Renamed Vrml97Node namespace to
	vrml97_node.
	* src/openvrml/OpenVRML/vrml97node.cpp:  Renamed Vrml97Node
	namespace to vrml97_node.
	* src/openvrml/OpenVRML/vrml97node.h:  Renamed Vrml97Node
	namespace to vrml97_node.
	* src/openvrml-gl/OpenVRML/GL/viewer.cpp:  Renamed Vrml97Node
	namespace to vrml97_node.

2003-07-23  Braden McDaniel  <braden@endoframe.com>

	* src/openvrml-gl/OpenVRML/GL/viewer.cpp:  Oops.

2003-07-23  Braden McDaniel  <braden@endoframe.com>

	Naming convention changes and Doxygen doc improvements.

	* doc/Doxyfile:  Set HIDE_SCOPE_NAMES to NO.
	* src/lookat/ViewerGlut.cpp:  Naming convention changes.
	* src/lookat/ViewerGlut.h:  Naming convention changes.
	* src/openvrml/OpenVRML/basetypes.cpp:  Doxygen doc
	improvements.
	* src/openvrml/OpenVRML/basetypes.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/browser.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/browser.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/field.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/field.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/img.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/node.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/node.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/node_ptr.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/node_type_ptr.cpp:  Doxygen doc
	improvements.
	* src/openvrml/OpenVRML/scope.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/scope_ptr.cpp:  Doxygen doc
	improvements.
	* src/openvrml/OpenVRML/script.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/script.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/viewer.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/viewer.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/vrml97node.cpp:  Doxygen doc
	improvements.
	* src/openvrml-gl/OpenVRML/GL/Makefile.am:  Added viewer.cpp,
	viewer.h, removed ViewerOpenGL.cpp, ViewerOpenGL.h.
	* src/openvrml-gl/OpenVRML/GL/Makefile.vc6:  Added viewer.cpp,
	viewer.h, removed ViewerOpenGL.cpp, ViewerOpenGL.h.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Removed file.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Removed file.
	* src/openvrml-gl/OpenVRML/GL/viewer.cpp:  Added file.
	* src/openvrml-gl/OpenVRML/GL/viewer.h:  Added file.

2003-07-15  Braden McDaniel  <braden@endoframe.com>

	Doxygen doc improvements.

	* doc/Doxyfile:  Eliminated appearance of OPENVRML_SCOPE macro
	in docs.
	* src/openvrml/OpenVRML/basetypes.cpp:  Doxygen doc
	improvements.
	* src/openvrml/OpenVRML/basetypes.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/bounding_volume.cpp:  Doxygen doc
	improvements.
	* src/openvrml/OpenVRML/browser.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/field.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/field.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/img.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/img.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/node.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/node.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/script.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/viewer.cpp:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/viewer.h:  Doxygen doc improvements.
	* src/openvrml/OpenVRML/vrml97node.cpp:  Doxygen doc
	improvements.
	* src/openvrml/OpenVRML/vrml97node.h:  Doxygen doc improvements.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Doxygen doc
	improvements.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Doxygen doc
	improvements.

2003-07-12  Braden McDaniel  <braden@endoframe.com>

	Added factory function to field_value to create an instance of
	one of its subclasses.

	* src/openvrml/OpenVRML/browser.cpp
	(ProtoNodeClass::addEventOut, ProtoNodeClass::addExposedField)
	Use field_value::create.
	* src/openvrml/OpenVRML/field.cpp (field_value::create):  Added
	function.
	* src/openvrml/OpenVRML/field.h (field_value::create):  Added
	function.
	* src/openvrml/OpenVRML/field_value_ptr.cpp:  Added conversion
	from std::auto_ptr<field_value>.
	* src/openvrml/OpenVRML/field_value_ptr.h:  Added conversion
	from std::auto_ptr<field_value>.
	* src/openvrml/OpenVRML/script.cpp
	(script_node::script_node_type::create_node):  Use
	field_value::create.

2003-07-09  Braden McDaniel  <braden@endoframe.com>

	Removed unnecessary function bounding_sphere::reset.

	* src/openvrml/OpenVRML/bounding_volume.h
	(bounding_volume::reset):  Removed function.
	* src/openvrml/OpenVRML/bounding_volume.cpp
	(bounding_volume::reset, bounding_sphere::enclose):  Removed
	function bounding_sphere::reset.
	* src/openvrml/OpenVRML/vrml97node.cpp
	(group_node::recalc_bsphere,
	indexed_face_set_node::recalcBSphere, lod_node::recalcBSphere,
	point_set_node::recalcBSphere, switch_node::recalcBSphere,
	transform_node::recalcBSphere):  Replaced calls to
	bounding_sphere::reset with assignments to the default
	bounding_sphere.

2003-07-06  Braden McDaniel  <braden@endoframe.com>

	Applied naming convention changes to VRML97 node implementation
	classes.

	* src/openvrml/OpenVRML/browser.cpp:  Naming convention changes.
	* src/openvrml/OpenVRML/browser.h:  Naming convention changes.
	* src/openvrml/OpenVRML/node.cpp:  Naming convention changes.
	* src/openvrml/OpenVRML/node.h:  Naming convention changes.
	* src/openvrml/OpenVRML/vrml97node.cpp:  Naming convention
	changes.
	* src/openvrml/OpenVRML/vrml97node.h:  Naming convention
	changes.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Naming
	convention changes.

2003-06-08  Braden McDaniel  <braden@endoframe.com>

	Applied naming convention changes:
	texture_node::nComponents -> texture_node::components,
	texture_node::nFrames -> texture_node::frames.

	* src/openvrml/OpenVRML/node.cpp (texture_node::components,
	texture_node::frames):  Naming convention changes.
	* src/openvrml/OpenVRML/node.h (texture_node::components,
	texture_node::frames):  Naming convention changes.
	* src/openvrml/OpenVRML/vrml97node.h (ImageTexture::components,
	ImageTexture::frames, MovieTexture::components,
	MovieTexture::frames, PixelTexture::components,
	PixelTexture::frames):  Naming convention changes.
	* src/openvrml/OpenVRML/vrml97node.cpp (Appearance::render,
	ImageTexture::components, ImageTexture::frames,
	ImageTexture:render, MovieTexture::components,
	MovieTexture::frames, PixelTexture::components,
	PixelTexture::frames, Shape::render):  Naming convention
	changes.

2003-06-06  Braden McDaniel  <braden@endoframe.com>

	Applied naming convention changes:  Image -> img.  "img" is used
	in anticipation of a new "image" class.

	* src/openvrml/OpenVRML/img.cpp:  Added file.  Replaces
	Image.cpp.
	* src/openvrml/OpenVRML/img.h:  Added file.  Replaces Image.h.
	* src/openvrml/OpenVRML/Image.cpp:  Removed file.
	* src/openvrml/OpenVRML/Image.h:  Removed file.
	* src/openvrml/OpenVRML/Makefile.am:  Replaced Image.cpp,
	Image.h with img.cpp, img.h.
	* src/openvrml/OpenVRML/vrml97node.cpp (getTexture,
	Background::Background, ImageTexture::render,
	MovieTexture::update, MovieTexture::render,
	MovieTexture::nFrames):  Changes associated with naming
	convention changes to img.

2003-06-05  Braden McDaniel  <braden@endoframe.com>

	* src/openvrml/OpenVRML/Vrml97Parser.g:  Removed lingering Doc2
	class declaration.
	* src/openvrml/OpenVRML/Vrml97Parser.cpp:  Reflects changes
	to Vrml97Parser.g.
	* src/openvrml/OpenVRML/Vrml97Parser.hpp:  Reflects changes
	to Vrml97Parser.g.

2003-06-05  Braden McDaniel  <braden@endoframe.com>

	Removed bitrotted sound support code.  The old code is not the
	approach we need to take; and it's been allowed to rot long
	enough.

	* src/openvrml/OpenVRML/Audio.cpp:  Removed file.
	* src/openvrml/OpenVRML/Audio.h:  Removed file.
	* src/openvrml/OpenVRML/Makefile.am:  Removed Audio.cpp,
	Audio.h, dummysound.cpp, sound.c, sound.h.
	* src/openvrml/OpenVRML/dummysound.cpp:  Removed file.
	* src/openvrml/OpenVRML/sound-esd.c:  Removed file.
	* src/openvrml/OpenVRML/sound.c:  Removed file.
	* src/openvrml/OpenVRML/sound.h:  Removed file.
	* src/openvrml/OpenVRML/vrml97node.cpp (AudioClip::AudioClip,
	AudioClip::~AudioClip, AudioClip::update): Removed AudioClip
	implementation.
	* src/openvrml/OpenVRML/vrml97node.h:  Removed AudioClip
	implementation.

2003-06-04  Braden McDaniel  <braden@endoframe.com>

	Cleaned up remaining "macintosh" #ifdef overlooked previously.

	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h
	(ViewerOpenGL::handleKey):  Removed #ifdef for Mac OS 9.

2003-06-04  Braden McDaniel  <braden@endoframe.com>

	Changed node_type::_class to node_type::node_class.

	* src/openvrml/OpenVRML/Vrml97Parser.cpp:  Reflects changes to
	Vrml97Parser.g.
	* src/openvrml/OpenVRML/Vrml97Parser.g (nodeBodyElement,
	scriptInterfaceDeclaration):  Changed node_type::_class to
	node_type::node_class.
	* src/openvrml/OpenVRML/browser.cpp (ProtoNode::ProtoNode,
	ProtoNodeClass::ProtoNodeType::create_node):  Changed
	node_type::_class to node_type::node_class.
	* src/openvrml/OpenVRML/node.cpp (node_type::node_type,
	node::modified, node::bounding_volume_dirty):  Changed
	node_type::_class to node_type::node_class.
	* src/openvrml/OpenVRML/node.h (node_type::node_type):  Changed
	node_type::_class to node_type::node_class.
	* src/openvrml/OpenVRML/script.cpp
	(script_node::script_node_type::create_node,
	script_node::create_script, Browser::getName,
	Browser::getCurrentSpeed, Browser::getCurrentFrameRate,
	Browser::getWorldURL):  Changed node_type::_class to
	node_type::node_class.
	* src/openvrml/OpenVRML/vrml97node.cpp
	(Vrml97NodeType::Vrml97NodeType,
	Vrml97NodeTypeImpl::Vrml97NodeTypeImpl,
	Backgroung::do_initialize, Background::do_shutdown,
	Background::processSet_bind, Fog::do_initialize,
	Fog::do_shutdown, Fog::processSet_bind, MovieTexture::update,
	NavigationInfo::processSet_bind, Text::updateFace,
	TimeSensor::update, Viewpoint::do_initialize,
	Viewpoint::processSet_bind, VisibilitySensor::render):  Changed
	node_type::_class to node_type::node_class.

2003-06-04  Braden McDaniel  <braden@endoframe.com>

	Removed system::error, system::warn, system::inform,
	system::debug.  Use OPENVRML_PRINT_MESSAGE_ instead.

	* src/lookat/ViewerGlut.cpp (ViewerGlut::ViewerGlut):  Do not
	use system::error.
	* src/openvrml/OpenVRML/Audio.cpp (Audio::setURL):  Use
	OPENVRML_PRINT_MESSAGE_ instead of system::warn.
	* src/openvrml/OpenVRML/Image.cpp (Image::setURL):  Use
	OPENVRML_PRINT_MESSAGE_ instead of system::error.
	* src/openvrml/OpenVRML/ScriptJDK.cpp (ScriptJDK::ScriptJDK,
	ScriptJDK::activate):  Use OPENVRML_PRINT_MESSAGE_ instead of
	system::error.
	* src/openvrml/OpenVRML/doc.cpp (doc::fopen):  Use
	OPENVRML_PRINT_MESSAGE_ instead of system::error.
	* src/openvrml/OpenVRML/script.cpp (setDescription):  Use
	browser::description instead of system::inform.
	* src/openvrml/OpenVRML/system.cpp (system::error, system::warn,
	system::inform, system::debug, system::common_socket,
	system::http_fetch):  Removed error, warn, inform, and debug
	member functions.
	* src/openvrml/OpenVRML/system.h (system::error, system::warn,
	system::inform, system::debug):  Removed functions.
	* src/openvrml/OpenVRML/vrml97node.cpp
	(Group::processAddChildren, ImageTexture::render):  Use
	OPENVRML_PRINT_MESSAGE_ instead of system::error.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp (checkErrors,
	ViewerOpenGL::handleKey):  Use OPENVRML_GL_PRINT_MESSAGE_ instead of
	system::error and system::inform.

2003-06-03  Braden McDaniel  <braden@endoframe.com>

	Applied naming convention changes:  System -> system.

	* src/lookat/ViewerGlut.cpp (ViewerGlut::ViewerGlut):  Changes
	associated with naming convention changes to system.
	* src/openvrml/OpenVRML/system.cpp:  Added file.  Replaces
	System.cpp.
	* src/openvrml/OpenVRML/system.h:  Added file.  Replaces
	System.h
	* src/openvrml/OpenVRML/System.cpp:  Removed file.
	* src/openvrml/OpenVRML/System.h:  Removed file.
	* src/openvrml/OpenVRML/Makefile.am:  Replaced System.cpp,
	System.h with system.cpp, system.h.
	* src/openvrml/OpenVRML/Audio.cpp (Audio::setURL):  Changes
	associated with naming convention changes to system.
	* src/openvrml/OpenVRML/Image.cpp (Image::setURL):  Changes
	associated with naming convention changes to system.
	* src/openvrml/OpenVRML/ScriptJDK.cpp (ScriptJDK::ScriptJDK,
	ScriptJDK::activate):  Changes associated with naming convention
	changes to system.
	* src/openvrml/OpenVRML/doc.cpp (doc::~doc, doc::filename,
	doc::fopen, doc::fclose, doc2::~doc2, doc2::filename):  Changes
	associated with naming convention changes to system.
	* src/openvrml/OpenVRML/script.cpp (setDescription):  Changes
	associated with naming convention changes to system.
	* src/openvrml/OpenVRML/vrml97node.cpp
	(Group::processAddChildren, ImageTexture::render):  Changes
	associated with naming convention changes to system.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp (checkErrors,
	ViewerOpenGL::set_sensitive, ViewerOpenGL::handleKey):  Changes
	associated with naming convention changes to system.

2003-06-03  Braden McDaniel  <braden@endoframe.com>

	Applied naming convention changes:  Doc -> doc, Doc2 -> doc2.

	* src/lookat/lookat.cpp:  Changes associated with naming
	convention changes to doc, doc2.
	* src/openvrml/OpenVRML/doc.cpp:  Added file.  Replaces Doc.cpp,
	doc2.cpp.
	* src/openvrml/OpenVRML/doc.h:  Added file.  Replaces Doc.h,
	doc2.hpp.
	* src/openvrml/OpenVRML/Doc.cpp:  Removed file.
	* src/openvrml/OpenVRML/Doc.h:  Removed file.
	* src/openvrml/OpenVRML/doc2.cpp:  Removed file.
	* src/openvrml/OpenVRML/doc2.hpp:  Removed file.
	* src/openvrml/OpenVRML/Makefile.am:  Added doc.cpp, doc.h,
	removed Doc.cpp, Doc.h, doc2.cpp, doc2.hpp.
	* src/openvrml/OpenVRML/Audio.cpp (Audio::Audio, Audio::setURL,
	Audio::tryURLs):  Changes associated with naming convention
	changes to doc, doc2.
	* src/openvrml/OpenVRML/Audio.h (Audio::Audio, Audio::setURL,
	Audio::tryURLs):  Changes associated with naming convention
	changes to doc, doc2.
	* src/openvrml/OpenVRML/Image.cpp (Image::setURL,
	Image::tryURLs):  Changes associated with naming convention
	changes to doc, doc2.
	* src/openvrml/OpenVRML/Image.h (Image::setURL,
	Image::tryURLs):  Changes associated with naming convention
	changes to doc, doc2.
	* src/openvrml/OpenVRML/ScriptJDK.cpp:  Changes associated with
	naming convention changes to doc, doc2.
	* src/openvrml/OpenVRML/browser.cpp (scene::scene):  Changes
	associated with naming convention changes to doc, doc2.
	* src/openvrml/OpenVRML/node.cpp:  Changes associated with
	naming convention changes to doc, doc2.
	* src/openvrml/OpenVRML/script.cpp (script_node::create_script):
	Changes associated with naming convention changes to doc, doc2.
	* src/openvrml/OpenVRML/vrml97node.cpp (AudioClip::update,
	getTexture, BackgroundClass::render, ImageTexture::render,
	MovieTexture::update):  Changes associated with naming
	convention changes to doc, doc2.

2003-06-03  Braden McDaniel  <braden@endoframe.com>

	Applied naming convention changes:  VrmlRenderContext ->
	rendering_context.

	* src/openvrml/OpenVRML/rendering_context.cpp:  Added file.
	Replaces VrmlRenderContext.cpp.
	* src/openvrml/OpenVRML/rendering_context.h:  Added file.
	Replaces VrmlRenderContext.h.
	* src/openvrml/OpenVRML/VrmlRenderContext.cpp:  Removed file.
	* src/openvrml/OpenVRML/VrmlRenderContext.h:  Removed file.
	* src/openvrml/OpenVRML/browser.cpp (ProtoNode::render,
	browser::render, scene::render):  Changes associated with
	naming convention changes to rendering_context.
	* src/openvrml/OpenVRML/browser.h (browser::render,
	scene::render):  Changes associated with naming convention
	changes to rendering_context.
	* src/openvrml/OpenVRML/node.cpp (node::render):  Changes
	associated with naming convention changes to rendering_context.
	* src/openvrml/OpenVRML/node.h (node::render,
	geometry_node::insert_geometry):  Changes associated with naming
	convention changes to rendering_context.
	* src/openvrml/OpenVRML/vrml97node.cpp
	(AbstractGeometry::render, Anchor::render, Appearance::render,
	Billboard::render, Box::insert_geometry, Cone::insert_geometry,
	Cylinder::insert_geometry, CylinderSensor::render,
	DirectionalLight::render, ElevationGrid::insert_geometry,
	Extrusion::insert_geometry, Group::render, Group::renderNoCull,
	ImageTexture::render, IndexedFaceSet::insert_geometry,
	IndexedLineSet::insert_geometry, Inline::render, LOD::render,
	MovieTexture::render, PixelTexture::render,
	PointSet::insert_geometry, ProximitySensor::render,
	Shape::render, Sound::render, Sphere::insert_geometry,
	SphereSensor::render, Switch::render, Text::insert_geometry,
	TextureTransform::render, Transform::render,
	VisibilitySensor::render):  Changes associated with naming
	convention changes to rendering_context.
	* src/openvrml/OpenVRML/vrml97node.h
	(AbstractGeometry::render, Anchor::render, Appearance::render,
	Billboard::render, Box::insert_geometry, Cone::insert_geometry,
	Cylinder::insert_geometry, CylinderSensor::render,
	DirectionalLight::render, ElevationGrid::insert_geometry,
	Extrusion::insert_geometry, Group::render, Group::renderNoCull,
	ImageTexture::render, IndexedFaceSet::insert_geometry,
	IndexedLineSet::insert_geometry, Inline::render, LOD::render,
	MovieTexture::render, PixelTexture::render,
	PointSet::insert_geometry, ProximitySensor::render,
	Shape::render, Sound::render, Sphere::insert_geometry,
	SphereSensor::render, Switch::render, Text::insert_geometry,
	TextureTransform::render, Transform::render,
	VisibilitySensor::render):  Changes associated with naming
	convention changes to rendering_context.

2003-06-02  Braden McDaniel  <braden@endoframe.com>

	Applied naming convention changes: VrmlFrustum -> frustum.

	* src/openvrml/OpenVRML/frustum.cpp:  Added file.  Replaces
	VrmlFrustum.cpp.
	* src/openvrml/OpenVRML/frustum.h:  Added file.  Replaces
	VrmlFrustum.h.
	* src/openvrml/OpenVRML/VrmlFrustum.cpp:  Removed file.
	* src/openvrml/OpenVRML/VrmlFrustum.h:  Removed file.
	* src/openvrml/OpenVRML/Makefile.am:  Replaced VrmlFrustum.cpp,
	VrmlFrustum.h with frustum.cpp, frustum.h.
	* src/openvrml/OpenVRML/bounding_volume.cpp
	(bounding_volume::intersect_frustum):  Changes associated with
	naming convention changes to frustum.
	* src/openvrml/OpenVRML/bounding_volume.h
	(bounding_volume::intersect_frustum):  Changes associated with
	naming convention changes to frustum.
	* src/openvrml/OpenVRML/viewer.cpp (viewer::frustum):  Changes
	associated with naming convention changes to frustum.
	* src/openvrml/OpenVRML/viewer.h (viewer::frustum):  Changes
	associated with naming convention changes to frustum.
	* src/openvrml/OpenVRML/vrml97node.cpp (Viewpoint::getFrustum):
	Removed unused, unimplemented function.
	* src/openvrml/OpenVRML/vrml97node.h (Viewpoint::getFrustum):
	Removed unused, unimplemented function.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp
	(ViewerOpenGL::set_viewpoint):  Changes associated with naming
	convention changes to frustum.

2003-06-01  Braden McDaniel  <braden@endoframe.com>

	Removed Mac OS 9-specific #ifdefs.  It is not at all likely that
	Mac OS 9 support will be revived.

	* src/lookat/lookat.cpp:  Removed conditional code for Mac OS 9.
	* src/openvrml/OpenVRML/Doc.cpp (convertHex, decodePath,
	Doc::convertCommonToMacPath, Doc::fopen):  Removed conditional
	code for Mac OS 9.
	* src/openvrml/OpenVRML/Doc.h (Doc::convertCommonToMacPath):
	Removed conditional code for Mac OS 9.
	* src/openvrml/OpenVRML/Image.cpp:  Removed conditional code for
	Mac OS 9.
	* src/openvrml/OpenVRML/System.cpp (System::loadUrl,
	System::connectSocket, strdup, c2str255, YieldingNotifier,
	ProgressThread, System::httpFetch):  Removed conditional code
	for Mac OS 9.
	* src/openvrml/OpenVRML/System.h (System::loadUrl):  Removed
	conditional code for Mac OS 9.
	* src/openvrml/OpenVRML/doc2.cpp (Doc2::~Doc2,
	Doc2::inputStream, convertHex, decodePath,
	Doc2::convertCommonToMacPath):  Removed conditional code for
	Mac OS 9.
	* src/openvrml/OpenVRML/doc2.hpp (Doc2::convertCommonToMacPath):
	Removed conditional code for Mac OS 9.
	* src/openvrml/OpenVRML/vrml97node.cpp (TimeSensor::update):
	Removed conditional code for Mac OS 9.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp (checkErrors):
	Removed conditional code for Mac OS 9.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h
	(ViewerOpenGL::handleKey):  Removed conditional code for
	Mac OS 9.

2003-05-31  Braden McDaniel  <braden@endoframe.com>

	Fixed bounding_volume::ortho_transform that was missed as part
	of earlier renaming.

	* src/openvrml/OpenVRML/bounding_volume.cpp:  Renamed
	bounding_volume::orthoTransform to
	bounding_volume::ortho_transform.
	* src/openvrml/OpenVRML/bounding_volume.h:  Renamed
	bounding_volume::orthoTransform to
	bounding_volume::ortho_transform.

2003-05-31  Braden McDaniel  <braden@endoframe.com>

	Moved OpenVRML_::length and OpenVRML_::normalize to
	basetypes.cpp, which is the only place they were being used.

	* src/openvrml/OpenVRML/private.h (OpenVRML_::length,
	OpenVRML_::normalize):  Removed function definitions.
	* src/openvrml/OpenVRML/basetypes.cpp (length_, normalize_):
	Added function definitions.
	* src/openvrml/OpenVRML/VrmlFrustum.cpp (VrmlFrustum::update):
	Removed unnecessary using declaration.
	* src/openvrml/OpenVRML/bounding_volume.cpp
	(bounding_sphere::orthoTransform, bounding_sphere::transform):
	Removed unnecessary using declarations.

2003-05-31  Braden McDaniel  <braden@endoframe.com>

	Removed unused, unnecessary function viewer::get_user_navigation.

	* src/openvrml/OpenVRML/viewer.cpp:  Removed doc-comment for
	viewer::get_user_navigation.
	* src/openvrml/OpenVRML/viewer.h (viewer::get_user_navigation):
	Removed function declaration.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp
	(viewer::get_user_navigation):  Removed function definition.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h
	(viewer::get_user_navigation):  Removed function declaration.

2003-05-31  Braden McDaniel  <braden@endoframe.com>

	Applied naming convention changes: Viewer -> viewer.

	* src/openvrml/OpenVRML/viewer.cpp:  Added.  Replaces
	Viewer.cpp.
	* src/openvrml/OpenVRML/viewer.h:  Added.  Replaces
	Viewer.h
	* src/openvrml/OpenVRML/Viewer.cpp:  Removed.
	* src/openvrml/OpenVRML/Viewer.h:  Removed.
	* src/openvrml/OpenVRML/Makefile.am:  Replaced Viewer.cpp,
	Viewer.h with viewer.cpp, viewer.h.
	* src/openvrml/OpenVRML/browser.cpp:  Changes associated with
	naming convention changes to viewer.
	* src/openvrml/OpenVRML/browser.h:  Changes associated with
	naming convention changes to viewer.
	* src/openvrml/OpenVRML/node.cpp:  Changes associated with
	naming convention changes to viewer.
	* src/openvrml/OpenVRML/node.h:  Changes associated with
	naming convention changes to viewer.
	* src/openvrml/OpenVRML/vrml97node.cpp:  Changes associated with
	naming convention changes to viewer.
	* src/openvrml/OpenVRML/vrml97node.h:  Changes associated with
	naming convention changes to viewer.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Changes
	associated with naming convention changes to viewer.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Changes
	associated with naming convention changes to viewer.

2003-05-31  Braden McDaniel  <braden@endoframe.com>

	Apply naming convention changes: BVolume -> bounding_volume.

	* src/openvrml/OpenVRML/bounding_volume.cpp:  Added.  Replaces
	bvolume.cpp.  Same as bvolume.cpp, but changed to match new
	naming convention.
	* src/openvrml/OpenVRML/bounding_volume.h:  Added.  Replaces
	bvolume.h.  Same as bvolume.h, but changed to match new naming
	convention.
	* src/openvrml/OpenVRML/bvolume.cpp:  Removed.
	* src/openvrml/OpenVRML/bvolume.h:  Removed.
	* src/openvrml/OpenVRML/Makefile.am: Replaced bvolume.h and
	bvolume.cpp with bounding_volume.h and bounding_volume.cpp.
	* src/openvrml/OpenVRML/Viewer.cpp:  Changes associated with
	naming convention changes to bounding_volume.
	* src/openvrml/OpenVRML/Viewer.h:  Changes associated with
	naming convention changes to bounding_volume.
	* src/openvrml/OpenVRML/VrmlRenderContext.cpp:  Changes
	associated with naming convention changes to bounding_volume.
	* src/openvrml/OpenVRML/VrmlRenderContext.h:  Changes
	associated with naming convention changes to bounding_volume.
	* src/openvrml/OpenVRML/browser.cpp:  Changes associated with
	naming convention changes to bounding_volume.
	* src/openvrml/OpenVRML/node.cpp:  Changes associated with
	naming convention changes to bounding_volume.
	* src/openvrml/OpenVRML/node.h:  Changes associated with naming
	convention changes to bounding_volume.
	* src/openvrml/OpenVRML/vrml97node.cpp:  Changes associated with
	naming convention changes to bounding_volume.
	* src/openvrml/OpenVRML/vrml97node.h:  Changes associated with
	naming convention changes to bounding_volume.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Changes
	associated with naming convention changes to bounding_volume.
	* src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Changes
	associated with naming convention changes to bounding_volume.

2003-05-26  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/ViewerGlut.cpp, src/lookat/ViewerGlut.h,
          src/lookat/lookat.cpp, src/openvrml/OpenVRML/ScriptJDK.cpp,
          src/openvrml/OpenVRML/Viewer.cpp,
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/node_ptr.cpp,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Applied new
          naming convention for browser class.

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/doc2.cpp, src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Applied new naming
          convention for scene class.

2003-05-25  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/node_type_ptr.cpp,
          src/openvrml/OpenVRML/scope.cpp,
          src/openvrml/OpenVRML/scope.h,
          src/openvrml/OpenVRML/scope_ptr.cpp,
          src/openvrml/OpenVRML/scope_ptr.h,
          src/openvrml/OpenVRML/scopeptr.cpp,
          src/openvrml/OpenVRML/scopeptr.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Applied new naming
          convention for scope_ptr class.

2003-05-24  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/ScriptJDK.cpp,
          src/openvrml/OpenVRML/ScriptJDK.h,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/node_ptr.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h:  Applied new naming convention
          for script_node class.

        * src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/scope.cpp,
          src/openvrml/OpenVRML/scopeptr.cpp,
          src/openvrml/OpenVRML/scopeptr.h:  Aplied new naming
          convention for scope class.

2003-05-23  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/ScriptJDK.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/node_ptr.cpp,
          src/openvrml/OpenVRML/node_ptr.h,
          src/openvrml/OpenVRML/nodeptr.cpp,
          src/openvrml/OpenVRML/nodeptr.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Applied new naming
          convention for node_ptr class.

2003-05-23  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/node_class_ptr.cpp,
          src/openvrml/OpenVRML/node_type_ptr.cpp,
          src/openvrml/OpenVRML/node_type_ptr.h,
          src/openvrml/OpenVRML/nodetypeptr.cpp,
          src/openvrml/OpenVRML/nodetypeptr.h,
          src/openvrml/OpenVRML/scope.cpp,
          src/openvrml/OpenVRML/scope.h
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Applied new naming
          convention for node_type_ptr class.

2003-05-22  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/field_value_ptr.cpp,
          src/openvrml/OpenVRML/field_value_ptr.h,
          src/openvrml/OpenVRML/fieldvalueptr.cpp,
          src/openvrml/OpenVRML/fieldvalueptr.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h:  Applied new naming convention
	  for field_value_ptr class.

        * src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/field_value_ptr.cpp,
          src/openvrml/OpenVRML/node_class_ptr.cpp,
          src/openvrml/OpenVRML/node_class_ptr.h,
          src/openvrml/OpenVRML/nodeclassptr.cpp,
          src/openvrml/OpenVRML/nodeclassptr.h:  Applied new naming
          convention for node_class_ptr class.

2003-05-21  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/lookat.cpp, src/openvrml/OpenVRML/ScriptJDK.cpp,
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/nodeclassptr.cpp,
          src/openvrml/OpenVRML/nodeclassptr.h,
          src/openvrml/OpenVRML/nodeptr.cpp,
          src/openvrml/OpenVRML/nodeptr.h,
          src/openvrml/OpenVRML/nodetypeptr.cpp,
          src/openvrml/OpenVRML/nodetypeptr.h,
          src/openvrml/OpenVRML/scope.cpp,
          src/openvrml/OpenVRML/scope.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Applied new naming
          convention for node classes.

2003-05-16  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/lookat.cpp, src/openvrml/OpenVRML/Audio.cpp,
          src/openvrml/OpenVRML/Audio.h,
          src/openvrml/OpenVRML/Image.cpp,
          src/openvrml/OpenVRML/Image.h,
          src/openvrml/OpenVRML/ScriptJDK.cpp,
          src/openvrml/OpenVRML/ScriptJDK.h,
          src/openvrml/OpenVRML/System.cpp,
          src/openvrml/OpenVRML/System.h,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/fieldvalueptr.cpp,
          src/openvrml/OpenVRML/fieldvalueptr.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Applied new
          naming convention for field value classes.

2003-05-12  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Doc.cpp,
          src/openvrml/OpenVRML/doc2.cpp,
          src/openvrml/OpenVRML/doc2.hpp,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Fixes for
          various warnings.

2003-05-10  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/System.cpp:  Corrected usage of tmpnam.

2003-05-09  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/nodeptr.h:  Fixed problem with
	  assignment to a null NodePtr.

2003-05-06  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.h,
	  src/openvrml/OpenVRML/vrml97node.cpp: Apply correct texture
	  coordinates for Text.

2003-05-05  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp:  Fixed errors rendering
	  some glyphs with interior contours.

2003-05-05  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp: Include <limits>; fixed
	  std::binary_function instantiation.

2003-04-06  Braden McDaniel  <braden@endoframe.com>

        * Updated to ANTLR 2.7.2.

2003-04-05  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/ViewerGlut.cpp, src/lookat/ViewerGlut.h,
          src/lookat/lookat.cpp, src/openvrml/OpenVRML/Audio.cpp,
          src/openvrml/OpenVRML/Audio.h, src/openvrml/OpenVRML/Doc.cpp,
          src/openvrml/OpenVRML/Doc.h, src/openvrml/OpenVRML/Image.cpp,
          src/openvrml/OpenVRML/Image.h,
          src/openvrml/OpenVRML/ScriptJDK.cpp,
          src/openvrml/OpenVRML/ScriptJDK.h,
          src/openvrml/OpenVRML/System.cpp,
          src/openvrml/OpenVRML/System.h,
          src/openvrml/OpenVRML/Viewer.cpp,
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/VrmlFrustum.cpp,
          src/openvrml/OpenVRML/VrmlFrustum.h,
          src/openvrml/OpenVRML/VrmlRenderContext.cpp,
          src/openvrml/OpenVRML/VrmlRenderContext.h,
          src/openvrml/OpenVRML/basetypes.cpp,
          src/openvrml/OpenVRML/basetypes.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/bvolume.cpp,
          src/openvrml/OpenVRML/bvolume.h,
          src/openvrml/OpenVRML/common.h,
          src/openvrml/OpenVRML/doc2.cpp,
          src/openvrml/OpenVRML/doc2.hpp,
          src/openvrml/OpenVRML/dummysound.cpp,
          src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/fieldvalueptr.cpp,
          src/openvrml/OpenVRML/fieldvalueptr.h,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/nodeclassptr.cpp,
          src/openvrml/OpenVRML/nodeclassptr.h,
          src/openvrml/OpenVRML/nodeptr.cpp,
          src/openvrml/OpenVRML/nodeptr.h,
          src/openvrml/OpenVRML/nodetypeptr.cpp,
          src/openvrml/OpenVRML/nodetypeptr.h,
          src/openvrml/OpenVRML/private.h,
          src/openvrml/OpenVRML/scope.cpp,
          src/openvrml/OpenVRML/scope.h,
          src/openvrml/OpenVRML/scopeptr.cpp,
          src/openvrml/OpenVRML/scopeptr.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h,
          src/openvrml-gl/OpenVRML/GL/common.h:  Added Emacs mode
          line.

        * lib/antlr/MacTokenStrmHiddenTknFltr.cpp
          lib/antlr/MacTokenStrmHiddenTknFltr.hpp
          lib/antlr/Makefile.am:  Mac OS <= 9 is no longer supported.

2003-03-30  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/ViewerGlut.cpp:  Removed some debugging output that
          crept in.

2003-03-27  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/Makefile.vc6,
          src/openvrml/OpenVRML/MathUtils.cpp,
          src/openvrml/OpenVRML/MathUtils.h,
          src/openvrml/OpenVRML/ScriptJDK.cpp,
          src/openvrml/OpenVRML/Viewer.cpp,
          src/openvrml/OpenVRML/VrmlFrustum.cpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/bvolume.cpp,
          src/openvrml/OpenVRML/bvolume.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/Makefile.vc6,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Removed
          remaining dependencies on MathUtils.*.

2003-03-26  Braden McDaniel  <braden@endoframe.com>

        * configure.ac:  Use AC_HELP_STRING for help strings.

        * m4/ax_check_gl.m4, m4/ax_check_glut.m4,
          src/lookat/ViewerGlut.cpp, src/lookat/lookat.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Modified
          GL detection macros to add configure option for Apple OpenGL
          framework.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Public headers
          must not include config.h.

2003-03-23  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Use basetypes in Text
          node implementation.

2003-03-22  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/node.cpp:  Work around an apparent
          gcc 3.2.2 bug with pointer-to-member syntax.

        * src/openvrml/OpenVRML/Viewer.cpp,
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Use basetypes in
          Viewer interface.

2003-03-21  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/System.cpp,
          src/openvrml/OpenVRML/System.h:  Fixes to compile with cl
          (POSIXy functions start with an underscore).

        * src/openvrml/OpenVRML/basetypes.cpp: mat4f::operator*= needs
          to return.

        * src/openvrml/OpenVRML/node.h:  NodeTraverser::operator= must
          return a reference.

        * src/openvrml/OpenVRML/node.cpp:  cl 13.00.9466 doesn't like
          a class in a member function definition referring to private
          members of the outer class.  So use a pointer-to-member
          instead.

        * src/openvrml/OpenVRML/browser.cpp:  Fixes for cl 13.00.9466.

        * src/openvrml/OpenVRML/bvolume.cpp:  #include <limits> instead
          of <float.h>.

2003-03-12  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/lookat.cpp, src/openvrml/OpenVRML/ScriptJDK.cpp,
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/basetypes.cpp,
          src/openvrml/OpenVRML/basetypes.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Return base types
          (color, rotation, vec2f, etc.) from abstract node type
          accessors instead of FieldValue types. Added a typedef for
          int32.

        * configure.ac:  Fixed error message for missing libjpeg.

        * src/openvrml/OpenVRML/basetypes.h:  Include <sys/types.h>
          instead of <stdint.h>.

2003-03-10  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/basetypes.cpp,
          src/openvrml/OpenVRML/basetypes.h,
          src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/quaternion.cpp,
          src/openvrml/OpenVRML/quaternion.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h: Replaced
          Quaternion with quatf.

2003-03-09  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/lookat.cpp, src/openvrml/OpenVRML/Audio.cpp,
          src/openvrml/OpenVRML/Image.cpp,
          src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/ScriptJDK.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/VrmlMatrix.cpp,
          src/openvrml/OpenVRML/VrmlMatrix.h,
          src/openvrml/OpenVRML/basetypes.cpp,
          src/openvrml/OpenVRML/basetypes.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/bvolume.cpp,
          src/openvrml/OpenVRML/bvolume.h,
          src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/private.h,
          src/openvrml/OpenVRML/quaternion.cpp,
          src/openvrml/OpenVRML/quaternion.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/openvrml-gl/OpenVRML/GL/Makefile.am,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Changed
          FieldValue classes to expose their value in a public data
          member.

        * src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/Viewer.cpp
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/VrmlMatrix.cpp,
          src/openvrml/OpenVRML/VrmlMatrix.h,
          src/openvrml/OpenVRML/VrmlRenderContext.cpp,
          src/openvrml/OpenVRML/VrmlRenderContext.h,
          src/openvrml/OpenVRML/basetypes.cpp,
          src/openvrml/OpenVRML/basetypes.h,
          src/openvrml/OpenVRML/bvolume.cpp,
          src/openvrml/OpenVRML/bvolume.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/quaternion.cpp,
          src/openvrml/OpenVRML/quaternion.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Replaced
          VrmlMatrix with mat4f.

2003-03-05  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Fix for Javascript core dump

2003-02-24  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp:  Added do_shutdown
          implementation to ProtoNode.

        * src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Removed parent pointer
          stuff from Node.  This functionality is now provided by the
          relocate/do_relocate methods.

        * src/openvrml/OpenVRML/script.cpp:  Fixed bug in ScriptNode
          shutdown.

2003-02-23  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h:
          Replaced NodeVisitor with NodeTraverser.  NodeTraverser is a
          convenience class that performs a traversal that avoids
          redundantly traversing nodes.  Unlike NodeVisitor, a traversal
          may be made with a NodeTraverser in the middle of another
          traversal.

2003-02-23  Thomas Flynn  <tflynn@users.sourceforge.net>

        * src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/ScriptJDK.cpp: Add support for
          Browser.getCurrentSpeed.

        * src/openvrml/OpenVRML/ScriptJDK.cpp: Add additional comments.
          Make use of addElement method.

2003-02-17  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp:  Fixed bug in
          Browser::findNode.

2003-02-15  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/lookat.cpp, src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Added abstract
          node classes TransformNode and ViewpointNode.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Removed
          debug output.

2003-02-14  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp:  Restored necessary
          clearing of bound node stacks in Browser::loadURI.

2003-02-13  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Added do_shutdown
          implementations to AudioClip, MovieTexture, PointLight,
          SpotLight, TimeSensor.

        * src/openvrml/OpenVRML/browser.cpp:  Removed unnecessary
          clearing of node lists in Browser::loadURI.

2003-02-09  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp:  Only call Scene::shutdown
          if Browser::scene is nonzero.

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Added do_shutdown
          implementations to NavigationInfo, Viewpoint.

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Added do_shutdown
          implementation to Text.

2003-02-08  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Bound node stacks should
          not have owning pointers.

        * src/openvrml/OpenVRML/browser.cpp:  Fixed relative URI
          resolution bug where '?' and '#' separator characters were
          omitted.

2003-02-07  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/System.cpp,
          src/openvrml/OpenVRML/System.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Moved
          System::time functionality to Browser::getCurrentTime
          function.

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/nodeptr.cpp,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/vrml97node.cpp:  Added shutdown member
          function to Node, Scene.

2003-01-27  Thomas Flynn  <tflynn@users.sourceforge.net>

        * doc/conformance.doc: Update conformance test results.

2003-01-26  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/VrmlMatrix.cpp,
          src/openvrml/OpenVRML/VrmlMatrix.cpp:  Added constructor to
          take a 16-value float array.  Added a setRotate method to
          create a rotation matrix from a Quaternion.

        * src/openvrml/OpenVRML/quaternion.cpp,
          src/openvrml/OpenVRML/quaternion.h:  Added set method to set
          the quaternion value from a 4-element float array.

        * src/openvrml-gl/OpenVRML/GL/Makefile.am,
          src/openvrml-gl/OpenVRML/GL/OpenGLEvent.cpp,
          src/openvrml-gl/OpenVRML/GL/OpenGLEvent.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Modified
          quaternion manipulation code to use Quaternion class.
          Consolidated trackball functions in ViewerOpenGL.cpp; this
          obsoletes OpenGLEvent.cpp and OpenGLEvent.h.

2003-01-25  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/quaternion.cpp,
          src/openvrml/OpenVRML/quaternion.h:  Added Quaternion class.

        * src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h:  Construct an SFRotation from a
          Quaternion.  Modified SFRotation::multiply and ::slerp to use
          Quaternion class.

        * src/openvrml/OpenVRML/quaternion.cpp:  Implemented stream
          output operator for Quaternion.

2003-01-24  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp:  Convert backslashes in
          output of _fullpath to slashes.

        * README:  Updated dependency list to include FreeType and
          Fontconfig; updated link to Win32 dependencies archive.

2003-01-23  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/VrmlMatrix.h,
          src/openvrml/OpenVRML/field.h:  Removed unnecessary
          applications of OPENVRML_SCOPE.

2003-01-19  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h:  Added operator==, operator!=
          for FieldValue classes.

        * src/openvrml/OpenVRML/field.cpp:  Fixed const-correctness
          problem caught by gcc 3.2.1.

2003-01-15  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp:  Removed obsolete code.

2003-01-08  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Renamed Node::*Impl
          private virtual functions to do_*.

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h: Fixed exception
          specifications for do_initialize methods.

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h:  Scene::initialize throws
          std::bad_alloc.

2003-01-07  Braden McDaniel  <braden@endoframe.com>

        * configure.ac, m4/Makefile.am, m4/ax_check_gl.m4, m4/gl.m4,
          m4/glut.m4:  Replaced OV_CHECK_GL with AX_CHECK_GL.

        * configure.ac, m4/Makefile.am, m4/ax_check_glut.m4, m4/glut.m4:
          Replaced OV_CHECK_GLUT with AX_CHECK_GLUT.

2003-01-05  Braden McDaniel  <braden@endoframe.com>

        * m4/gl.m4, m4/glut.m4:  Added ac-archive-style doc-comments.

2003-01-03  Braden McDaniel  <braden@endoframe.com>

        * m4/glut.m4:  Include -lXi in GLUT_LIBS.

2003-01-02  Braden McDaniel  <braden@endoframe.com>

        * m4/gl.m4:  Fix for --without-x.  Apparently when configuring
          --without-x, $x_includes and $x_libraries are set to "NONE".

2002-12-27  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp:  Added doc-comments.

        * src/openvrml/OpenVRML/browser.cpp:  Use newer form of
          UnsupportedInterface constructor.

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Changed
          AbstractLight::renderScoped to take a Viewer & instead of a
          Viewer *.

        * src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h:
          Made NodeVisitor destructor non-throwing.

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Added GroupingNode
          abstract node type.

        * src/openvrml/OpenVRML/node.h:  Removed obsolete FontFace class
          declaration.

2002-12-26  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/node.h:  Made Node::visited private.

        * src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h:
          Moved NodePath typedef from Node class to OpenVRML namespace;
          use a std::deque instead of a std::list.

        * src/openvrml/OpenVRML/node.h:  Removed relocate stuff
          (prematurely checked in by accident).

        * src/openvrml/OpenVRML/node.cpp: Added doc-comment for
          Node::getScope.

        * src/openvrml/OpenVRML/node.cpp:  Added doc-comments.

        * src/openvrml/OpenVRML/vrml97node.cpp:  Prefer std::distance to
          pointer/iterator arithmetic.

2002-12-23  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp:  Use newer
          UnsupportedInterface constructor.

2002-12-21  Braden McDaniel  <braden@endoframe.com>

        * m4/gl.m4:  Only use $x_includes and $x_libraries if those
          variables have been set.

        * README, configure.ac, doc/Doxyfile:  Updated version number to
          0.13.99 (pre-release).

        * src/openvrml/OpenVRML/vrml97node.cpp:  Fixed justify "END"
          for horizontal major alignment.

2002-12-20  S. K. Bose  <bose@pavan.barc.ernet.in>

        * ide-projects/Makefile.am: add config.h

2002-12-20  Braden McDaniel  <braden@endoframe.com>

        * m4/gl.m4:  Added PTHREAD_CFLAGS to GL_CFLAGS.

        * NEWS:  Updates for 0.13.0 release.

        * src/openvrml/OpenVRML/Makefile.am,
          src/openvrml-gl/OpenVRML/GL/Makefile.am:  Updated libtool
          library version numbers.

2002-12-19  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Removed private
          setMVMatrix/getMVMatrix from drag sensor nodes.  More doc-
          comment love.

        * src/openvrml/OpenVRML/vrml97node.cpp:  Fixed normal for Text.

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp:  Fixed type for offset
          field of PlaneSensor.

        * src/openvrml/OpenVRML/vrml97node.cpp:  Fixed problem with
          evaluateCurve_ introducing redundant vertices for Text.

        * src/openvrml-gl/OpenVRML/GL/Makefile.am:  Removed unnecessary
          compiler flags.

        * Makefile.am, NEWS, configure.ac, ide-projects/Makefile.am,
          java/Makefile.am, java/vrml/Makefile.am,
          java/vrml/field/Makefile.am, java/vrml/node/Makefile.am,
          src/openvrml/OpenVRML/Makefile.am,
          src/openvrml-gl/OpenVRML/GL/Makefile.am:  Merged changes from
          0.12.5 release.  (Better late than never.)

        * Makefile.am, lib/antlr/Makefile.am, src/lookat/Makefile.am,
          src/openvrml/OpenVRML/Makefile.am,
          src/openvrml-gl/OpenVRML/GL/Makefile.am: Added
          INSTALL-MSVC6.txt, Makefile.vc6's to the distribution.

        * src/openvrml/OpenVRML/Makefile.am:  Fixed missing '\'.

2002-12-18  Braden McDaniel  <braden@endoframe.com>

        * m4/Makefile.am, m4/ftflib.m4:  Removed obsolete macro.

        * src/openvrml/OpenVRML/vrml97node.cpp:  Apply font size to
          glyphs.

2002-12-18  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Shift ide-projects/Windows/VisualC6/tplib/antlr/Makefile.vc6
          to lib/antlr directory.

2002-12-17  Braden McDaniel  <braden@endoframe.com>

        * doc/Doxyfile, doc/Makefile.am, doc/conformance.doc,
          doc/conformance.html, doc/doxygen-footer, doc/doxygen-header,
          index.doc:  Documentation improvements.  Incorporated
          conformance test results into doxygen-generated docs.

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/nodeptr.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp:  Doc-comment love.

        * openvrml.spec.in:  Removed reference to doc/conformance.html.

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Doc-comment love.

2002-12-17  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Take out all Makefile.vc6 from ide-projects/Windows/VisualC6/*
          and keep these in respective source directory.

        * INSTALL-MSVC6.txt : Installation note for MSVC6.

        * ide-projects/Windows/VisualC6/Install: remove.

        * Update all Makefile.vc6 and *.dsp.

        * Apply patches #653113 and #653128.

2002-12-16  Thomas Flynn  <tflynn@users.sourceforge.net>

        * doc/conformance.html: Update conformance results.

2002-12-16  Braden McDaniel  <braden@endoframe.com>

        * doc/doxygen-footer, doc/doxygen-header, doc/openvrml.css:
          Documentation enhancements.

        * src/openvrml/OpenVRML/vrml97node.cpp:  const fixes.

        * src/openvrml/OpenVRML/vrml97node.cpp:  More const fixes.

        * src/openvrml/OpenVRML/VrmlRenderContext.cpp,
          src/openvrml/OpenVRML/VrmlRenderContext.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Changed Node::render to
          take a Viewer & instead of a Viewer *.

        * src/openvrml/OpenVRML/browser.cpp:  Added doc-comments for
          constants pi and friends.

        * src/openvrml/OpenVRML/Audio.cpp,
          src/openvrml/OpenVRML/Audio.h:  Reformatted comments as doc-
          comments.

        * src/openvrml/OpenVRML/field.cpp:  Doc-comment fixes.

        * src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h:  Removed unused
          Node::d_flag and related methods.

        * src/openvrml/OpenVRML/node.cpp:  Added doc-comments.

        * doc/Doxyfile, doc/doxygen-header:  Documentation improvements.

        * src/openvrml/OpenVRML/node.cpp:  Added OPENVRML_SCOPE to
          Node's operator<<.

        * doc/Makefile.am:  Fixed doc installation.

2002-12-14  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Removed text2
          method.  We no longer depend on glut for text rendering.  As a
          side effect, we don't have a means of reporting the frames-
          per-second in the renderer; but that's code that needs to be
          refactored anyway.

        * src/openvrml/OpenVRML/doc2.cpp:  Changed HAVE_ZLIB to
          OPENVRML_ENABLE_GZIP to match configure.ac changes.

2002-12-13  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Viewer.h:  Tab elimination.

2002-12-11  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/script.cpp:  Fixed problem with
          initializing MFStrings with "new String()" objects in
          JavaScript.  This is a general fix that converts *any*
          argument to a JSString before making the assignment to the
          MFString element.  This behavior is consistent with that of
          the String object constructor.

        * src/openvrml/OpenVRML/script.cpp:  Treat SFInt32 values and
          MFInt32 elements in JavaScript as JavaScript numerics (double
          precision) rather than JavaScript integers.  ECMAScript
          doesn't have distinct integer and floating point types.

        * src/openvrml/OpenVRML/vrml97node.cpp:  Fixed conditional
          sections for OPENVRML_ENABLE_TEXT_NODE.

2002-12-10  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/field.cpp:  MSVC6 doesn't like in-class
          initialization of static const integers.  Use enum instead.

        * README, configure.ac, openvrml.pc.in,
          src/openvrml/OpenVRML/Makefile.am,
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/font.cpp, src/openvrml/OpenVRML/font.h
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/openvrml-gl/OpenVRML/GL/Makefile.am,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:  Use fontconfig
          for font discovery.  Refactored glyph data->polygon conversion
          to Text node implementation.

        * openvrml.spec.in:  Added BuildRequires for pkgconfig,
          fontconfig-devel, freetype-devel.  Added Requires for
          fontconfig, freetype.  Updated configure arguments.

        * src/openvrml/OpenVRML/script.h:  Removed obsolete declaration
          of Doc class.

        * configure.ac, openvrml.spec.in, doc/Doxyfile, doc/Doxyfile.in,
          doc/Makefile.am:  Removed generation of API docs during
          install.  API doc generation must now be done manually, and
          the generated docs get included in the distribution.  This
          simplifies things for RPM--and probably users in general--so
          the API docs now get included in the RPM package.

        * src/openvrml/OpenVRML/field.cpp:  Assert that indices must be
          valid in insertElement, removeElement for MF* classes.

2002-12-09  Braden McDaniel  <braden@endoframe.com>

        * README, configure.ac, java/Makefile.am, java/vrml/Makefile.am,
          java/vrml/field/Makefile.am, java/vrml/node/Makefile.am,
          m4/Makefile.am, m4/jdk.m4, m4/jni.m4,
          src/openvrml/OpenVRML/ScriptJDK.cpp,
          src/openvrml/OpenVRML/ScriptJDK.h,
          src/openvrml/OpenVRML/script.cpp:  Improvements to usability
          of configure option for Script node Java support.

2002-12-08  Braden McDaniel  <braden@endoframe.com>

        * configure.ac, openvrml.pc.in:  Conditionally add mozilla-js to
          Requires in openvrml.pc.

        * configure.ac:  Fixed error in conditionally adding mozilla-js
          to Requires in openvrml.pc.

        * src/openvrml/OpenVRML/Image.cpp,
          src/openvrml/OpenVRML/MathUtils.cpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/private.h,
          src/openvrml/OpenVRML/script.cpp:  Quelled some warnings from
          icc 7.0.

        * configure.ac, m4/gl.m4, m4/glut.m4:  Removed --with-gl and
          --with-glut configure options.

        * COPYING, openvrml.spec.in, m4/COPYING:  Moved GPL text to m4
          directory.  The only thing we have that's GPL'd are the m4
          macros. And since they're not installed, the GPL doesn't need
          to be among our installed docs.

2002-12-08  Thomas Flynn  <tflynn@users.sourceforge.net>

        * src/openvrml/OpenVRML/vrml97node.cpp: Fix bug in FontStyle
          destructor.

2002-12-05  Braden McDaniel  <braden@endoframe.com>

        * doc/doxygen-header: Add link to bookmark icon to docs.

        * Makefile.am, README, configure.ac, openvrml.spec.in,
          doc/Makefile.am, m4/Makefile.am, src/lookat/Makefile.am,
          src/openvrml/OpenVRML/Image.cpp,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml-gl/OpenVRML/GL/Makefile.am, m4/jpeg.m4 m4/png.m4,
          m4/spidermonkey.m4, m4/zlib.m4: Modified several configure
          options to be more "feature oriented".

2002-12-04  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/script.cpp: Added VrmlMatrix support
          to JavaScript binding.

        * doc/Doxyfile.in: Don't generate API docs for Java sources.

2002-12-03  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/VrmlMatrix.cpp,
          src/openvrml/OpenVRML/VrmlMatrix.h: Const-correctness
          improvements and exception specifications for VrmlMatrix.

        * src/openvrml/OpenVRML/node.cpp: Fixed field value type
          agreement test in Node::addRoute.

2002-12-02  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/node.h: Added OPENVRML_SCOPE to some API
          elements.

        * src/openvrml/OpenVRML/Makefile.am: ScriptJDK.h should not be
          installed.

        * src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/script.cpp: Consolidated route validity
          checking in Node::addRoute.

2002-11-30  Thomas Flynn  <tflynn@users.sourceforge.net>

        * src/openvrml/OpenVRML/Image.cpp: Gracefully handle the case
          where we're attempting to advance beyond the last frame of
          a MovieTexture.

        * src/openvrml/OpenVRML/vrml97node.cpp: Fix a couple of problems
          with MovieTexture nodes.

        * doc/conformance.html: Update conformance test results.

2002-11-23  Braden McDaniel  <braden@endoframe.com>

        * m4/gl.m4: Use C++ when testing for libGLU.  libGLU may need to
          link with libstc++.

        * src/openvrml/OpenVRML/node.cpp:  Put Node's initializer list
          in the right order.

        * src/openvrml-gl/OpenVRML/GL/Makefile.am,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  libopenvrml-gl
          no longer depends on glut.

        * src/openvrml/OpenVRML/script.cpp:  Fixed bug in JavaScript
          SFRotation constructor that takes two vectors.

        * src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/field.cpp:  Added addElement methods to
          MF* classes.

        * openvrml.pc.in, openvrml-gl.pc.in:  No longer require glut; made
          openvrml-gl require openvrml; other cleanup.

2002-11-19  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/MathUtils.cpp,
          src/openvrml/OpenVRML/MathUtils.h,
          src/openvrml/OpenVRML/Viewer.cpp,
          src/openvrml/OpenVRML/VrmlFrustum.cpp,
          src/openvrml/OpenVRML/VrmlMatrix.cpp,
          src/openvrml/OpenVRML/VrmlRenderContext.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/bvolume.cpp,
          src/openvrml/OpenVRML/field.cpp, src/openvrml/OpenVRML/field.h
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: Doc-comment
          fix-ups.

        * doc/openvrml.css: Style sheet improvements.

2002-11-14  Braden McDaniel  <braden@endoframe.com>

        * m4/jpeg.m4, m4/png.m4, m4/zlib.m4: Fixed problem with macros
          when using config.cache.

        * src/lookat/Makefile.am: Updated obsolete substitutions
          JAVA_CFLAGS, JAVA_LIBS to JNI_CFLAGS, JNI_LIBS.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: Fixed Win32
          calling convention stuff on GL callbacks for Cygwin, MinGW.

2002-11-11  Thomas Flynn  <tflynn@users.sourceforge.net>

        * src/openvrml/OpenVRML/ScriptJDK.cpp: Fix bugs in
          MFRotation::setValue, MFTime::insertValue and MFVec2f::addValue.

        * src/openvrml/OpenVRML/field.cpp: Fix problem with
          ArrayVector::erase.

        * java/vrml/field/MFRotation.java: Fix bug in setValue method.

        * java/vrml/field/MFVec2f.java, java/vrml/field/MFVec3f.java:
          Add additional comments.

        * models/TestJSAI.java: Add tests for MFNode, MFRotation, MFTime,
          MFVec2f and MFVec3f.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: insertTextTess
          is now declared in unnamed namespace so cannot be used as
          method call on object.

2002-11-04  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h: Factored
          tesselation helper structs out of ViewerOpenGL interface.

2002-10-31  Braden McDaniel  <braden@endoframe.com>

        * configure.ac, m4/jpeg.m4, m4/png.m4, m4/zlib.m4,
          src/openvrml/OpenVRML/Image.cpp,
          src/openvrml/OpenVRML/doc2.cpp: Improved autoconf macros for
          zlib, libpng, and libjpeg.  These macros now work a bit more
          like AC_PATH_X, and the test result is cached.

        * m4/jpeg.m4:  Fixed cut&paste error.

        * configure.ac, m4/gl.m4, m4/glut.m4, src/lookat/ViewerGlut.cpp,
          src/lookat/lookat.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: Rewrote
          OpenGL/GLUT autoconf macros.  The new macros should work under
          Cygwin.

        * configure.ac, m4/gl.m4, m4/glut.m4: OV_WITH_GL only needs to
          AC_REQUIRE([AC_PATH_X]), not AC_PATH_XTRA.

        * configure.ac, m4/Makefile.am, m4/acx_pthread.m4, m4/gl.m4: Use
          ACX_PTHREAD (from the Autoconf Macro Archive) to check for
          pthreads. (Nvidia OpenGL implementation, for one, needs this.)

2002-10-30  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h: Added protected default
          constructor, copy constructor, and assignment operator to
          FieldValue.

2002-10-30  S. K. Bose  <bose@pavan.barc.ernet.in>

        * configure.ac, m4/ftflib.m4 : Autoconf macros to check for
          system font files and freetype library.

        * ide-projects/Windows/VisualC6/config.h: include macros for
          system font files.

2002-10-29  S. K. Bose  <bose@pavan.barc.ernet.in>

        * ide-projects/Windows/VisualC6/openvrml.dsp,
          ide-projects/Windows/VisualC6/lookat/lookat.dsp,
          ide-projects/Windows/VisualC6/openvrml-core/openvrmlcore.dsp,
          ide-projects/Windows/VisualC6/openvrml-gl/openvrmlgl.dsp:
          Accommodate font and defined "HAVE_CONFIG_H"

        * src/lookat/ViewerGlut.cpp: Remove "winconfig.h"

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:
          Fixed if there is no vector information about character in
          "insertText" method.

2002-10-28  S. K. Bose  <bose@pavan.barc.ernet.in>

        * src/openvrml/OpenVRML/font.h,
          src/openvrml/OpenVRML/font.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/opevrml/OpenVRML/node.h, src/openvrml/OpenVRML/Viewer.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h:
          To support font based on scalable font (TrueType, Type1)
          present in the system using FreeType library.

        * src/openvrml/OpenVRML/doc2.cpp,
          src/openvrml/OpenVRML/browser.cpp:
          std:: correctness fixes.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:
          remove "tex3" method.

2002-10-27  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h:
          Fixed crash when calling ProtoNode::setFieldImpl to set the
          value of an un-IS'd exposedField.

2002-10-26  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h:
          Fixed crash when parsing IS mappings.

2002-10-24  Braden McDaniel  <braden@endoframe.com>

        * configure.ac, m4/Makefile.am, m4/cxxhash_map.m4,
          src/openvrml/OpenVRML/nodeptr.cpp,
          src/openvrml/OpenVRML/nodeptr.h: Removed optional usage of
          hash_map; use std::map.  hash_map is likely a performance win,
          but until there's data indicating the magnitude of the gain,
          its not worth the maintenance burden.  Since hash_map is
          nonstandard, different implementations do different things
          with it.  If hash_map usage is reinstated, the autoconf test
          will need to be a good deal smarter than the one that is being
          retired with this change.

2002-10-20  Thomas Flynn  <tflynn@users.sourceforge.net>

        * src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/VrmlMatrix.cpp,
          src/openvrml/OpenVRML/VrmlMatrix.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp: Backed out of some of the
          #include file cleanup due to problems with gcc 2.96.

2002-10-19  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g: Fixed crash (assertion
          failure) when encountering an EXTERNPROTO. Arbitrary
          EXTERNPROTOs still aren't supported, but at least we don't die
          on them anymore.

2002-10-18  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/script.h: Removed unnecessary inclusion
          of vrml97node.h.

        * src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h: Replace
          Viewer::MatrixMultiply with Viewer::transform; Viewer::transform
          simply takes a VrmlMatrix instead of a float[4][4].

        * src/openvrml/OpenVRML/vrml97node.cpp: Fixed goofiness in
          TimeSensor::processSet_enabled. Route from a TimeSensor's
          isActive to its set_enabled was causing an infinite loop.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: Source
          formatting changes.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: More source
          formatting changes.

        * src/lookat/lookat.cpp, src/openvrml/OpenVRML/Doc.h,
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/Vrml97Frustum.cpp,
          src/openvrml/OpenVRML/VrmlMatrix.cpp,
          src/openvrml/OpenVRML/VrmlMatrix.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/bvolume.h,
          src/openvrml/OpenVRML/doc2.cpp,
          src/openvrml/OpenVRML/doc2.hpp, src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/node.cpp, src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/scope.h, src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: #include
          cleanup.

        * src/openvrml/OpenVRML/script.cpp: Cleaned up error handler a
          bit.

2002-10-17  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h: Use a modelview
          matrix stack instead of undoing transformations by multiplying
          by a transformation's inverse.

2002-10-16  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/script.cpp: Use
          JS_ConstructObjectWithArguments when doing so.

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h: Refactored bound Fog node
          stack to FogClass.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: Source
          formatting changes.

2002-10-15  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/script.h: Allow Node::initialize to
          throw std::bad_alloc; initialize prototype objects of SF*
          classes in JavaScript; JavaScript SFNode::getProperty should
          return JS_TRUE if no eventOut is found so that the common
          handling code in SpiderMonkey can attempt to handle the
          property.

        * src/openvrml/OpenVRML/MathUtils.cpp,
          src/openvrml/OpenVRML/MathUtils.h,
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h: Removed dead code
          obsoleted by VrmlMatrix usage.

2002-10-12  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h: Refactored bound
          Background node stack to BackgroundClass; added render and
          initialize methods to NodeClass.

2002-10-10  Thomas Flynn  <tflynn@users.sourceforge.net>

        * java/vrml/field/ConstMFColor.java
          java/vrml/field/ConstMFInt32.java
          java/vrml/field/ConstMFString.java
          java/vrml/field/ConstMFVec2f.java
          java/vrml/field/ConstMFVec3f.java
          java/vrml/field/MFColor.java
          java/vrml/field/MFFloat.java
          java/vrml/field/MFInt32.java
          java/vrml/field/MFNode.java
          java/vrml/field/MFRotation.java
          java/vrml/field/MFString.java
          java/vrml/field/MFTime.java
          java/vrml/field/MFVec2f.java
          java/vrml/field/MFVec3f.java:: Various JSAI bug fixes and add
          additional comments.

        * models/TestJSAI.java: Add addtional tests for MFInt32 and
          MFString.

        * src/openvrml/OpenVRML/ScriptJDK.cpp: Start checking the
          results of calls to getFid and getFieldValue against 0 to
          better handle exceptions. Remove duplicated methods.
          Fix numerous bugs. Implement Script::toString. Purge usage
          of memcpy. Add addional comments.

        * src/openvrml/OpenVRML/Image.cpp,
          src/openvrml/OpenVRML/System.cpp: Purge uses of memcpy in
          favor of std::copy.

2002-10-09  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Doc.cpp: Fixed bug where relative URI
          paths were being corrupted in Doc::seturl.

        * src/openvrml/OpenVRML/Image.cpp,
          src/openvrml/OpenVRML/Image.h,
          src/openvrml/OpenVRML/vrml97node.cpp: Removed unnecessary
          methods from Image.

        * src/openvrml/OpenVRML/MathUtils.cpp,
          src/openvrml/OpenVRML/MathUtils.h: Made quat_to_axis const-
          correct; normalize axis vector.

2002-10-07  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: Changed
          Browser::render to take a Viewer & instead of a Viewer *.

2002-09-30  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Viewer.h,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h: Improved
          const-correctness of Viewer::setViewpoint.

        * src/openvrml/OpenVRML/VrmlFrustum.cpp,
          src/openvrml/OpenVRML/VrmlFrustum.h,
          src/openvrml/OpenVRML/bvolume.cpp,
          src/openvrml/OpenVRML/bvolume.h: Removed BVolume::dump and
          VrmlFrustum::dump.

        * src/openvrml-gl/OpenVRML/GL/Makefile.am,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/private.h: Removed private.h.


2002-09-29  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Viewer.cpp,
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/VrmlFrustum.cpp,
          src/openvrml/OpenVRML/common.h,
          src/openvrml/OpenVRML/private.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/private.h: Moved utility functions
          from OpenVRML::Viewer to OpenVRML::GL::ViewerOpenGL.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: Corrected minor
          error in computeView.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/private.h: Corrected correction to
          minor error in computeView.

2002-09-27  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Viewer.cpp,
          src/openvrml/OpenVRML/Viewer.h,
          src/openvrml/OpenVRML/VrmlRenderContext.cpp,
          src/openvrml/OpenVRML/VrmlRenderContext.h,
          src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/bvolume.cpp,
          src/openvrml/OpenVRML/bvolume.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h: Made intersection
          enumeration in BVolume a named type.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: Removed
          workaround for old bug in Mesa.

2002-09-27  S. K. Bose  <bose@pavan.barc.ernet.in>

        * ide-projects/Windows/VisualC6/winconfig.h: In MSVC project
          file, if macros are defined with values, it does not give
          the result as expected. Rename "winconfig.h" as "config.h"
          to define macros for MSVC project file. Inside the project
          file "HAVE_CONFIG_H" macro is defined.

2002-09-27  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Remove the directory regex. This library is under GPL whereas
          OpenVRML is under LGPL.

2002-09-26  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Create a directory under "lib" by name "regex" to put
          needed file (regex.c and regex.h) from regular expression
          library <http://ftp.gnu.org/pub/gnu/regex/regx-0.12.
          tar.gz>. These files are needed for MSVC build.

        * Put Makefile.vc6 to build regex library using MSVC

        * lib/regex/regex.h: Minor fixes for MSVC build to deal with
          "extern".

2002-09-25  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/browser.cpp: Removed Node::toInline
          method.

        * src/openvrml/OpenVRML/field.cpp: Fixed const issue.

        * src/openvrml/OpenVRML/script.cpp: Eliminated <strstream>
          dependency; moved includes needed only by the JavaScript
          binding to the conditionally compiled section.

2002-09-23  S. K. Bose  <bose@pavan.barc.ernet.in>

        * src/openvrml/OpenVRML/field.cpp: VC++6.0 complains about
          reference to a zero-sized array at "typedef value_type
          & reference" within array_vector class definition. Though
          ArraySize is passed as an argument in template declaration.
          To get rid of this spurious complain "enum {_ArraySize =
          ArraySize}" is declared.

        * src/openvrml/OpenVRML/field.cpp: reverse_iterator template
          definition in VC++6.0 does not take one argument and some
          other fixes for VC++6.0.

2002-09-23  Thomas Flynn  <tflynn@users.sourceforge.net>

        * src/openvrml/OpenVRML/ScriptJDK.cpp: Use std::copy instead of
          memcpy. Fix bugs in ConstSFNode::CreateObject,
          ConstMFRotation::CreateObject, ConstMFVec3f::CreateObject and
          MFVec3f::setValue. Additional documentation.

        * src/openvrml/OpenVRML/MathUtils.cpp: Removed unneeded include.

        * models/TestJSAI.java: Add tests of SFNode, ConstMFNode,
          ConstMFRotation, ConstMFTime, ConstMFVec2f and ConstMFVec3f.

        * java/vrml/field/ConstMFFloat.java,
          java/vrml/field/ConstMFNode.java,
          java/vrml/field/ConstMFRotation.java,
          java/vrml/field/ConstMFTime.java: Update javadoc comments.

2002-09-21  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/field.cpp: Fixes to MFNode::print to
          correctly print the last element, and to avoid printing null
          elements.

2002-09-16  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h: Removed
          Group::setChildren, Group::addChildren, and
          Group::removeChildren; moved this functionality to the
          Group::process* methods.

2002-09-13  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h: Fixed a bug in
          Node::resetVisitedFlag that would cause a crash for several
          node types. Added nothrow exception spec to the method.

        * src/openvrml/OpenVRML/browser.cpp: Added some exception
          specifications.

        * src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h,
          src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/vrml97node.h: Removed deprecated method
          Node::inverseTransform(Viewer *).

        * src/openvrml/OpenVRML/vrml97node.cpp: Removed some #if 0'd
          cruft.

2002-09-10  Thomas Flynn  <tflynn@users.sourceforge.net>

        * doc/conformance.html: Retest Anchor, Inline and most of PROTO.

        * src/openvrml/OpenVRML/ScriptJDK.cpp: Fix bug in MFInt32::getValue.
          Add additional documentation.

        * models/TestJSAI.java: Add tests of MFColor and MFFloat fields.

        * java/vrml/field/MFColor.java: Update javadoc comments.

2002-09-09  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h: Removed Node::getChildren. This
          method seemed prone to misunderstanding, and thus created more
          problems than it solved. Since it was just a convenience
          method, anyone who really needs this functionality can
          implement it as a nonmember.

2002-09-08  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp: Should now correctly handle
          fields in PROTOs that aren't IS'd to anything in the
          implementation.

2002-09-07  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp: Removed code in
          Browser::sensitiveEvent to print the URI when the pointer is
          over the Anchor. We need to call Browser::setDescription, but
          inside the implementation of Anchor. Removed
          Anchor::getDescription and Anchor::getUrl. Modified
          Scene::loadURI to do nothing if the MFString uri argument is
          empty.

2002-09-07  Thomas Flynn  <tflynn@users.sourceforge.net>

        * src/openvrml/OpenVRML/ScriptJDK.cpp: Additional documentation.
          Fix ConstMFColor/MFColor CreateObject methods. Fix issues with
          retrieving and setting eventOut fields. Workaround for
          BaseNode::getBrowser problems.

        * java/vrml/node/Script.java,
          java/vrml/BaseNode.java: Temporary workaround for getBrowser
          problems.

        * java/vrml/ConstMFInt32.java: Update javadoc comments.

        * models/TestJSAI.java: Add additional tests of JSAI functionality.

2002-09-06  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/field.cpp: Fixed size increment in
          array_vector<>::insert.

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/node.cpp: Made Node::initialize
          recursive, so it no longer needs to be used with a
          NodeVisitor.

        * src/openvrml/OpenVRML/browser.cpp: Set default [exposed]field
          values for PROTO instances. We still need some additional
          magic to handle field values that aren't IS'd to anything in
          the implementation.

2002-08-31  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/nodeptr.cpp: Fixed bug in NodePtr::reset
          when 0 is passed as the argument.

2002-08-29  Thomas Flynn  <tflynn@users.sourceforge.net>

        * java/vrml/BaseNode.java,
          java/vrml/MField.java,
          java/vrml/field/ConstMFColor.java,
          java/vrml/field/ConstMFFloat.java,
          java/vrml/field/ConstSFImage.java,
          java/vrml/field/ConstSFVec2f.java,
          java/vrml/field/ConstSFVec3f.java,
          java/vrml/field/SFImage.java,
          java/vrml/field/SFString.java,
          java/vrml/field/SFVec2f.java,
          java/vrml/field/SFVec3f.java: Update javadoc comments.

2002-08-28  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp: Doc-comment fixes and
          code beautification.

        * src/openvrml/OpenVRML/browser.cpp: More doc-comment additions.

        * src/openvrml/OpenVRML/browser.cpp: Fixed
          ProtoNode::getFieldImpl to return the default value for the
          field if it hasn't been IS'd to anything.

2002-08-27  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h: Fixed Scene::loadURI to work
          for "#ViewpointName" syntax.

2002-08-26  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/script.cpp: Fixed bug where assignments
          to elements of MF* objects in JavaScript didn't trigger an
          eventOut.

        * src/openvrml/OpenVRML/doc2.cpp: Fixed problem with
          Doc2::filename.

2002-08-25  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/node.h: Made operator== for
          NodeInterface inline; added doc-comment for operator!=.

2002-08-24  Thomas Flynn  <tflynn@users.sf.net>

        * Finish updating conformance test results.

2002-08-24  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp,
          src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/script.cpp: Implemented
          Browser::createVrmlFromStream.

        * src/openvrml/OpenVRML/browser.h: Oops.

2002-08-23  S. K. Bose  <bose@pavan.barc.ernet.in>

        * VrmlMatrix.cpp: If the matrix is singular then it
          prints debug message and returns instead of aborting.

        * private.h: Add macro to print debug messages.

2002-08-23  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/ScriptJDK.cpp: Modified
          FieldValue::clone to return an auto_ptr.

        * src/openvrml/OpenVRML/script.cpp: Work around auto_ptr brain
          damage on gcc 2.96.

        * src/openvrml/OpenVRML/browser.cpp: Fixed InitVisitor to set
          the visited flag on root nodes.

2002-08-22  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/ScriptJDK.cpp: Fixes to work with the
          changes to the MF* FieldValue interfaces; spotty improvements
          exception safety and Java exception propagation.

2002-08-20  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/field.h: General clean-up of FieldValue
          classes; print method now returns void.

        * README: Added note about Sun JDK problems under GNU/Linux.

2002-08-19  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp: Fixed crash when calling
          Browser::loadURI.

        * src/openvrml/OpenVRML/field.cpp: Fixed const correctness
          issue in array_vector copy ctor.

        * src/openvrml/OpenVRML/browser.cpp: Fixed (?) Scene::loadURI;
          Anchor nodes should work now.

        * src/openvrml/OpenVRML/browser.cpp: Added code that should make
          createFileURL work on Win32.

2002-08-19  Thomas Flynn  <tflynn@users.sourceforge.net>

        * Continue upating conformance test results.

2002-08-18  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/browser.cpp: Provide the resource URI to
          the parser in a parameter to the constructor.

2002-08-17  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/browser.cpp: If the Scene's parent is 0,
          then a relative reference will simply be passed to the stream
          loader as-is.  This should accommodate references that refer
          to the local file system. (The reference must still parse as
          a URI, so DOS-style file system references won't work.)

        * src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/vrml97node.h,
          src/openvrml/OpenVRML/vrml97node.cpp: Modified implementation
          of the MF* types not to use a refcounted internal object.

2002-08-16  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/doc2.cpp,
          src/openvrml/OpenVRML/browser.cpp: Apparently gcc 2.95.3
          doesn't have basic_string<>::clear.

2002-08-13  Braden McDaniel  <braden@endoframe.com>

        * lib/antlr/config.hpp, src/openvrml/OpenVRML/field.cpp: Fixes
          to build with Irix 6.5 CC.

2002-08-12  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/field.cpp: Workarounds for a bug in
          gcc 3.1.

        * src/openvrml/OpenVRML/browser.h,
          src/openvrml/OpenVRML/browser.cpp: BadURI exception destructor
          must not throw.

        * m4/gl.m4: Link against libm when checking for libGLU.

2002-08-04  Braden McDaniel  <braden@endoframe.com>

        * Refactored VrmlScene into Browser and Scene; Node now contains
          a pointer to its associated Scene. Nodes are added to a Scene
          with Node::initialize.

2002-08-02  Thomas Flynn  <tflynn@users.sourceforge.net>

        * Continue updating conformance test results.

2002-07-22  Thomas Flynn  <tflynn@users.sourceforge.net>

        * Continue updating conformance test results.

2002-07-18  Thomas Flynn  <tflynn@users.sourceforge.net>

        * Fix a number of problems in the JSAI code.

        * Add additional javadoc comments to Java classes.

        * Improve output format of SFImage::print.

        * Update conformance test results.

2002-07-12  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/VrmlScene.cpp:  Removed Doc2 parameter
          from parser methods.  This parameter is unused now that we
          no longer use VrmlNamespace.

2002-07-11  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp:  Fixed several places
          in recalcBSphere methods where child nodes weren't checked for
          being NULL.

2002-07-10  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/ViewerGlut.cpp, src/lookat/lookat.cpp,
          src/openvrml/OpenVRML/Image.cpp,
          src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp:  Sun Forte
          compiler complains if callbacks passed to 'extern "C"'
          functions are not themselves 'extern "C"'.  Solution:  provide
          'extern "C"' typedefs and cast to them.

2002-07-09  Braden McDaniel  <braden@endoframe.com>

        * Added a boolean parameter to NodeType::createNode to indicate
          whether the new node will be part of a prototype definition.
          If the node will be part of a prototype definition, it should
          not be adding itself to the scene.

        * src/openvrml/OpenVRML/VrmlScene.cpp:  For
          VrmlScene::add[node], made the absence of the node in the
          scene's node lists a precondition.

2002-07-08  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/VrmlScene.cpp:  In the remove*Node
          methods, use find..erase rather than remove.  This should be
          more efficient; and it has the advantage of not producing a
          weird segfault.

2002-07-05  Braden McDaniel  <braden@endoframe.com>

        * Replaced VrmlNamespace with Scope. Scopes are owned by Nodes,
          and refcounted using ScopePtr.

2002-07-04  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/lookat.cpp:  Minor code cleanup.

2002-07-03  Braden McDaniel  <braden@endoframe.com>

        * src/lookat/lookat.cpp:  Code cleanup; delete the VrmlScene and
          Viewer atexit. (glut provides no mechanism for cleaning up
          resources when the window is closed.)

2002-07-01  Braden McDaniel  <braden@endoframe.com>

        * configure.ac, README:  Incremented version to 0.12.4.

        * m4/glut.m4:  Added "-lXmu" to libs needed by glut.

        * NEWS:  Updates for 0.12.4 release.

        * m4/gl.m4:  Fixed bug in libGL detection macro (missing comma).

2002-06-30  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/doc2.cpp:  Use a reasonable value for
          the buffer size for z::filebuf.

        * NEWS:  Updates for 0.12.3 release.

2002-06-29  Braden McDaniel  <braden@endoframe.com>

        * README: Added documentation for --with-doxygen configure
          option.

2002-06-28  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp:  Fixes to build with
          gcc 2.95.3.

2002-06-25  Braden McDaniel  <braden@endoframe.com>

        * private.h: Fixes to OPENVRML_VERIFY_ macro.

        * ScriptJDK.cpp: Quelled some output about unimplemented
          functions. (Use Doxygen @todo instead.)

        * script.cpp: Utility methods to set up the JavaScript
          environment should throw std::bad_alloc on failure rather than
          return false.

2002-06-22  Braden McDaniel  <braden@endoframe.com>

        * Fixes for compiling with Microsoft Visual C++ 6.0 sp5.

2002-06-22  Braden McDaniel  <braden@endoframe.com>

        * Fixed a bunch of warnings and errors flagged by the Intel C++
          compiler.

        * src/openvrml/OpenVRML/VrmlMatrix.cpp:  Fixed errors
          dereferencing matrix values.

        * src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.hpp,
          src/openvrml/OpenVRML/Vrml97Parser.cpp:  Changed Vrml97Scanner
          to use a std::istream rather than an istream.

2002-06-21  Braden McDaniel  <braden@endoframe.com>

        * doc/openvrml.css: Stylesheet fixes for consistency with Web
          site.

        * src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/script.cpp:  Reverted 2002-06-19 change
          to ScriptNodeClass::createType exception specification.  This
          problem has apparently been addressed with a patch to Sun
          Forte update 2.

        * m4/gl.m4, m4/glut.m4:  OV_CHECK_GL should *not* depend on
          AM_PATH_XTRA; OV_CHECK_GLUT *should* depend on AM_PATH_XTRA.
          Now, OV_CHECK_GLUT only adds X11 libs and cflags to the
          GLUT_LIBS and GLUT_CFLAGS variables if X11 is present and
          should be used.  But what about platforms where GLUT depends
          on platform-specific GUI libraries (Mac, Windows)?
          OV_CHECK_GLUT may need to get a good deal smarter; OTOH, we
          will eventually be eliminating the GLUT dependency altogether.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.cpp: checkError
          should take a const char *.

        * configure.ac, README: Updated version to 0.12.3.

2002-06-20  Braden McDaniel  <braden@endoframe.com>

        * m4/gl.m4: AC_REQUIRE([AC_PATH_XTRA]) and add the X CFLAGS and
          LIBS to GL_CFLAGS and GL_LIBS.

        * m4/glut.m4, src/lookat/Makefile.am,
          src/openvrml-gl/OpenVRML/GL/Makefile.am: Add GL_CFLAGS and
          GL_LIBS to GLUT_CFLAGS and GLUT_LIBS, respectively.

        * configure.ac: Don't require X.

        * m4/gl.m4: Nvidia's OpenGL links with pthreads.

        * m4/glut.m4: Fix macro documentation to reflect
          AC_SUBST([GLUT_CFLAGS]).

        * src/openvrml/OpenVRML/Viewer.cpp,
          src/openvrml/OpenVRML/VrmlScene.cpp,
          src/openvrml/OpenVRML/bvolume.cpp,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/script.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp: Quell a bunch of
          warnings from gcc -Wall.

        * src/openvrml/OpenVRML/Makefile.am: Incremented libopenvrml
          library version to 2:2:0.

        * src/openvrml-gl/OpenVRML/GL/Makefile.am: Incremented
          libopenvrml-gl library version to 3:0:0.

        * NEWS: Updates for 0.12.2 release.

        * INSTALL: Removed build instructions for Windows (Visual C++)
          and Mac (CodeWarrior) since we are not presently distributing
          project files for those compilers.

2002-06-19  Braden McDaniel  <braden@endoframe.com>

        * configure.ac, README: Incremented version number to 0.12.2.

        * src/openvrml/OpenVRML/ScriptJDK.cpp: Use const_cast to blow
          off const for JNI.

        * src/openvrml/OpenVRML/doc2.cpp: Use const_cast to blow off
          const in call to Doc2::stripProtocol in Doc2::filename.  This
          means a call to Doc2::filename can modify Doc2::url_ as a side
          effect.  This does not appear to be a desirable side effect;
          but it is consistent with Doc.  And since this code will be
          going away for 0.14, it's not worth spending a lot of time
          ensuring it's correct.

        * src/openvrml/OpenVRML/Image.cpp: const-correctness fix in
          imageFileType.

        * src/openvrml/OpenVRML/Image.cpp: Don't use METHODDEF macro
          for my_error_exit (libjpeg error handler).  The macro just
          expands to make the function "static", which is deprecated
          (and unnecessary since the function is in an anonymous
          namespace).

        * src/openvrml/OpenVRML/field.h,
          src/openvrml/OpenVRML/field.cpp: Provide typedefs for return
          values of methods that return array references. This
          circumvents a bug in Sun Forte 6 update 2.

        * src/openvrml/OpenVRML/script.h,
          src/openvrml/OpenVRML/script.cpp: Changed exception
          specification for ScriptNodeClass::createType from nothrow to
          match the exception specification for NodeClass::createType.
          This circumvents a bug in Sun Forte 6 update 2.

        * src/openvrml/OpenVRML/bvolume.cpp,
          src/openvrml/OpenVRML/vrml97node.h: Avoid converting from
          array references to pointers when we don't need to. Sun
          Forte 6 update 2 is iffy on some conversions.

        * src/openvrml-gl/OpenVRML/GL/ViewerOpenGL.h: enum
          ViewerOpenGL::LightType needs to be public.

        * src/openvrml/OpenVRML/VrmlScene.cpp: In
          ProtoNode::processEventImpl, non-const map<>equal_range
          returns a std::pair of iterators, not const_iterators.

2002-06-17  Braden McDaniel  <braden@endoframe.com>

        * configure.ac, README: Incremented version number to 0.13.0.

        * src/openvrml/OpenVRML/private.h,
          src/openvrml/OpenVRML/VrmlMatrix.h: #include <stddef.h>.

        * src/openvrml/OpenVRML/Vrml97Parser.g,
          src/openvrml/OpenVRML/Vrml97Parser.cpp,
          src/openvrml/OpenVRML/VrmlNamespace.cpp,
          src/openvrml/OpenVRML/node.cpp,
          src/openvrml/OpenVRML/vrml97node.cpp: Removed vestigal
          '#include "proto.h"'.

        * doc/openvrml.css: Changes for consistency with Web site.

2002-06-16  Braden McDaniel  <braden@endoframe.com>

        * README, doc/Makefile.am: Removed "conformance.html" from the
          distribution. It needs updating.

        * README: Fixed documentation of GLUT options; added
          documentation for zlib options; removed "Required libraries"
          section (there are no more required libraries).

2002-06-15  Braden McDaniel  <braden@endoframe.com>

        * Updated libopenvrml library version to 2:0:0.

        * Updated libopenvrml-gl library version to 2:0:0.

2002-06-14  Braden McDaniel  <braden@endoframe.com>

        * Require Automake 1.6.2.

2002-06-13  Braden McDaniel  <braden@endoframe.com>

        * Various build fixes to support conditional compilation of Java
          support and the GL renderer.

2002-06-09  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/VrmlScene.cpp: Marked doc-comments for
          ProtoNode, ProtoNode::ImplNodeInterface, and ProtoNodeClass
          "internal".

2002-06-08  Braden McDaniel  <braden@endoframe.com>

        * Some Doxygen love for Viewer.

        * Made Viewer::scene public and eliminated accessor method.

2002-06-07  Braden McDaniel  <braden@endoframe.com>

        * Doxygen love and minor cruft removal for Doc and Doc2.

        * src/openvrml/OpenVRML/VrmlScene.cpp: MS Visual C++ doesn't
          like "friend" inline in the class definition; changed for
          ProtoNode::ProtoNodeType.

        * Mark ProtoNode::ProtoNodeType "internal" for Doxygen.

        * src/openvrml/OpenVRML/node.cpp: Sync'd Doxygen comments with
          code.

2002-06-06  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/script.cpp: Fixed segfault introduced
          with JS_AddRoot cleanup.

        * Removed --disable-debug option from configure. Add -DNDEBUG to
          CPPFLAGS instead.

2002-06-05  Braden McDaniel  <braden@endoframe.com>

        * Doxygen love for VrmlScene.

        * Made scene callback IDs enumerants instead of ints.

        * src/openvrml/OpenVRML/script.h: Made
          ScriptNode::ScriptNodeType a friend of ScriptNode.

        * configure.ac: Removed obsolete AC_DEFINEs:
          OPENVRML_MAJOR_VERSION, OPENVRML_MINOR_VERSION,
          OPENVRML_MICRO_VERSION.

        * Moved ProtoNode, ProtoNodeClass definitions and implementation
          to VrmlScene.cpp.

        * Require Autoconf 2.53.

        * Tweaked SpiderMonkey detection macro to work with
          Mozilla 1.0.0.

        * src/openvrml/OpenVRML/script.cpp: Removed vestigal debug
          output from ScriptNode::setEventOut.

        * src/openvrml/OpenVRML/Doc.cpp, src/openvrml/OpenVRML/doc2.hpp:
          std:: correctness fixes.

        * src/openvrml/OpenVRML/VrmlScene.cpp: Removed OPENVRML_SCOPE
          from ProtoNode, ProtoNodeClass; these classes are no longer
          part of the public API.

2002-06-04  Braden McDaniel  <braden@endoframe.com>

        * Made zlib an optional dependency.

2002-05-31  Braden McDaniel  <braden@endoframe.com>

        * "make install" can now install Dogygen-generated documentation
          if the build is configured --with-doxygen (the default).

2002-05-30  Braden McDaniel  <braden@endoframe.com>

        * Fixed usage of JS_AddRoot with the MF* types in the JavaScript
          binding.

2002-05-29  Braden McDaniel  <braden@endoframe.com>

        * Don't install openvrml-gl.pc when building --without-gl.

2002-05-28  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/proto.cpp: Doxygen comments - marked
          docs for ProtoNode::NodeCloneVisitor and
          ProtoNode::RouteCopyVisitor "internal".

        * Moved Node::printFields logic to Node::print.

        * Added operator== and operator!= for Node::Route; gave
          Node::addRoute and ::deleteRoute a little STL love.

2002-05-26  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/node.cpp: Allocate the default BSphere
          statically.

2002-05-25  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/script.cpp: Changed usage of
          JS_AddRoot/JS_RemoveRoot in the JavaScript binding.

        * src/openvrml/OpenVRML/script.cpp: Use JS_SetPrivate to set the
          private data pointer to 0 after deleting the object's private
          data. (Per recommendation from <philm@codesmiths.com.au>, to
          quell warnings from memory leak checker.)

2002-05-22  Braden McDaniel  <braden@endoframe.com>

        * src/openvrml/OpenVRML/vrml97node.cpp,
          src/openvrml/OpenVRML/VrmlMatrix.cpp: Doxygen love.

        * java/Makefile.am: Added the generated JNI headers to
          CLEANFILES.

        * src/openvrml/OpenVRML/field.cpp,
          src/openvrml/OpenVRML/ScriptJDK.cpp: Made FieldValue::print
          private.

        * src/openvrml/OpenVRML/field.cpp: Added exception
          specifications to FieldValue classes and much Doxygen love.

        * Doxyfile.in: Set EXTRACT_PRIVATE, HIDE_UNDOC_MEMBERS, and
          HIDE_UNDOC_CLASSES to YES.

2002-05-20  Braden McDaniel  <braden@endoframe.com>

        * Makefile.am, src/Makefile.am: Add optionally built
          directories to EXTRA_DIST.

        * RPM spec file updates.

        * src/openvrml/OpenVRML/proto.h: Microsoft Visual C++ 6.0
          doesn't like friend declarations included with class
          definitions.

        * Overload operator<< and operator>> on FieldValue::Type for
          stream I/O.

2002-05-19  Braden McDaniel  <braden@endoframe.com>

        * Document --with-gl and --with-glut configure options in
          README.

        * Fixed bug in the JavaScript binding where an incompatible
          conversion from a JavaScript value to an OpenVRML::FieldValue
          value was causing an assertion failure. We now report an error
          to stdout.

2002-05-17  Braden McDaniel  <braden@endoframe.com>

        * Enable building without OpenGL and GLUT.

        * Make NodeClass::scene a public member instead of using an
          accessor method.

2002-05-16  Braden McDaniel  <braden@endoframe.com>

        * ScriptJDK.cpp: Updates to compile against JDK 1.4.

        * Eliminated downcast methods from the FieldValue classes.

        * Previous changes to compile against JDK 1.4 also work for
          JDK 1.3, as long as JNI_Onload returns JNI_VERSION_1_2.

        * Moved Route class to be a member class of Node.

        * Microsoft Visual C++ 6.0 doesn't like aggregates with members
          of class type.

        * Provide operator!= for OpenVRML::NodeInterface.

        * Doxygen comments.

2002-05-14  Braden McDaniel  <braden@endoframe.com>

        * Partial Inline node support.

        * Generate JNI headers.

        * macros/gl.m4: Added "-pthread" to GL_LIBS.

        * src/openvrml/OpenVRML/Makefile.am: Removed duplicate listing of
          "nodetypeptr.cpp".

2002-05-12  Braden McDaniel  <braden@endoframe.com>

        * Fixed problem rendering Color nodes.

2002-05-02  Braden McDaniel  <braden@endoframe.com>

        * Fixed bug where exposedField eventOuts weren't getting
          found by the ProtoNode::addIS code.

2002-05-02  Braden McDaniel  <braden@endoframe.com>

        * Events now propagate out of PROTOs. ProtoNode now has an
          "update" method, and prototype instances are polled for posted
          events like time-dependent nodes, device sensors, and scripts.

2002-04-30  Braden McDaniel  <braden@endoframe.com>

        * ScriptNodes weren't getting initialized; they are now.

        * Initial implementation for propagating events out of prototype
          instances; doesn't seem to be working yet.

2002-04-29  Braden McDaniel  <braden@endoframe.com>

        * Changed ViewerOpenGL::d_sensitiveObject to a Node * array from
          a void * array. Only nodes are ever getting put into the
          array, and there seem to be problems converting from a void *
          to a Node * now that Node is a virtual base.

2002-04-28  Braden McDaniel  <braden@endoframe.com>

        * Various bug fixes for PROTO support.

        * Fixed setup problem for Billboard nodes.

2002-04-28  Thomas Flynn  <tflynn@users.sourceforge.net>

        * Get ScriptJDK compiling again.

        * Update JSAI Test world and class.

        * Use C++ style casts instead of C-style in ScriptJDK.

        * Fix a couple of bugs with MF* construction in ScriptJDK.

2002-04-25  Braden McDaniel  <braden@endoframe.com>

        * Made Nodes non-copyable.

2002-04-24  Braden McDaniel  <braden@endoframe.com>

        * More bug fixes for PROTOs. Closer, but not working yet.

        * proto.cpp: Factored field value cloning into a functor.

        * proto.cpp: Added cast methods for nodes in Vrml97Node
          namespace.

        * proto.cpp: Moved the helper classes for cloning to be private
          friends of ProtoNode.

        * proto.cpp: IS statements weren't getting duplicated as part
          of the node cloning process; they are now. PROTOs now work
          (for small values of "work").

2002-04-23  Braden McDaniel  <braden@endoframe.com>

        * Initial (non-working) rearchitected PROTO implementation.

        * Various fixes to PROTO implementation; still not working yet.

2002-04-14  Thomas Flynn  <tflynn@users.sourceforge.net>

        * Add additional comments to java classes.

2002-03-22  Braden McDaniel  <braden@endoframe.com>

        * Some Doxygen love.

2002-03-21  Braden McDaniel  <braden@endoframe.com>

        * Removed redundant getDescription method on Viewpoint.

2002-03-19  Braden McDaniel  <braden@endoframe.com>

        * Removed some debug output.

2002-03-18  Braden McDaniel  <braden@endoframe.com>

        * Cast methods on Node do not throw exceptions.

        * Made ScriptNodeType a private member of ScriptNode.

        * Removed WorldInfo::getTitle (unused method).

2002-03-17  Braden McDaniel  <braden@endoframe.com>

        * Node destructors cannot throw exceptions.

2002-03-16  Braden McDaniel  <braden@endoframe.com>

        * The old architecture used Transform::setField to set the
          dirty bit for the cached transformation matrix. Since there is
          no more setField method specific to Transform, just start with
          the dirty bit set.

2002-03-15  Braden McDaniel  <braden@endoframe.com>

        * Was accidentally calling Vrml97NodeType<>::dispatchEventIn
          recursively instead of calling dispatchEvenInImpl.

2002-03-14  Braden McDaniel  <braden@endoframe.com>

        * node.cpp should include <algorithm>.

        * Disabled a bunch of code that allowed VrmlScene to load a new
          scene into itself.

2002-03-13  Braden McDaniel  <braden@endoframe.com>

        * Finished VrmlScene::initScope implementation.

        * Fixed bug in WorldInfo node type definition.

        * Made urlModifier in Doc and Doc2 return 0 in the case of no
          fragment identifier. (This is apparently what other code was
          expecting.)

        * Call the SemanticException constructor with the line number in
          Vrml97Parser::routeStatement.

        * Corrected end iterator for TimeSensor NodeInterfaceSet in
          VrmlScene::initScope.

        * Fixed interface id matching methods on NodeType.

2002-03-12  Braden McDaniel  <braden@endoframe.com>

        * Fixed a bug where iterators weren't getting initialized in the
          createType methods.

2002-03-11  Braden McDaniel  <braden@endoframe.com>

        * Finished implementing nodes. (Yea!)

2002-03-09  Braden McDaniel  <braden@endoframe.com>

        * Nodes through ImageTexture are now implemented.

        * Changed TextureNode interface to return nComponents, width,
          height, nFrames, and pixels individually. Long term I'd like
          just to have an SFImage accessor in place of these; but right
          now this yields the fewest code changes.

2002-03-08  Braden McDaniel  <braden@endoframe.com>

        * Don't throw InvalidValue when a field value doesn't meet
          requirements established in the spec. The checking takes too
          long and would kill performance.

        * Nodes through Extrusion are implemented now. We now compile
          and link since the createType methods of the remaining
          NodeClasses are implemented but empty.

2002-03-07  Braden McDaniel  <braden@endoframe.com>

        * Use experimental URNs.

2002-03-03  Braden McDaniel  <braden@endoframe.com>

        * MathUtils.h: Changed Vset, Vscale, Vdot macros to inline
          functions.

        * MathUtils.h: Made Vlength const-correct.

        * Doxyfile.in: various tweaks.

        * Initial rearchitecture checkin. Much breakage.

2002-03-02  Braden McDaniel  <braden@endoframe.com>

        * More doxygen love.

        * Changed some constants to lower-case in "private.h".

2002-02-25  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Put back "const float (&get() const)[4][4]" in
          VrmlMatrix as VC++6.0 gives error by using operator[].

        * Put static_cast in assisgnWithSelfRefCheck method in
          script.cpp

        * Fix to handle null CLASSPATH env. variable in ScriptJDK.cpp

2002-02-21  Braden McDaniel  <braden@endoframe.com>

        * VrmlMatrix: contructor that takes float args doesn't need to
          be explicit.

        * VrmlMatrix: removed methods:

              void set(const float[4][4]);
              void get(float[4][4]);
              const float (&get() const)[4][4];

          Use operator[] and std::copy instead.

        * VrmlMatrix: doc-comment improvements.

        * VrmlMatrix: Don't check if matrix is identity before
          performing multiplication in multRight and multLeft.

        * VrmlMatrix: Use std::equal to implement operator==.

        * VrmlMatrix: more doc-comment improvements.

        * Move VrmlEvent to an unnamed namespace in ScriptJDK.cpp.

        * AUTHORS: Added Frederic Devernay as a contributor.

        * AUTHORS: Updated Gerall Kahla's e-mail address.

        * THANKS: openvrml.org is now hosted by SourceForge; reflect
          name change VA Linux -> VA Software.

2002-02-19  Braden McDaniel  <braden@endoframe.com>

        * VrmlMatrix: use std::copy instead of memcpy.

        * VrmlMatrix: improved doc-comments.

        * VrmlMatrix: made construction from 4x4 array explicit.

        * VrmlMatrix: removed automatic conversion to float *.  Use
          operator[] for this instead.

        * VrmlMatrix: removed assignment operator definitions; just use
          the compiler-defined operator=.

        * Removed VrmlMatrix::makeIdentity. Just assign to a default
          VrmlMatrix instead.

        * VrmlMatrix.h should include <assert.h>.

2002-02-13  Braden McDaniel  <braden@endoframe.com>

        * Updated doc/Makefile.am for Autoconf 2.52; added openvrml.css
          to the distribution.

        * Fixed cases where the parser was returning a funky line
          number: use the "antlr::SemanicException" constructor
          that takes a line number argument.

        * Fixed crash in parser when an invalid field value was
          encountered.

2002-02-11  Braden McDaniel  <braden@endoframe.com>

        * Corrected incorrect application of patch from Frederic
          Devernay <Frederic.Devernay@sophia.inria.fr>. Fixed pkg-config
          metafiles.

        * Applied patch from Frederic Devernay
          <Frederic.Devernay@sophia.inria.fr>.
          Put operators in OpenVRML namespace.

2002-02-09  Braden McDaniel  <braden@endoframe.com>

        * "FieldValue::assign" can throw "std::bad_alloc", too.

        * Doxyfile.in: Fixed package name and version; don't show "used
          files" in the output.

        * Doxygen stylesheet changes.

2002-02-08  Braden McDaniel  <braden@endoframe.com>

        * Applied patch from Frederic Devernay
          <Frederic.Devernay@sophia.inria.fr>.
          configure.ac: AC_PREREQ should be first. fixed version.

        * Applied patch from Frederic Devernay
          <Frederic.Devernay@sophia.inria.fr>.
          openvrml-gl.pc openvrml.pc: fixed pkg-config compliance.

        * Applied patch from Frederic Devernay
          <Frederic.Devernay@sophia.inria.fr>.
          macros/gtkgl.m4: fixed OV_CHECK_GL macro name.

        * Applied patch from Frederic Devernay
          <Frederic.Devernay@sophia.inria.fr>.
          openvrml-core/java/vrml/Makefile.am
          openvrml-core/java/vrml/field/Makefile.am
          openvrml-core/java/vrml/node/Makefile.am: fixed non-installation
          of java files

2002-02-07  Braden McDaniel  <braden@endoframe.com>

        * Added a stylesheet for the Doxygen-generated docs.

2002-02-04  Braden McDaniel  <braden@endoframe.com>

        * Quell some Doxygen warningspew.

2002-02-03  Thomas Flynn  <tflynn@users.sourceforge.net>

        * Fix bug 465024 dealing with MovieTexture nodes.

        * Add some more Javadoc comments.

        * Handle null CLASSPATH env. variable.

        * Fix bugs in JSAI MFString and MFColor creation.

2002-02-01  Braden McDaniel  <braden@endoframe.com>

        * Refactored code to check for self-references when assigning to
          fields of a Script node into methods on "ScriptNode".

        * Made "assignWithSelfRefCheck" methods on "ScriptNode" private.

        * Modified JavaScript binding code to use "ScriptNode::setField"
          (and thus "assignWithSelfRefCheck") when setting fields of the
          Script node.

2002-01-31  Braden McDaniel  <braden@endoframe.com>

        * Minor fix to JDK/JNI autoconf macro: just check for the
          "client" libjvm, not "classic".

        * Provide meta-data files for pkg-config instead of providing
          our own dodgy autoconf macros. Client apps should use the
          pkg-config autoconf macro PKG_CHECK_MODULES to check for the
          presence/location of OpenVRML.

        * Updated AC_INIT usage for autoconf 2.52.

        * Require automake 1.5. (Do it right this time.)

        * Autoconf insists that AC_INIT be the very first thing.

        * Added virtual "assign" method on FieldValue.

2002-01-28  S. K. Bose  <bose@pavan.barc.ernet.in>

        * In "NodeLOD", accumulated modelview matrix within
          rendercontext is used to find the viewer position in local
          coordinate system.

        * Fixed the "step" method in ViewerOpenGL to take care the "Z"
          values.

        * "getPosition" method is removed from ViewerOpenGL. This is
          no longer needed.

2002-01-25  Thomas Flynn <tflynn@users.sourceforge.net>

        * Update OpenVRML autoconf macros to use namespaces.

2002-01-22  Braden McDaniel  <braden@endoframe.com>

        * Fixed "ScriptJDK.cpp" to account for identifier changes to
          FieldValue::Type.

        * Fixed some errors introduced through unduly aggressive use of
          "find & replace".

2002-01-22  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Implement three more methods (det3, det4 and getTransform) in
          VrmlMatrix.

        * In ProximitySensor, getPosition and getOrientation are
          replaced by getTransform method of VrmlMatrix to find
          out position and orientation of Viewer w.r.t local coordinate
          system. Fix the bug #466786. Thanks to Javier Taibo
          <http://sourceforge.net/mailarchive/forum.php?thread_id=394826&forum_id=7147>
          for pointing it.

        * getOrientation method is removed from ViewerOpenGL. This is
          no longer needed.

        * "build_quaternion" is shifted from MathUtils to VrmlMatrix.

2002-01-20  Braden McDaniel  <braden@endoframe.com>

        * Updated documentation for configure options in README.

        * Changed FieldValue::FieldType to FieldValue::Type.

        * Changed FieldValue::Type enumerants to use interCaps rather
          than UPPER_CASE.

2002-01-14  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Implement CylinderSensor's activation method.

2002-01-14  Thomas Flynn <tflynn@users.sourceforge.net>

        * Fix bug in java Makefile.

        * Fix bugs in ConstSFString constructor of ScriptJDK.

        * Add additional tests to TestJSAI.java

2002-01-04  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Apply fixes for bugs #492363, #494210 and #498903

2001-12-13  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Remove java.library.path option while creating JavaVM
          under windows. This will allow its own way to search
          openvrml.dll. For loading libraries, JDK uses same rule
          as windows.

        * Put back d_activationMatrix in PlaneSensor node to cache
          inverse transform above PlaneSensor. This removes jittery
          response from rotation_toy.wrl

2001-12-12  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Checkin Makefiles to add java support classes under windows.

        * Update *.dsp and Makefiles to add java support.

2001-12-10  Thomas Flynn  <tflynn@users.sourceforge.net>

        * Checkin patch 488262 to fix(?) relative URL issues with Inline
          nodes. Fixes bug 225694.

        * Update JSAI test world and class to test more classes/methods.

        * Various updates/fixes to ScriptJDK.

2001-11-27  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Fix compile problem with ScriptJDK.cpp and script.cpp for
          WIN32 port.

        * Update *.dsp, *.dsw and Makefiles for windows to incorporate
          recent changes in OpenVRML.

2001-11-26  Thomas Flynn  <tflynn@users.sourceforge.net>

        * Commit patch 485502 that fixes a problem with events being
          sent at incorrect times.

        * Update ScriptJDK.cpp to include nodeptr.h instead of VrmlNodePtr.h

        * Add flags to Field.java to indicate if the value is an
          eventIn, eventOut or exposedField.

        * Reimplement Script_getEventIn, Script_getEventOut and
          Script_getField in ScriptJDK.cpp

        * Checkin test world and class for JSAI functionality.

2001-11-25  Braden McDaniel  <braden@endoframe.com>

        * Moved NodeVisitor implementation to `node.h' and `node.cpp'.

        * Fixed some dynamic_casts in the JavaScript binding left over
          from the renaming.

        * Removed matrix operations from `MathUtils.[h,cpp]'.  (Use
          VrmlMatrix instead.)

        * Moved ScriptNode implementation into `script.[h,cpp]'.

        * Moved Visual C++ pragma from `script.cpp' to `winconfig.h'.

        * Moved ProtoNode implementation to `proto.[h,cpp]'.

        * Moved NodePtr implementation to `nodeptr.[h,cpp]'.

2001-11-24  Braden McDaniel  <braden@endoframe.com>

        * Placed libopenvrml members in OpenVRML namespace. Placed
          libopenvrml-gl members in OpenVRML::GL namespace.

        * Consolidated bounding volume classes in `bvolume.h' and
          `bvolume.cpp'.

        * Consolidated Node and NodeType in `node.h' and `node.cpp'.

2001-11-24  Thomas Flynn <tflynn@users.sourceforge.net>

	* Fix bug in ScriptJDK initialize call introduced with recent
	  changes to scripting interface.

2001-11-19  Braden McDaniel  <braden@endoframe.com>

        * Replace ScriptObject with Script. Script has methods that more
	  directly reflect the functionality expected of scripts.

2001-11-18  Thomas Flynn <tflynn@users.sourceforge.net>

	* Add JSAI classes to Doxygen list.

	* Readd exception classes to script.jar for JSAI.

	* Add additional javadoc comments to java files.

	* Implement 13 more methods in ScriptJDK. Only 8 left!

2001-11-11  Braden McDaniel  <braden@endoframe.com>

        * Move doc-comments to implementation files for VrmlBVolume,
          VrmlAABox, and VrmlBSphere.

        * Use dynamic_cast instead of VrmlBVolume::toBSphere() and
          VrmlBVolume::toAABox().

2001-11-05  Thomas Flynn <tflynn@users.sourceforge.net>

	* Implement 6 more methods in ScriptJDK.cpp

	* Attempt to conform to coding standard for line length.

2001-11-01  Braden McDaniel  <braden@endoframe.com>

        * Some minor improvements to VrmlNodePtr.

        * Use VrmlNode * instead of VrmlNodePtr to store references to
          named nodes in VrmlNamespace. This avoids a circular reference
          (and should fix that annoying crash on exit).

2001-10-30  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Improve Navigation in "Examine Mode". Navigation speed is
          taken care.

2001-10-27  Braden McDaniel  <braden@endoframe.com>

        * Give up on trying to predict where the SpiderMonkey headers
          live. Users should supply this in CPPFLAGS when running
          configure.

        * In VrmlNodePtr constructor: assert that the value returned
          in the insertion result matches the argument VrmlNode *.

        * Clean up VrmlNodePtr::dispose().

        * Fixed crash on exit in VrmlNodePtr::dispose().

        * Using erase() instead of remove() for the node lists in
          VrmlScene is more efficient and avoids a crash on exit.

2001-10-17  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Fixes for bug #213579. Problem on invariant background under
          all viewpoint transformations.

2001-10-17  Braden McDaniel  <braden@endoframe.com>

        * Use variables resolved by configure to tell Java where .class
          files and libraries are installed.

        * Fixed memory leak involving inappropriate use of freeze() with
          ostrstream in `ScriptJDK.cpp'.

        * Java .class files are nolonger installed by `make install'.

        * JNI headers are nolonger generated. (They aren't strictly
          required, and automake 1.5 has problems with generated sources
          that should be neither installed nor included in the
          distribution.)

        * Added checks for `javac' and `jar' to configure.

        * Changed `--with-jni' option to `--with-jdk'.

        * Don't attempt to compile Java classes for `--without-jdk'.

2001-10-15  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Add accumulateTransform after adding all nodes to Scene in
          "VrmlScene" to cache a pointer to ParentTransform. It is needed
          to calculate the inverse of transformation stack above
          Viewpoint node before rendering traversal starts.

        * Fix for Bug #226213 : Nested Viewpoint problem.

2001-10-15  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Change method names in VrmlMatrix as ECMAScript VrmlMatrix
          definition.

        * Incorporated changes as suggested by Braden (Thanks to Braden)

        * As defined in ECMAScript definition, remove
          "transform_to_matrix" method from VrmlNodeTransform node and
          put it in VrmlMatrix as "setTransform" method.

2001-10-15  Thomas Flynn <tflynn@users.sourceforge.net>

        * Implemented Task 24920 (Use a standard container for routes)

        * Fix core dumping problem with AudioClip's.

        * Backout of earlier, incorrect fix to Material node handling.

2001-10-12  Braden McDaniel  <braden@endoframe.com>

        * Replaced `configure.in' with `configure.ac'. We now require
          autoconf 2.52 for generating `configure'. The file
          `acconfig.h' (that was previously used to generate `config.h')
          is now obsolete.

        * Modifications to autoconf macros to reflect autoconf 2.52
          conventions.

        * The autoconf macro to find the JNI headers/libraries now uses
          $JAVA_HOME, and should reliably detect the Sun JDK on Linux.
          Additional work will need to be done to cover other JDKs and
          platforms.

        * Use preprocessor definitions determined by `configure' for
          including the SpiderMonkey header. This addresses the problem
          where Mozilla headers may occur in `${includedir}' or
          `${includedir}/mozilla'.

        * Use preprocessor definitions determined by `configure' for
          including the OpenGL/GLUT headers. Most platforms put these
          headers in `${includedir}/GL'; but Mac OS X puts them in
          `${includedir}/OpenGL' and `{includedir}/GLUT'.

2001-10-12  Braden McDaniel  <braden@endoframe.com>

        * A bit of finesse to get the ANTLR parser in an anonymous
          namespace in the VrmlScene implementation.

        * Put contents of the private headers in private namespaces:
          OpenVRML_ for libopenvrml and OpenVRML::GL_ for
          libopenvrml-gl.

        * Use our own constants for multiples of pi insteading depending
          on M_PI, etc. (which are non-standard).

2001-10-11  Braden McDaniel  <braden@endoframe.com>

        * Propagate events resulting from eventsProcessed().

2001-10-09 Thomas Flynn <tflynn@users.sourceforge.net>

	* Checkin fix for bug 210073.

2001-10-07  Braden McDaniel  <braden@endoframe.com>

        * Fixed a bug in SFVec3f construction in JavaScript.

2001-10-05 Thomas Flynn <tflynn@users.sourceforge.net>

	* Add java exception classes as specified in spec.

	* Add javadoc comments to some classes.

	* Update all java classes to match spec. (throw exceptions as
	  needed, add toString to subclasses, implement Cloneable where
	  required)

	* Add clone method to VrmlEvent.h

	* Major updates to ScriptJDK.cpp. Add event propagation of eventOut
	  fields (except for SFNode and MFNode). Implement most toString
	  methods. Add any missing methods found in javah output.
	  Other misc. changes.

2001-10-04 S. K. Bose  <bose@pavan.barc.ernet.in>

        * A New Class VrmlMatrix is implemented. Here the format
          is same as OpenGL standard. So this matrix can be used
          transparently as OpenGL matrix.

        * All matrix operations in core (some in gl) are replaced
          by objects of this class.

        * In "Transformation node" set and unsetTransform are replaced
          by its own calculated transformation matrix for improving
          performance.

        * In "Billboard node", the transformation matrix is
          calculated in core by using modelview matrix accumulated
          during render traversal. So this transformation matrix is
          also accumulated in modelview matrix.

        * For calculating local coord. from world coord. in sensor
          nodes (PlaneSensor, CylinderSensor and SphereSensor) during
          activation, the accumulated transformation matrix is used.
          Though by this "DEF/USE" problem is not solved unless
          someday "Ray based picking" is implemented.

        * Fix for bug #230460

2001-09-27 Thomas Flynn <tflynn@users.sourceforge.net>

	* Update VrmlNodeScript::addToScene to use std::string instead of
	  char*.

	* Cleanups to VrmlNodeScript.cpp from Henri Manson.

2001-09-20  S. K. Bose  <bose@pavan.barc.ernet.in>

        * If all "iostreams" are converted to standard "iostreams"
          template classes (STL) that manipulate standard streams,then
          it gives error in constructor of "ifstream" class (doc2.cpp)
          "no appropriate default constructor available" (Is this
          problem with VC6++ STL ?). To get rid of this, "c_str()" of
          std::string is used where this string is directed to iostreams.

        * Fix other compile problems for WIN32 port.

        * Applied patch #446396 from Henri Manson to include "ScriptJDK"
          into the WIN32 build.

2001-09-16 Thomas Flynn <tflynn@users.sourceforge.net>

	* Add missing class (Event.java) into the build.

2001-09-12 Thomas Flynn <tflynn@users.sourceforge.net>

	* Add getFieldType to field.h/.cpp from Henri Manson's patch.

	* Implement insert/remove element methods in VrmlMFString
	  and VrmlMFNode.

	* Fix compile problem with VrmlEvent.h

	* Add java support classes to the build.

	* Add macro to enable/disable java in the script node support.

	* Update makefiles to add java include and library paths.

	* Update configure.in to check for java support.

	* General updates/fixes for ScriptJDK.cpp

2001-09-08 Thomas Flynn <tflynn@users.sourceforge.net>

	* Applied most of patch #446376 from Henri Manson for Java
	  in the Script node support.

2001-09-06  Braden McDaniel  <braden@endoframe.com>

        * Applied patch from Luca Regini <lucaregini@libero.it> to
          implement getChildren() for VrmlNodeProto.

2001-09-04  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Fixed Navigation problems in "Examine Mode", as it was
          mentioned in <http://groups.yahoo.com/group/libvrml97/message/1451>

        * Fixed some issues for bug #447971 (Navigation problems)

        * Fix for bug #213579 (Backgrounds appear to move)

        * Fix for bug #213970 (Headlight doesn't follow Viewpoint)

        * Fix for shininess component in Material node.

        * Fix for getOrientation(). In some cases it was failing.

2001-08-31  Braden McDaniel  <braden@endoframe.com>

        * Removed VrmlNode::toProto() method; use dynamic_cast instead.

2001-08-30  Thomas Flynn <tflynn@users.sourceforge.net>

	* Add insert/remove Element methods to all VrmlMF* types.

2001-08-25  Thomas Flynn <tflynn@users.sourceforge.net>

	* Add licensing information to java support files.

2001-08-23  Braden McDaniel  <braden@endoframe.com>

        * Some minor cleanup of VrmlScene.

        * Changed name of "VrmlNodeType" class to "NodeType".

        * Use a refcounting smart pointer for NodeTypes.

        * Changed NodeType::getName() to ::getId().

2001-08-22  Thomas Flynn <tflynn@users.sourceforge.net>

	* Fixed typo in README.

	* Add ScriptJDK back into the build.

	* Use OPENVRML_HAVE_JAVA instead of HAVE_JDK.

	* Update ScriptJDK code to use std::string.

2001-08-22  Braden McDaniel  <braden@endoframe.com>

        * Fixed crash in VrmlScene::readPROTO().

        * Fixed event value propagation problem in VrmlNode::eventIn()
          (introduced in transition to std::string).

2001-08-19  Braden McDaniel  <braden@endoframe.com>

        * Added getChildren() method to VrmlNode; implemented this for
          everything except VrmlNodeProto.

        * Changed VrmlNode::setName() and ::getName() to setId() and
          getId().

2001-08-16  Braden McDaniel  <braden@endoframe.com>

        * Changed reinterpret_casts in the JavaScript binding to
          static_casts.

2001-08-13  Braden McDaniel  <braden@endoframe.com>

        * Changed most uses of char * to std::string.

2001-08-09  Braden McDaniel  <braden@endoframe.com>

        * Changed JavaScript binding to use a wrapper class to track
          meta-data about values corresponding to Script node fields/
          eventOuts, rather than storing this data as properties on the
          JavaScript objects.

        * Minor const-correctness changed to ScriptObject::activate().

        * Changed VrmlMFNode implementation to use std::vector<>.

2001-08-08  Braden McDaniel  <braden@endoframe.com>

        * VrmlScene now stores the root nodes as a VrmlMFNode rather than
          a Group node.

2001-08-06 Thomas Flynn <tflynn@users.sourceforge.net>

	* Initial checkin for Java in the Script node support.
	  From patch submitted by Henri Manson.

2001-08-04  Braden McDaniel  <braden@endoframe.com>

        * Fixed minor bug in MFInt32::setElement() in the JavaScript
          binding.

2001-07-30  Braden McDaniel  <braden@endoframe.com>

        * Removed obsolete #undef's in `acconfig.h'.

        * Added private macro for outputting exception messages in debug
          mode.

        * Changed Viewer's constructor to take a VrmlScene reference
          rather than a pointer.

2001-07-24  Braden McDaniel  <braden@endoframe.com>

        * Added Joerg Scheurich's warbird game to the sample worlds.

2001-07-18  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Win32 GL declarations are taken out from
          ViewerOpenGL.h and put it into ViewerOpenGL.cpp

2001-07-14  Braden McDaniel  <braden@endoframe.com>

        * Fixed a bug in the JavaScript binding where
          createVrmlFieldFromJsval would create a VrmlSFFloat when it
          should have been creating a VrmlSFTime.

2001-06-30  Braden McDaniel  <braden@endoframe.com>

        * Changed SFRotations to require that their axis component must
          be a unit vector. This change was incompatible with write
          access using operator[]; both read and write access using
          operator[] with VrmlSFRotation has been eliminated.

2001-06-29  Braden McDaniel <braden@endoframe.com>

        * Added ommitted class initializations for the MFString and MFTime
          JavaScript types.

2001-06-25  Braden McDaniel <braden@endoframe.com>

        * Moved ScriptObject's factory method from the static method on
          ScriptObject to a private method of VrmlNodeScript. This
          serves to clean up the ScriptObject interface. In conjunction
          with this change, the JavaScript binding code has been moved
          from `ScriptObject.cpp' to `VrmlNodeScript.cpp'.

2001-06-24  Braden McDaniel <braden@endoframe.com>

        * Added a private header `private.h' for macros used in the
          implementation.

        * Got rid of the pre-linking step for libantlr. Now we just
          import all of libantlr's library objects into the libopenvrml.
          We could be a bit more judicious about this, but libantlr
          needs to be refactored before we can see a significant size
          savings.

        * In the JavaScript Script class, got rid of instance variables
          for the global object and the Browser object. The latter was
          never used; the former can be obtained from the context.

2001-06-20  Braden McDaniel <braden@endoframe.com>

        * In the JavaScript API implementation, store the pointer to the
          Script object as private data in the JSContext rather than as
          a property of the global object.

        * Use JS_NewRuntime() and JS_DestroyRuntime() instead of the
          deprecated JS_Init() and JS_Finish() functions.

        * Factored means of constructing a VrmlField type from its
          corresponding JavaScript class into separate per-type
          functions.

2001-06-20  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Update *.dsp and *.dsw to support OpenVRML WIN32 DLL and
          remove libjs.dsp and libjs.dsw as these are no longer
          needed. ANTLR parser generator is no longer needed as this
          will use the generated sources which come with the
          distribution.

        * Update Makefiles for windows to support WIN32 DLLs and
          made javascript support, PNG image support and JPEG image
          support optional.

2001-06-12  Braden McDaniel <braden@endoframe.com>

        * Use `std::map<>::value_type *' instead of
          `std::map<>::pointer' in VrmlNodePtr.h. Removed #ifdef for
          Win32.

2001-06-15  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Fixed problems for "using-declaration" in ScriptObject.cpp.

2001-06-14  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Fixes for object construction in several places in
          vrml97node.cpp, VrmlScene.cpp, VrmlNodeType.cpp and
          VrmlNodeScript.cpp. MSVC++6.0 does not like the way it was.

        * Fixed type mismatch in VrmlNodeProto.cpp and VrmlNodeProto.h

2001-06-13  S. K. Bose  <bose@pavan.barc.ernet.in>

        * In "VrmlNodePtr.h" as "pointer" is not a member of std::map
          (though it is in standard) in containers library of MSVC++6.0,
          "value_type" can be used (it is also in standard). Though
          I have used "WIN32" preprocessing directive for making
          equivalent of "countPtr", but I hope this will work for other
          compiler as well.

2001-06-12  Braden McDaniel <braden@endoframe.com>

        * Used classes and namespaces to organize functions in the
          JavaScript binding.

        * Changed implementation of JavaScript MF* types so that they
          nolonger depend on the JavaScript Array class. (This
          eliminates our dependency on the private JS header.)

        * Moved JavaScript binding implementation to ScriptObject.cpp.
          (None of the JavaScript binding needs to be part of the public
          API.)

2001-06-10  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Fixed macros in *.h to support WIN32 DLLs

2001-06-08  Braden McDaniel <braden@endoframe.com>

        * If it's available, use the STL hash_map rather than std::map
          in VrmlNodePtr.

2001-06-07  Braden McDaniel <braden@endoframe.com>

        * Replaced SimpleVector in the parser with std::vector.

        * Moved Vrml97Scanner implementation to Vrml97Parser.g.

2001-06-06  Braden McDaniel <braden@endoframe.com>

        * Made PNG support (libpng) optional.

        * Made JPEG support (libjpeg) optional.

2001-05-27  Braden McDaniel <braden@endoframe.com>

        * Improvements (mostly cosmetic) to the Script node JavaScript
          API implementation. Use of namespaces to improve clarity of
          organization.

2001-05-23  Michael Louka <michael.louka@hrp.no>

        * Updated ViewerOpenGL.cpp, ViewerGlut.cpp, and lookat.cpp
	  to compile on Mac OS X.

2001-05-23  Braden McDaniel <braden@endoframe.com>

        * Fixed crash on exit; don't call initialize() for a Script node
          with a null scene pointer.

2001-05-22  Braden McDaniel <braden@endoframe.com>

        * Added macros to support building Win32 DLLs.

2001-05-20  Braden McDaniel <braden@endoframe.com>

        * Fixed a crash when printing NULL SFNodes.

        * Some minor cleanup of ScriptObject.

        * JavaScript SFNode constructor now fails if the vrmlstring
          argument does not produce exactly one node.

2001-05-19  Braden McDaniel <braden@endoframe.com>

        * Made all single-argument constructors for field classes
          "explicit".

        * Fixed crash when loading a world with a Script node SFNode field
          initialized to NULL.

2001-05-09  Braden McDaniel <braden@endoframe.com>

        * Fixed problem with PROTO instantiation where exposedFields
          were not handled correctly. (Patch from
          <jpw20@users.sourceforge.net>.)

        * Fixed problem when calling getField() on a PROTO to get the
          value of a field that had not had its default value
          overridden. findField() now returns the default value in this
          case. Fixes bug #229687:

          <http://sourceforge.net/tracker/index.php?func=detail&aid=229687&group_id=7151&atid=107151>

          (Patch from <jpw20@users.sourceforge.net>.)

        * Fix for bug #414259:

          <http://sourceforge.net/tracker/index.php?func=detail&aid=414259&group_id=7151&atid=107151>

          (Patch from <jpw20@users.sourceforge.net>.)

2001-05-01  Braden McDaniel <braden@endoframe.com>

        * Doxygen comments and cosmetic adjustments to VrmlNodeType.

2001-04-26  Braden McDaniel <braden@endoframe.com>

        * Added Doxygen comments for VrmlNodeChild.
        * Added Doxygen comments for VrmlNodeGeometry.
        * Added Doxygen comments for VrmlNodeLight.

2001-04-25  Braden McDaniel <braden@endoframe.com>

        * Applied patch from Joerg Scheurich
          <rusmufti@helpdesk.rus.uni-stuttgart.de> to accommodate
          higher-resolution textures in the Background node.

2001-04-24  Braden McDaniel <braden@endoframe.com>

        * Consolidated VRML97 node types in a single header and a single
          implementation file.

2001-04-23  Braden McDaniel <braden@endoframe.com>

        * Consolidated SF* and MF* types into a single header, `field.h'.

2001-04-12  Thomas Flynn <tflynn@users.sourceforge.net>
        * Checked in fixes for bugs 210011, 211349 and 407708.
          Updated conformance testing results.

2001-02-16  Braden McDaniel  <braden@endoframe.com>

        * Moved texture reading code to `Image.cpp'. This obsoletes the
          files:
            gifread.h
            gifread.cpp
            pngread.h
            pngread.cpp
            jpgread.h
            jpgread.cpp
            mpgread.h
            mpgread.cpp

2001-02-14  Braden McDaniel  <braden@endoframe.com>

        * Changed VrmlNode::eventIn() to take a reference to a VrmlField
          rather than a pointer.

2001-02-06  Braden McDaniel  <braden@endoframe.com>

        * Fixed VrmlNodeGroup::removeChildren() to account for nulls in
          the MFNode array.

        * Fixed VrmlNodeGroup::recalcBSphere() to account for nulls in
          the MFNode array.

        * Changed VrmlMFNode::addNode() and ::removeNode() to take
          VrmlNode references (rather than pointers).

        * Changed VrmlNodeType::addNode() to take a VrmlNode reference
          (rather than a pointer).

        * In `VrmlNamespace.cpp', moved definitions of NodeCloneVisitor
          and NodeRouteCopyVisitor from inside the cloneNodes() method
          to an unnamed namespace at global scope. This fixes a weird
          problem with linking under egcs 1.1.2.

        * Changed erroneous dynamic_casts in NodeCloneVisitor and
          NodeRouteCopyVisitor to to[Node]() method calls.

2001-02-05  Braden McDaniel  <braden@endoframe.com>

        * Removed dynamic_cast in assertions in VrmlNodeAppearance's,
          VrmlNodeElevationGrid's, and VrmlNodeShape's setters in favor
          of toNode() methods.

        * Fixed problem with accumulateTransform() in VrmlNodeBillboard
          and VrmlNodeTransform where a null pointer could potentially
          be dereferenced.

        * Added VrmlNode::toBillboard() and ::toCollision() methods.

        * Removed size(), child() and getChildren() methods from
          VrmlNodeGroup; these are obsoleted by the getChildren()
          method.

2001-01-29 Michael Louka  <michael.louka@hrp.no>

        * For Mac OS only: Updated System.cpp to removed dependency on
          DriverServices system library. Updated Lookat.mcp and
          Lookat.mcp.xml to support this update.

2001-01-28  Braden McDaniel  <braden@endoframe.com>

        * Changed VrmlNodeType and VrmlNodeProto to hold their
          implementation nodes as a VrmlMFNode object, rather than a
          pointer to a VrmlMFNode. (Since a PROTO *must* have at least
          one node in its implementation, we can tell whether the
          implementation has been retrieved by the length of the
          VrmlMFNode object.)

        * Added a visitor class for the node hierarchy, VrmlNodeVisitor.

        * Reimplemented node cloning using a visitor. This cleans up
          the VrmlNode API a bit.

2001-01-27  Braden McDaniel  <braden@endoframe.com>

        * Changed VrmlNodeProto::getNodes() to return a VrmlMFNode
          reference (instead of a pointer).

        * Added accessors to VrmlNodeSwitch.

        * Added accessors for source to VrmlNodeSound.

        * Added accessors for fontStyle to VrmlNodeText.

2001-01-24  Braden McDaniel  <braden@endoframe.com>

        * Changed VrmlNodeScript copy ctor to call VrmlNodeChild copy
          ctor.

2001-01-23  Braden McDaniel  <braden@endoframe.com>

        * Added getters/setters to VrmlNodeIndexedSet.

        * Added getter/setter for level to VrmlNodeLOD.

        * Added getters/setters to VrmlNodePointSet.

        * Include <stddef.h> from `Viewer.h'.

2001-01-22  Braden McDaniel  <braden@endoframe.com>

        * Added SFNode field getters/setters to VrmlNodeIFaceSet.

2001-01-21  Braden McDaniel  <braden@endoframe.com>

        * Moved definition of Route from VrmlNode.* to its own
          implementation and header files.

        * Moved VrmlNode Doxygen comments to implementation file.

        * Added getter/setter methods to VrmlNodeAppearance.

        * Moved VrmlNodeChild implementation into its own file (from
          `VrmlNode.cpp'); added copy ctor.

        * Broke VrmlNode::toChild() into const and non-const versions.

        * Added getter/setter for proxy on VrmlNodeCollision.

        * Added getters/setters for VrmlNodeElevationGrid.

        * Added getter/setter for children on VrmlNodeGroup.

2001-01-20  Braden McDaniel  <braden@endoframe.com>

        * Added getRoutes() method to VrmlNode, per patch from Joe
          HerdMan.

2001-01-19  Braden McDaniel  <braden@endoframe.com>

        * Fixed misidentified token ID constant in `Vrml97Scanner.cpp'.
          Due to a typo, the identifiers for SFColor and MFColor had
          been given the same value. Thanks to Tom Flynn for reporting
          the bug.

2001-01-14  S. K. Bose  <bose@pavan.barc.ernet.in>

        * Update Makefiles, Project files and Workspace files to build
          (WIN32) for new OpenVRML structure.

        * Fixed undefined symbol problems while making "lookat" in
          debug mode using microsoft DevStudio.

2001-01-10  Michael Louka <Michael.Louka@hrp.no>

        * Updated CodeWarrior 5.x files for Macintosh for new
          OpenVRML structure.

2001-01-10  Braden McDaniel  <braden@endoframe.com>

        * Fixed something gcc shouldn't have allowed me to compile in
          PixelTexture rescaling. (I was trying to allocate an an array
          on the stack with a size that wasn't a const-expression.)

        * Reverted VrmlMFString's member to "char * *" from
          "const char * *". Visual C++ apparently has problems deleting
          const objects. Not sure what the standard has to say about
          this. After some reflection, this change is probably the Right
          Thing anyway. Stylistically, at the very least, deleting a
          const object would seem to be Bad.

        * Added include of <assert.h> to `ScriptJS.cpp'.

        * Added include of <assert.h> to `VrmlNodeScript.cpp'.

2001-01-03  Braden McDaniel  <braden@endoframe.com>

        * Removed single-value constructor from VrmlMF*. It is
          unnecessary since the array constructor can be used with a
          single value, and with types like VrmlMFFloat, VrmlMFTime,
          and especially VrmlMFInt32, it has the potential to create
          ambiguous code since the array constructor can be used with
          a single value as well (to indicate the number of values the
          new object should hold).

        * Fixed a minor bug with the default Extrusion.

2001-01-01  Braden McDaniel  <braden@endoframe.com>

        * Doxygen comments for VrmlMFTime, VrmlMFVec2f, and VrmlMFVec3f.

        * Added setLength() method to VrmlMFTime.

        * Added setLength() method to VrmlSFVec2f; consolidated default
          constructor.

        * Added setLength() method to VrmlSFVec3f; consolidated default
          constructor; removed non-const get() method.

2000-12-31  Braden McDaniel  <braden@endoframe.com>

        * VrmlMFRotation API improvements: moved refcounted inner class
          to implementation file; added setLength() method.

2000-12-30  Braden McDaniel  <braden@endoframe.com>

        * API improvements to VrmlMFNode: added const version of
          operator[] and a non-const version that can be used as an
          l-value; added setLength method; made addNode and removeNode
          return bool to indicate the success or failure of the
          operation.

        * Changed semantics for VrmlMFNode::addNode() and
          ::removeNode(). These methods nolonger add or remove NULLs.
          This trickles up to the addChildren and removeChildren
          operation on grouping nodes, which will nolonger add or remove
          NULLs as well.

        * Fixed a bug in VrmlMFNode::removeNode() that caused the wrong
          node to be dereferenced.

2000-12-18  Braden McDaniel  <braden@endoframe.com>

        * Const-correctness changes to Viewer and ViewerOpenGL.

        * Declare GLUtesselator `extern "C"' in `ViewerOpenGL.h'.

        * Added configuration file to generate documentation with
          Doxygen.

2000-12-17  Braden McDaniel  <braden@endoframe.com>

        * Updated ANTLR library version to 2.7.1.

        * Changed VrmlSFInt and VrmlMFInt class names to VrmlSFInt32
          and VrmlMFInt32. These were the only field class names that
          weren't consistent with the VRML97 field type names.

2000-12-14  Braden McDaniel  <braden@endoframe.com>

        * API cleanup and improvements to VrmlSFColor, VrmlSFRotation,
          VrmlSFVec2f, VrmlSFVec3f.

        * Added configure option to disable JavaScript support.

2000-12-12  Braden McDaniel  <braden@endoframe.com>

        * API improvements (including const-correctness) to VrmlSFVec3f and
          VrmlSFRotation. Changed semantics for methods to match those of the
          ECMAScript binding.

        * Implemented VrmlSFRotation::slerp().

2000-12-10  Braden McDaniel  <braden@endoframe.com>

        * Const-correctness changes to VrmlSFImage. Broad ramifications.
          Importantly, we now must copy the image before rescaling it in
          the ViewerOpenGL. This is less efficient, but rescaling should
          only happen once, so I doubt the copy will be too big of a
          deal.

2000-12-09  Braden McDaniel  <braden@endoframe.com>

        * Changed type used to represent SFInt32 and MFInt32 from int to
          long.

        * Miscellaneous const- and signed-correctness changes.

2000-12-08  Braden McDaniel  <braden@endoframe.com>

        * Fixed viewpoint cockeyed-ness introduced by patch on 6 Dec.

        * Changed name of `libvrml97' to `libopenvrml'.

        * Changed installation location for libopenvrml headers to
          `$(includedir)/OpenVRML'.

        * Changed name of `libvrml97gl' to `libopenvrml-gl'.

        * Changed installation location for libopenvrml-gl headers to
          `$(includedir)/OpenVRML/GL'.

2000-12-06  Braden McDaniel  <braden@endoframe.com>

        * Applied patch to fix

          <http://sourceforge.net/bugs/?func=detailbug&bug_id=124439&group_id=7151>

          This adds identification of hexadecimal integers to the lexer,
          and removes use of istrstream from the parser.

        * Since Script nodes are nolonger detected in the scanner, removed
          NODE_SCRIPT identifier.

2000-12-05  Braden McDaniel  <braden@endoframe.com>

        * Reverted 26 Nov change to VrmlField.h. CodeWarrior 5/Mac is
          using ISO IOstreams, and had problems with the forward
          declaration.

2000-11-28  Braden McDaniel  <braden@endoframe.com>

        * Applied patch to lookat from Jeff Dubrule <igor@pobox.com> to prefer
          viewpoint descriptions to DEF names in the viewpoint menu.

2000-11-27  Braden McDaniel  <braden@endoframe.com>

        * Got rid of confusing VrmlSField and VrmlMField #defines in
          VrmlField.h.

2000-11-26  Braden McDaniel  <braden@endoframe.com>

        * Replaced include of <iostream.h> in VrmlField.h with a forward
          declaration of ostream.

2000-11-23  Braden McDaniel  <braden@endoframe.com>

        * Corrected (and changed implementation of) VrmlField::fieldTypeName();
          changed implemetation of VrmlField::fieldType(const char *). Thanks to
          Jeff Dubrule <igor@pobox.com> for noting the problem with
          VrmlField::fieldTypeName().

2000-11-18  Braden McDaniel  <braden@endoframe.com>

        * Backported the patch to Mozilla bug 24892.  We should nolonger need
          special CFLAGS to compile JavaScript under Red Hat 7.0. This fixes
          <http://sourceforge.net/bugs/?func=detailbug&bug_id=122654&group_id=7151>

2000-11-17  Braden McDaniel  <braden@endoframe.com>

        * Made the parser, scanner, and ANTLR headers non-public.

        * Upgraded JavaScript to 1.5RC2.

        * Added another tryURLs method to Image:

            bool tryURLs(const VrmlMFString & urls, Doc2 * relative = 0);

          This was needed as there is currently no reliable way to get the
          char** to the 2D array of strings out of VrmlMFString.  This fixes
          <http://sourceforge.net/bugs/?func=detailbug&bug_id=116908&group_id=7151>.

        * Cleaned up warnings in VrmlNodeAnchor.cpp.

        * In the parser, the value passed to VrmlMFColor for the number of color
          values was off by 1/3. This fixes
          <http://sourceforge.net/bugs/?func=detailbug&bug_id=122340&group_id=7151>

2000-11-16  S. K. Bose <bose@pavan.barc.ernet.in>

        * Changes in Makefile.win to include conditional generation
          of C++ code from ANTLR grammar by having java or not.

2000-11-07  Braden McDaniel  <braden@endoframe.com>

        * Took the ANTLR source out of the automated build.

2000-11-03  Braden McDaniel  <braden@endoframe.com>

        * Changed the character variables in the Vrml97Utf8Scanner from char to
          int, since char_traits<T>::eof is an int_type, and EOF is typically
          an int.

2000-10-26  Braden McDaniel  <braden@endoframe.com>

        * Modified ANTLR's config.cpp to define NO_STATIC_CONSTS for gcc 2.96.
          This fixes <http://sourceforge.net/bugs/?func=detailbug&bug_id=117652&group_id=7151>.

        * In configure.in, disabled the ability to disable building static
          libraries. We need them to incrementally link against, even when the
          only desired end product are shared libraries.

2000-10-24  Braden McDaniel  <braden@endoframe.com>

        * Unified typedef for Win32 and non-Win32 for TessCB in
          ViewerOpenGL.cpp.

        * Removed gcc-specific compiler flags from JavaScript's Makefile.am.

2000-10-15  Braden McDaniel  <braden@endoframe.com>

        * Took out the #ifdef around including <string.h> in System.cpp. It
          should be safe to include this everywhere, and now gcc wants it there
          on Linux.

2000-09-21  Chris Morley  <cmorley@vermontel.net>

	* Applied (the gist of) patches submitted by Bose, tflynn, and
	Jean-Daniel Fekete for VrmlNamespace invalid memory access,
	mpeg playback speed fix, and Cygwin support, respectively.

2000-09-09  Christopher St. John <cstjohn@acm.org>

	* vrml97parser.g fixed the intValue production. It was not
	correctly parsing hex values starting with "0x". Generally not a
	good idea to use iostreams as a lexer, its too error prone. Also
	fixed the sfImageValue production, it was not correctly unpacking
	longs into the byte array that a pixel texture expects.

	* VrmlField.cpp fixed VrmlSFImage constructors to take the "num
	components" specification into account when computing the length
	of the image byte array, to go with the parser fix above. Taken
	together, these changes appear to fix bug # 109949.

	* VrmlSFImage.h added javadoc style comments detailing the way
	nComponents interacts with how the image byte array is
	interpreted.

	* VrmlNodePixelTexture.cpp commented out some debug messages.

2000-09-05  Christopher St. John <cstjohn@acm.org>

	* gifread.cpp, jpgread.cpp, mpgread.cpp, pngread.cpp Modified to
	load textures using OpenGL convention of origin in lower left hand
	corner instead of upper left. Old image loader code used regular
	convention and then munged the texture coordinates to turn them
	back right side up, which led to non-conformant behavior when
	scaling using a texture transform node. (see bug# 109952) The
	fixes were easy, but what about 3rd party loaders?

	* ViewerOpenGL.cpp, Viewer.cpp Changed the texture coordinate
	generation code to match the new loader code. Fixes also improve
	(but maybe don't totally fix) several other texture coord problems
	including bug #'s 110035, 111335, 111343.

2000-08-27  Christopher St. John <cstjohn@acm.org>

	* ViewerOpenGL.cpp Changed the default zfar in setViewpoint()
	from 1000 to 30,000. This helps with, but doesn't really properly
	fix, conformance bugs #'s 111350, 111338, 111339, 111340. It might
	also cause problems with z-precision, likely to show up as
	z-fighting, but it seems worth a shot.

2000-08-19  Christopher St. John <cstjohn@acm.org>

	* ViewerOpenGL.cpp Fixed a problem with the check for non -1
	terminated coord indicies in insertShellConvex(), and (partially)
	fixed a problem with normal generation in insertCone(), ref
	bug#112324

2000-08-02  Christopher St. John <cstjohn@acm.org>

	* VrmlNodePlaneSensor.cpp, VrmlNodePlaneSensor.h Added cache of
	inverse transform in case manipulation of plane sensor modifies
	the transform hierarchy above the plane sensor. Fixes bug #108126.

2000-06-28  Chris Morley  <cmorley@vermontel.net>

	* Change license to LGPL for library code.

	* Added mgiger's SphereSensor implementation and
	  CylinderSensor stubs.

2000-06-27  Braden McDaniel  <braden@endoframe.com>

        * Eliminated dependency on the GL header files from ViewerOpenGL.h.
	  (Note that ViewerOpenGL still depends on these headers, of course.)

	* Moved dependency on zlib.h from Doc.h to Doc.cpp.

	* Changed autoconf macro prefix to 'OV'.

	* Removed libvrml97js check from AM_PATH_VRML.

	* Removed dependency on zlib, libpng, libjpeg, and GL from AM_PATH_VRML
	  and AM_PATH_VRMLGL. The dependencies in the headers has been
	  eliminated, and since we're using libtool inter-library dependencies
	  are automatically taken care of.

2000-06-27  Michael Louka <Michael.Louka@hrp.no>

  * Updated CodeWarrior files for Mac OS to reflect Braden's changes to
    the handling of the JavaScript library.

2000-06-27  Michael Louka <Michael.Louka@hrp.no>

  * Rewrote VrmlNodeAnchor::activate() so that relative URLs to non-VRML
    data are handled correctly.

2000-06-27  Braden McDaniel <braden@endoframe.com>

        * Changed build scripts to use JavaScript 1.5 RC1 (SpiderMonkey).
	  Importantly, it's being built a little differently from before.
	  libvrml97js is now obsolete. libvrml97core is now pre-linked against
	  libjs (and its subordinate fdlibm).

	  Finally, dependencies in the libvrml97 headers upon the libjs headers
	  were eliminated: we nolonger have to install the libjs headers. (yea!)
	  So, note to future JS hackers: let's try to keep it that way.

2000-06-22  Christopher St. John <cstjohn@acm.org>

	* vrml97parser.g There was a case missed in
	protoScriptFieldInterfaceDeclaration where a field followed by an
	IS wasn't having addField() called on it.

	* vrml97parser.g, vrml97scanner.cpp, vrml97scanner.h Moved
	identification of Script nodes from the scanner into the
	parser. It was very difficult to identify all the cases where a
	SCRIPT-token (rather than a normal ID token) should be returned
	when the string "Script" was encountered, and the missing cases
	were causing parse problems.

	* VrmlScene.cpp reordered initializations in ctr to silence
	compiler warning.

2000-06-18  Christopher St. John <cstjohn@acm.org>

	* Added default values for x/zDimension in VrmlNodeElevationGrid ctr

2000-06-15  Christopher St. John <cstjohn@acm.org>

	* Added isOver eventout to defineType in VrmlNodeTouchSensor.cpp
	* Removed debug message from VrmlNodeSwitch.cpp

2000-05-20 Christopher St. John <cstjohn@acm.org>

	* Added view frustum culling code, touched all VrmlNode*.{cpp/h} files
	* Fixed (badly, temporarily) navigation code in VrmlScene/ViewOpenGL

2000-04-19  Chris Morley  <cmorley@vermontel.net>

	* Added -title arg to lookat for multiple viewers under xswallow.

2000-04-11  Braden McDaniel  <braden@endoframe.com>

        * Added some infectious const lovin' with a dash of size_t. Too much
          to list.

        * In VrmlMFString, removed the method:

            char ** getURL()

          This was redundant with the availability of

            virtual const VrmlMFString & getUrl() const;

2000-04-09  Michael Louka <Michael.Louka@hrp.no>

        * Modified System::time() for the Mac OS to provide VRML97 compliancy

2000-04-07  Braden McDaniel  <braden@endoframe.com>

        * The VrmlSFImage constructor was assuming ownership of the pixel array
          passed to it. This is inconsistent with the behavior of the similar
          constructors for MF* types, which copy the data in the buffer passed
          to them. I modified the VrmlSFImage constructor to instead make a copy
          of the pixel buffer passed to it.

          Also changed the constructor's signature from

            VrmlSFImage(int w = 0, int h = 0, int nc = 0, unsigned char * pixels = 0);

          to

            VrmlSFImage(int w = 0, int h = 0, int nc = 0, unsigned char const * pixels = 0);

        * Changed VrmlMFColor constructor from

            VrmlMFColor(int n, float * values);

          to

            VrmlMFColor(int n, float const * values);

        * Changed VrmlMFFloat constructor from

            VrmlMFFloat(int n, float * values);

          to

            VrmlMFFloat(int n, float const * values);

        * Changed VrmlMFInt constructor from

            VrmlMFInt(int n, int * values);

          to

            VrmlMFInt(int n, int const * values);

        * Changed VrmlMFRotation constructor from

            VrmlMFRotation(int n, float * values);

          to

            VrmlMFRotation(int n, float const * values);

        * Changed VrmlMFVec2f constructor from

            VrmlMFVec2f(int n, float * values);

          to

            VrmlMFVec2f(int n, float const * values);

        * Changed VrmlMFVec3f constructor from

            VrmlMFVec3f(int n, float * values);

          to

            VrmlMFVec3f(int n, float const * values);

2000-04-06  Braden McDaniel  <braden@endoframe.com>

        * Changed the signature of VrmlNode::nodeType from

            virtual NodeType * nodeType();

          to

            virtual NodeType & nodeType() const = 0;

          Previously, the default implementation returned 0. As this isn't
          really useful behavior, the method now returns a reference to the
          NodeType (cannot be null) and requires that concrete subclasses
          implement it.

2000-04-05  Chris Morley  <cmorley@vermontel.net>

	* Initial support for MPEG files in MovieTexture nodes.

2000-04-05  Braden McDaniel  <braden@endoframe.com>

        * Changed VrmlNamespace::findNode to a const method.

2000-04-03  Braden McDaniel  <braden@endoframe.com>

        * Beginning the process of replacing the SGI lex/yacc parser with an
          open source parser based on ANTLR.

        * Added MFTime field type.

        * Added a Doc2 class. This is a Doc work-alike, except Doc2 provides a
          C++ istream rather than a C file pointer for file access.

        * Modified the Doc class to interoperate with the Doc2 class.

        * Modified VrmlScene to use a Doc2 rather than a Doc. The new scanner
          (Vrml97Utf8Scanner) takes an istream as input.

2000-03-28  Braden McDaniel  <braden@endoframe.com>

        * Added libantlr to the build. The new parser will use this.

2000-03-28  Chris Morley  <cmorley@vermontel.net>

	* Added a -notitle arg to lookat so xswallow works again.

2000-03-26  Chris Morley  <cmorley@vermontel.net>

	* Finished implementing getField for Nodes so Scripts
	  can access exposedFields.

	* Fixed the upside down textures on some IFSs.

2000-03-13    <chris@quiller.morley.com>

	* Put in S K Bose's Billboard code and the MathUtils
	  for the axis-aligned bbox culling.

	* Fixed the last reported crashes with the NIST tests
	  (invalid VrmlNamespace references by EXTERNPROTOs).

2000-03-11  Braden McDaniel  <braden@endoframe.com>

        * Named the render mode enumerant in Viewer;
          Viewer::getRenderMode() now returns RenderMode. Static type
          checking is cool.

2000-03-10  Chris Morley  <cmorley@vermontel.net>

	* Add a Viewpoints menu on the right mouse button.
	Navigation is so broken right now.

	* Define VrmlNodeNavigationInfo::getField.

	* Make createVrmlFromUrl a little more robust
	(don't crash if no valid vrml nodes are read).

2000-03-09  Chris Morley  <cmorley@vermontel.net>

	* Ensure that lighting is turned back on when rendering Appearance nodes,
	so not all geometry following a missing Material node is unlit (problem
	reported by Michael Louka).

2000-03-09  Chris Morley  <cmorley@vermontel.net>

	* Fix elevationGrid color/normal per vertex.

2000-03-08  Chris Morley  <cmorley@vermontel.net>

	* Don't attempt to render null strings. Duh.

2000-03-07  Braden McDaniel <braden@endoframe.com>
        * Made Viewer's protected member functions computeCylinder,
          computeExtrusion, computeSphere, and computeView all static, as there
          seems no reason for them not to be.

2000-03-07  Chris Morley  <cmorley@vermontel.net>

	* Apply textures to cone and cylinder tops & bottoms.

2000-01-23  Braden McDaniel <braden@endoframe.com>

        * Patch from Stuart Anderson <anderson@metrolink.com> applied to lookat
          to correct floating point handling on FreeBSD.

2000-01-21  Braden McDaniel <braden@endoframe.com>

        * JavaScript 1.5 beta 1 has been added to the project and incorporated
          into the GNU build, replacing the Arbitrary CVS Snapshot that had been
          in use.

2000-01-19  S. K. Bose <bose@pavan.barc.ernet.in>

        * Incorporated additions in System.cpp to support "http" under windows
	  and also replaced "System::" with "theSystem->" to support virtual
          function-call mechanism.

2000-01-16  Braden McDaniel <braden@endoframe.com>

